<?php

require "include/common.func.php";
require "include/lock.func.php";


if (empty($action)) {
	exit("<h1>Access Denied</h1>");
}

header("Content-type:text/html;charset={$lang['commonCharset']}");

if ($action=='ajaxvalid') {
	$docid='-1';
	$title=stripSpecialCharacter($title);
	$doc=getDocByTitle($title);
	if(is_array($doc)){
		if($doc['state']=="2"){
			$docid=-2;
		}
		else{
			$docid=$doc['doc_id'];
		}
	}
	header("Content-type: text/xml;charset={$lang['commonCharset']}");
	header( "Expires: Mon, 26 Jul 1997 05:00:00 GMT" );
	header( "Last-Modified: " . gmdate( "D, d M Y H:i:s" ) . " GMT" );
	header( "Cache-Control: no-cache, must-revalidate" );
	header( "Pragma: no-cache" );
	echo "<?xml version=\"1.0\" encoding=\"{$lang['commonCharset']}\"?>";
	echo "<response>";
	echo "<docid>".$docid."</docid>";
	echo "</response>";
	exit();
}


if (!empty($title)) {
	//$title =hiconv($title);
	$title =trim($title);
   $title=stripSpecialCharacter($title);
	$title=subString($title,0,80);
}

$user=reloadUser();


if('createdoc'==$action){

	if(!$user['allow_create'])
	{
		$tpl->assign('errorhtml',$lang['viewDocNoRights']);
		if($user['user_id']!=1){
			$tpl->assign('jumpurl','javascript:history.go(-1)');
		}else{
			$tpl->assign('jumpurl','logging.php');
		}
		doHelp();
		$tpl->display('errors');
		exit();
	}
	doHelp();
	getInterval('ulcdt',$lang['docCreate'],'doc.php?action=createdoc');
	$tpl->assign('navtitle',$lang['docCreate']);
	$tpl->assign('title',$title);
	$tpl->assign('catstr',getCatTree());
	$tpl->display('selectcat');
	exit();

}elseif ('validtitle'==$action){

	$cat =isset($_POST['cat'])?$_POST['cat']:'1';
	$doc=getDocByTitle($title);
	if(is_array($doc))
	{
		header('Location:doc.php?action=view&docid='.$doc['doc_id']);
		exit();
	}
	doHelp();
	$tpl->assign('navtitle',$lang['docCreate']);
	$tpl->assign('title',$title);
	$tpl->assign('cat',$cat);
	$tpl->assign('editor_icon_select',$editor_icon_select);
	$tpl->display('createdoc');
	exit();

}elseif ('publish'==$action){

	if($user['allow_create']!=1){
		$tpl->assign('errorhtml',$lang['viewDocNoRights']);
		if($user['user_id']!=1){
			$tpl->assign('jumpurl','javascript:history.go(-1)');
		}else{
			$tpl->assign('jumpurl','logging.php');
		}
		doHelp();
		$tpl->display('errors');
		exit();
	}
	getInterval('ulcdt',$lang['viewDocPublish'],'doc.php?action=createdoc');

	$tag=joinTags($tag);
	if(!$summary){
		$summary=strip_tags($content);
		$summary=subString($summary,0,100);
	}
	$createtime= createServerTime("","Y-m-d H:i:s");
	$doc_first_img=setFirstImg($content);
	$doc_title_upper=hstrtoupper($title);

	$docsql="insert into {$g_table_prefix}doc(cat_id,doc_title,doc_title_upper,doc_summary,doc_creator,doc_created_time,doc_content,doc_latest_edition_time,doc_tags,doc_first_img,doc_pass)
				values ($cat,'$title','$doc_title_upper','$summary',$user[user_id],'$createtime','$content','$createtime','$tag','$doc_first_img',$g_verify_doc)";
	$db->query($docsql);

	$doc_id=$db->insert_id();
	$his_ip=$_SERVER['REMOTE_ADDR'];

	$hissql="insert into {$g_table_prefix}his(doc_id,his_creator,his_created_time,his_content,his_ip,his_tags)
				values ($doc_id,$user[user_id],'$createtime','$content','$his_ip','$tag')";
	$db->query($hissql);

	if($g_verify_doc){
		$db->query("update {$g_table_prefix}categorie set cat_doc_count=cat_doc_count + 1 where cat_id=$cat");
		$db->query("update {$g_table_prefix}user set user_doc_count=user_doc_count+1,user_bonus=user_bonus+".$CREATEDOCBONUS." where user_id=".$user['user_id']);
		setInterval('ulcdt');
	}
	header('Location:doc.php?action=view&docid='.$doc_id);
	exit();

}elseif ('view'==$action){

	if(!is_numeric($docid)&&is_null($title)){
		exit("<h1>Access Denied</h1>");
	}
	if(is_numeric($docid)){
		$doc=getDocById($docid);
		$title=$doc['doc_title'];
	}else{
		$doc=getDocByTitle($title);
	}

	if(!is_array($doc)){
		doHelp();
		$lang['viewDocNotExist']=preg_replace('/{(\$t1)\}/s',$title,$lang['viewDocNotExist']);
		$lang['viewDocNotExist']=preg_replace('/{(\$t2)\}/s',urlencode($title),$lang['viewDocNotExist']);
		$tpl->assign('errorhtml',$lang['viewDocNotExist']);
		$tpl->display('errors');
		exit();
	}
	if(($doc['state']==2)){
		doHelp();
		$lang['viewDocFreeze']=preg_replace("/{(.+)\}/s",$title,$lang['viewDocFreeze']);
		$tpl->assign('errorhtml',$lang['viewDocFreeze']);
		$tpl->display('errors');
		exit();
	}

	$lockeruid=isLocked($doc['doc_id']);
	if($lockeruid!=0){
		$lockeruser=getUserInfo($lockeruid);
		$tpl->assign('lockeruser',$lockeruser);
	}
	if(!$doc['doc_pass']){
		doHelp();
		$tpl->assign('errorhtml',$lang['viewDocVerify']);
		$tpl->display('errors');
		exit();
	}
	showPlugins('right');

	$tpl->assign($doc);
	$tpl->assign('lock',$lock);
	$tpl->assign('doc_created_date',formatTime($doc['doc_created_time'],'date'));
	$tpl->assign('doc_created_time',formatTime($doc['doc_created_time'],'time'));
	$tpl->assign('tags',spiltTags($doc['doc_tags']));
	$tpl->assign('arrhtml',splitHtml($doc['doc_content']));
	$tpl->assign('catnav',getCatNav($doc['cat_id']));

   showPlugins('content');

	if($doc['doc_topic_count']>0){
	$query=$db->query("SELECT a.*,b.user_id,b.user_nick AS creator_user_nick,c.user_nick AS reply_user_nick FROM ".$g_table_prefix."topic a,".$g_table_prefix."user b,".$g_table_prefix."user c WHERE a.topic_creator=b.user_id AND a.last_reply_creator=c.user_id AND a.doc_id=".$doc['doc_id']." AND a.state = 1 AND a.topic_pass=1 ORDER BY a.last_reply_time DESC limit 0,5");
		while($topic=$db->fetch_array($query)){
			$topic['topic_ip']=convertIP($topic['topic_ip']);
			$topic['last_reply_ip']=convertIP($topic['last_reply_ip']);
			$topic['last_reply_time']=formatTime($topic['last_reply_time']);
			$topiclist[]=$topic;
		}
		$tpl->assign('topiclist',$topiclist );
	}

   $db->query("update {$g_table_prefix}doc set doc_click_count=doc_click_count+1 where doc_id=".$doc['doc_id']);

	$tpl->assign('navtitle',$title);
   $tpl->assign('allow_manage',$user['allow_manage']);
   $focuslist=getCache('focus');
	if(empty($focuslist)){
		$focuslist=array();
		$query=$db->query("select * from {$g_table_prefix}focus  order by focus_order limit 0,12");
		while($doc=$db->fetch_array($query)){
			$doc['doc_alt']=$doc['focus_title'];
			$doc['doc_tags'] =spiltTags($doc['doc_tags']);
			if(strlen($doc['doc_summary'])>50) $doc['doc_summary']=subString($doc['doc_summary'],0,50)."...";
			$doc['doc_coop']=unserialize($doc['focus_coop']);
			for($i=0;$i<4;$i++){
				$doc['doc_coop'][$i]['user_nick']=($doc['doc_coop'][$i]['user_nick']=='')?' ':$doc['doc_coop'][$i]['user_nick'];
				$doc['doc_coop'][$i]['user_id']=($doc['doc_coop'][$i]['user_id']=='')?0:$doc['doc_coop'][$i]['user_id'];
			}
			$doc['user_nick_alt']=$doc['user_nick'];
			if(strlen($doc['focus_title'])>12) $doc['focus_title']=subString($doc['focus_title'],0,10)."...";
			if(strlen($doc['user_nick'])>6) $doc['user_nick']=subString($doc['user_nick'],0,3)."...";
			$doc['doc_rewriteurl']=getSEOType('doc.php?action=view&docid='.$doc['doc_id'],$seo_type);
			$doc['doc_creator_rewriteurl']=getSEOType('space.php?userid='.$doc['user_id'],$seo_type);
			$doc['doc_created_time']=formatTime($doc['doc_created_time']);
			$focuslist[]=$doc;
		}
		writeCache('focus',$focuslist);
	}
   $tpl->assign('cache_focus',$focuslist);

	$tpl->display("viewdoc");

}elseif ('edit'==$action)
{

	checkEditRight();
	getInterval('uledt',$lang['editDoc'],'doc.php?action=edit&docid='.$docid);
	if(isset($docid)){
		$doc=getDocById($docid);
		$lockeruid=isLocked($doc['doc_id']);
		if(($lockeruid!=0&&$lockeruid!=$user['user_id'])||$doc['doc_lock']==1)
		{
			header('Location:doc.php?action=view&docid='.$docid.'&lock='.$doc['doc_lock']);
			exit();
		}
		$arrhtml=splitHtml($doc['doc_content']);
		$tags=spiltTags($doc['doc_tags']);

		showPlugins('right');

		$tpl->assign($doc);
		$tpl->assign('tags',$tags);
		$tpl->assign('editor_icon_select',$editor_icon_select);
		$tpl->assign('navtitle',$lang['editDocFull']);
		$tpl->assign('doctitle',$doc['doc_title']);

		$tpl->display("editdoc");
	}
}elseif ('editpublish'==$action){

	checkEditRight();
	getInterval('uledt',$lang['editDoc'],'doc.php?action=edit&docid='.$docid);

	$tags=joinTags($tag);
	if(!$summary){
		$summary=strip_tags($content);
		$summary=subString($summary,0,100);
	}
	$first_img=setFirstImg($content);
	$edittime= createServerTime("","Y-m-d H:i:s");
	$his_reason=subString($reason,0,250);
	$his_kind=$kind?1:0;
	$doc=getDocById($docid);
	$his_coop=($user['user_id']==$doc['doc_creator'])?0:1;
	$attendee_count=getAttendeeCount($doc['doc_id'],$user['user_id']);
	$attendee_count=$attendee_count+$his_coop;
	$doc_his_count=$doc['doc_his_count']+1;
	$his_ip=$_SERVER['REMOTE_ADDR'];

	$docsql="update {$g_table_prefix}doc set
				doc_summary='$summary',
				doc_content='$content',
				doc_latest_edition_time='$edittime',
				doc_tags='$tags',
				doc_his_count='$doc_his_count',
				doc_attendee_count='$attendee_count',
				doc_first_img='$first_img'
				where doc_id ={$doc['doc_id']} ";
	$db->query($docsql);

	$hissql="insert into {$g_table_prefix}his(doc_id,doc_edition_no,his_creator,his_created_time,his_content,his_ip,his_tags,his_kind,his_reason,his_coop)
				values ($docid,$doc_his_count,$user[user_id],'$edittime','$content','$his_ip','$tags',$his_kind,'$his_reason',$his_coop)";
	$db->query($hissql);

	$user_coop_count=$user['user_coop_count']+$his_coop;
	$db->query("update {$g_table_prefix}user set user_coop_count={$user_coop_count},user_bonus=user_bonus+".$EDITDOCBONUS." where user_id=".$user['user_id']);
	unLock($doc['doc_id'],$user['user_id']);
	setInterval('uledt');
	removeCache('helpsections');
	header('Location:doc.php?action=view&docid='.$docid);
	exit();

}elseif ('section'==$action)
{
	checkEditRight();
	getInterval('ulsedt',$lang['editDocSection'],'doc.php?action=section&docid='.$docid.'&id='.$id);

	$doc=getDocById($docid);
	$doc=daddslashes($doc);
	$lockeruid=isLocked($doc['doc_id']);
	if(($lockeruid!=0&&$lockeruid!=$user['user_id'])||$doc['doc_lock']==1)
	{
		header('Location:doc.php?action=view&docid='.$docid.'&lock='.$doc['doc_lock']);
		exit();
	}

	$arrhtml=splitHtml($doc['doc_content']);

	$tpl->assign($doc);
	showPlugins('right');

	doHelp();
	$tpl->assign('navtitle',$lang['editDocSection'].'['.$arrhtml[$id]['value'].']');
	$tpl->assign('doctitle',$doc['doc_title']);
	$tpl->assign('id',$id);
	$tpl->assign('doc_content',$arrhtml[$id+1]['value']);
	$tpl->assign('sectiontitle',$arrhtml[$id]['value']);

	$tpl->display("editdoc");

}elseif ('sectionpublish'==$action)
{
	checkEditRight();
	getInterval('ulsedt',$lang['editDocSection'],'doc.php?action=section&docid='.$docid.'&id='.$id);

	$doc=getDocById($docid);

	$edittime= createServerTime("","Y-m-d H:i:s");
	$his_reason=subString($reason,0,250);
	$his_kind=$kind?1:0;
	$his_tag=$doc['doc_tags'];
	$arrhtml=splitHtml($doc['doc_content']);
	$arrhtml[$id+1]['value']=$content;
	//mysql_real_escape_string
	$content=joinHtml($arrhtml);
	$content=mysql_real_escape_string($content);
	if(!$summary){
		$summary=strip_tags($content);
		$summary=subString($summary,0,100);
	}
	$summary=mysql_real_escape_string($summary);
	$first_img=setFirstImg($content);
	$his_coop=($user['user_id']==$doc['doc_creator'])?0:1;
	$attendee_count=getAttendeeCount($doc['doc_id'],$user['user_id']);
	$attendee_count=$attendee_count+$his_coop;
	$doc_his_count=$doc['doc_his_count']+1;
	$his_ip=$_SERVER['REMOTE_ADDR'];

	$docsql="update {$g_table_prefix}doc set
				doc_summary='$summary',
				doc_content='$content',
				doc_latest_edition_time='$edittime',
				doc_his_count='$doc_his_count',
				doc_attendee_count='$attendee_count',
				doc_first_img='$first_img'
				where doc_id ={$doc['doc_id']} ";
	$db->query($docsql);


	$hissql="insert into {$g_table_prefix}his(doc_id,doc_edition_no,his_creator,his_created_time,his_content,his_ip,his_tags,his_kind,his_reason,his_coop)
				values ($docid,$doc_his_count,$user[user_id],'$edittime','$content','$his_ip','$his_tag',$his_kind,'$his_reason',$his_coop)";
	$db->query($hissql);

	$user_coop_count=$user['user_coop_count']+$his_coop;
	$db->query("update {$g_table_prefix}user set user_coop_count={$user_coop_count},user_bonus=user_bonus+".$EDITDOCBONUS." where user_id=".$user['user_id']);
	unLock($doc['doc_id'],$user['user_id']);
	setInterval('ulsedt');
	removeCache('helpsections');
	header('Location:doc.php?action=view&docid='.$docid);
	exit();
}elseif ('wikier'==$action){
	$tpl->assign("docuserlist",getDocUserList($docid));
	$tpl->assign('doc_id',$docid);
	$tpl->display("wikier");
	exit();

}elseif ('wikiermore'==$action){

	$doc=getDocById($docid);
	showPlugins('right');

	$tpl->assign($doc);
	$tpl->assign('catnav',getCatNav($doc['cat_id']));
	$tpl->assign("docuserlist",getDocUserList($doc['doc_id']));
	$tpl->assign('navtitle',$lang['viewDocUserList']);
	$tpl->assign('doctitle',$doc['doc_title']);

	$tpl->display("wikiermore");
	exit();

}elseif ('history'==$action){

	$tpl->assign("dochislist",getDocHisList($docid,5));
	$tpl->assign('doc_id',$docid);
	$tpl->display("history");

	exit();

}elseif ('historymore'==$action){


	$doc=getDocById($docid);
	showPlugins('right');

	$tpl->assign($doc);
	$tpl->assign('catnav',getCatNav($doc['cat_id']));

	$tpl->assign('navtitle',$lang['viewDocHisList']);
	$tpl->assign('doctitle',$doc['doc_title']);
	$tpl->assign('user',$user);
	$tpl->assign("dochislist",getDocHisList($doc['doc_id']));
	$tpl->display("historymore");

	exit();

}elseif('deletehis'==$action){

	if(!$user['del_his'])
	{
		$tpl->assign('errorhtml',$lang['viewDocDelHisNoRights']);
		if($user['user_id']!=1){
			$tpl->assign('jumpurl','javascript:history.go(-1)');
		}
		else{
			$tpl->assign('jumpurl','logging.php');
		}
		doHelp();
		$tpl->display('errors');
		exit();
	}

	if(count($_POST['his_id'])>0)
	{
		$strhisid="";
		foreach($_POST['his_id'] as $his_id)
		{
			$strhisid .=$his_id.",";
		}
		$strhisid=substr($strhisid,0,-1);
		$db->query("update {$g_table_prefix}his set state=0 where his_id in ($strhisid)");
		$query=$db->query("select count(*) num from {$g_table_prefix}his where doc_id=".$docid." and state=1");
		$arr=$db->fetch_array($query);
		if($arr['num']==0){
			$db->query("update {$g_table_prefix}doc set doc_content='{$lang['viewDocDefaultContent']}', doc_summary='{$lang['viewDocDefaultSummary']}',doc_tags='{$lang['viewDocDefaultTag']}',doc_first_img='' where doc_id=".$docid);
		}
		else
		{
			$query=$db->query("select max(his_id) hisid from {$g_table_prefix}his where doc_id=".$docid." and state=1");
			$arr=$db->fetch_array($query);
			$query=$db->query("select * from {$g_table_prefix}his where his_id=".$arr['hisid']);
			$arr=$db->fetch_array($query);
			$summary=strip_tags($arr['his_content']);
			$summary=subString($summary,0,100);
		   $first_img=setFirstImg($arr['his_content']);
		   $db->query("update {$g_table_prefix}doc set doc_content='".$arr['his_content']."',doc_summary='".$summary."',doc_tags='".$arr['his_tags']."',doc_first_img='".$first_img."' where doc_id=".$docid);
		}
		foreach($_POST['his_id'] as $his_id)
		{
			$query=$db->query("select his_creator,doc_edition_no from {$g_table_prefix}his where his_id=$his_id");
			$user=$db->fetch_array($query);
			if($user['doc_edition_no']==1){
				$bouns=$CREATEDOCBONUS;
			}else{
				$bouns=$EDITDOCBONUS;
			}
			$sql="update {$g_table_prefix}user set 	user_bonus=	user_bonus-'".$bouns."' where user_id=".$user['his_creator'];
			$db->query($sql);
		}
		header("Location:doc.php?action=historymore&docid=".$docid);
		exit();
	}
	else
	{
		$tpl->assign('errorhtml',$lang['viewDocHisError']);
		doHelp();
		$tpl->display('errors');
		exit();
	}

}elseif('hisexcellence'==$action)
{

	if(!$user['great_his'])
	{
		doHelp();
		$tpl->assign('errorhtml',$lang['viewDocHisGreatNoRights']);
		if($user['user_id']!=1){
			$tpl->assign('jumpurl','javascript:history.go(-1)');
		}
		else{
			$tpl->assign('jumpurl','logging.php');
		}
		$tpl->display('errors');
		exit();
	}
	if(count($_POST['his_id'])>0)
	{
		$strhisid="";
		foreach($_POST['his_id'] as $his_id)
		{
			$strhisid .=$his_id.",";
		}
		$strhisid=substr($strhisid,0,-1);
		$db->query("update {$g_table_prefix}his set his_great=1 where his_id in ($strhisid)");
		header("Location:doc.php?action=historymore&docid=".$docid);
		exit();
	}
	else
	{
		doHelp();
		$tpl->assign('errorhtml',$lang['viewDocHisError']);
		$tpl->display('errors');
		exit();
	}

}elseif('hiscopy'==$action){

	if($user['copy_his']!=1){
		$tpl->assign('errorhtml',$lang['viewDocHisCopyNoRights']);
		if($user['user_id']!=1){
			$tpl->assign('jumpurl','javascript:history.go(-1)');
		}
		else{
			$tpl->assign('jumpurl','logging.php');
		}
		doHelp();
		$tpl->display('errors');
		exit();
	}
	if(count($_POST['his_id'])==1)
	{
		$arr_his_id=$_POST['his_id'];

		$query=$db->query("select max(doc_edition_no) maxnum from {$g_table_prefix}his where doc_id=".$docid);
		$temp=$db->fetch_array($query);
		$query=$db->query("select * from {$g_table_prefix}his  where his_id=".$arr_his_id[0]);
		$temparr=$db->fetch_array($query);

		$doc_id=$temparr['doc_id'];
		$doc_edition_no=$temp['maxnum']+1;
		$his_creator=$temparr['his_creator'];
		$his_created_time=$temparr['his_created_time'];
		$his_content=$temparr['his_content'];
		$his_ip=$temparr['his_ip'];
		$his_tags=$temparr['his_tags'];
		$his_kind=$temparr['his_kind'];
		$his_reason=$temparr['his_reason'];
		$his_great=$temparr['his_great'];
		$his_coop=$temparr['his_coop'];
		$state=$temparr['state'];

		$hissql="insert into {$g_table_prefix}his(doc_id,doc_edition_no,his_creator,his_created_time,his_content,his_ip,his_tags,his_kind,his_reason,his_great,his_coop,state)
				values ($docid,$doc_edition_no,$his_creator,'$his_created_time','$his_content','$his_ip','$his_tags',$his_kind,'$his_reason',$his_great,$his_coop,$state)";
		$db->query($hissql);

		$summary=strip_tags($temparr['his_content']);
		$summary=subString($summary,0,100);
		$first_img=setFirstImg($temparr['his_content']);
		$db->query("update {$g_table_prefix}doc set doc_his_count=".$doc_edition_no." , doc_content='".$temparr['his_content']."',doc_summary='".$summary."',doc_tags='".$temparr['his_tags']."',doc_first_img='".$first_img."'  where doc_id=".$doc_id);
		header("Location:doc.php?action=historymore&docid=".$docid);
		exit();
	}
	else
	{
		doHelp();
		$tpl->assign('errorhtml',$lang['viewDocHisError']);
		$tpl->display('errors');
		exit();
	}
}elseif ('showhis'==$action)
{
	if(!is_numeric($his_id)){
		doHelp();
		$tpl->assign('errorhtml',$lang['viewDocHisError']);
		$tpl->display('errors');
		exit();
	}

	$doc=getDocById($docid);
	showPlugins('right');

	$tpl->assign($doc);
	$tpl->assign('navtitle',$lang['viewDocViewHis']);
	$tpl->assign('doctitle',$doc['doc_title']);
	$tpl->assign('catnav',getCatNav($doc['cat_id']));

	$his=getDocHisInfo($his_id);
	if($his['state']==0){
		doHelp();
		$tpl->assign('errorhtml',$lang['viewDocViewHisNotExist']);
		$tpl->assign('jumpurl','doc.php?action=history&docid='.$docid);
		$tpl->display('errors');
		exit();
	}
	$his['title']=$doc['doc_title'];
	$arrhtml=splitHtml($his['his_content']);
	$tags=spiltTags($his['his_tags']);

	$tpl->assign('arrhtml',$arrhtml);
	$tpl->assign('tags',$tags);
	$tpl->assign($his);
	$tpl->display('historyshow');

	exit();
}elseif ('compare'==$action)
{

	$arr_hisid=$_POST['his_id'];
	if(empty($docid)){
		exit('<h1>Access Denied</h1>');
	}
	for($i=0;$i<count($arr_hisid);$i++){
		if(!is_numeric($arr_hisid[$i])){
			doHelp();
			$tpl->assign('errorhtml',$lang['viewDocHisError']);
			$tpl->display('errors');
			exit();
		}
	}

	$doc=getDocById($docid);
	$hiscompare=getDocHisCompare($arr_hisid[0],$arr_hisid[1]);

	$tpl->assign($doc);
	$tpl->assign('catnav',getCatNav($doc['cat_id']));
	$tpl->assign('navtitle',$lang['viewDocViewCompareHis'].'-'.$doc['doc_title']);
	$tpl->assign('doctitle',$doc['doc_title']);
	$tpl->assign('hiscompare',$hiscompare);

	$tpl->display('historycompare',$title);
	exit();

}elseif ('insummary'==$action){

	$flag='false';
	$docid='null';
	$summary='null';
	$firstimg='null';
	$outflag='false';
	$outdocid='null';
	$outsummary='null';
	$outfirstimg='null';
	$arr_docinfo=getDocByTitle($title);
	$encoding='utf-8';
	$CDATABeg='<![CDATA[';
	$CDATAEnd=']]>';
	if(is_array($arr_docinfo)){
		$flag='true';
		$docid=$arr_docinfo['doc_id'];
		if(!is_null(trim($arr_docinfo['doc_summary']))) $summary=subString($arr_docinfo['doc_summary'],0,100);
		$firstimg=trim($arr_docinfo['doc_first_img'])==''?'null':trim($arr_docinfo['doc_first_img']);
	}else{
		$xmlfile='http://www.hoodong.com/validateDocSummary.do?doc_title='.urlencode($title);
		if (function_exists(simplexml_load_file)){
			$xml = simplexml_load_file($xmlfile);
			$outdocid =  $xml->docid;
			$outsummary= $xml->summary;
			$outfirstimg= $xml->firstimg;
			$outflag=$xml->flag;
		}else{
			require_once "include/kxparse.php";
			$xmlnav=new kxparse($xmlfile);
			$outdocid =$xmlnav->get_tag_text("response:docid","1:1");
			$outsummary=$xmlnav->get_tag_text("response:summary","1:1");
			$outfirstimg=$xmlnav->get_tag_text("response:firstimg","1:1");
			$outflag=$xmlnav->get_tag_text("response:flag","1:1");
		}
		if(trim($outfirstimg)!='null'){
			$outfirstimg='http://www.hoodong.com'.$outfirstimg;
		}
	}
	header("Content-type: text/xml;charset=\"".$encoding."\"");
	echo("<?xml version=\"1.0\" encoding=\"".$encoding."\"?>\n");
	echo("<response>\n");
	echo("<docid>".$CDATABeg.$docid.$CDATAEnd."</docid>\n");
	echo("<doctitle>".$CDATABeg.$title.$CDATAEnd."</doctitle>\n");
	echo("<flag>".$CDATABeg.$flag.$CDATAEnd."</flag>\n");
	echo("<firstimg>".$CDATABeg.$firstimg.$CDATAEnd."</firstimg>\n");
	echo("<summary>".$CDATABeg.$summary.$CDATAEnd."</summary>\n");
	echo("<outdocid>".$CDATABeg.$outdocid.$CDATAEnd."</outdocid>\n");
	echo("<outflag>".$CDATABeg.$outflag.$CDATAEnd."</outflag>\n");
	echo("<outfirstimg>".$CDATABeg.$outfirstimg.$CDATAEnd."</outfirstimg>\n");
	echo("<outsummary>".$CDATABeg.$outsummary.$CDATAEnd."</outsummary>\n");
	echo("<linktype>".$CDATABeg."1".$CDATAEnd."</linktype>\n");
	echo("</response>");
	exit();

}else  if ('doclist'==$action){

	@$strPageNow=$_GET['pagenow'];
   $pageNow=1;

	if (is_numeric($strPageNow) && (int)$strPageNow>0) {$pageNow=(int)$strPageNow;}

	if(!isset($listtype)){
		$listtype = 0;
	}
	@$arr_user_info=reloadUser();

	$typeandpage=$listtype."&".$pageNow;
	if(!$tpl->is_cached("doclist",$typeandpage)||$arr_user_info['user_id']!=1){
		if($listtype=="1"){
			 $dSQL = " 	SELECT count(distinct(h.doc_id))
				  			FROM  {$g_table_prefix}his h
				  			WHERE  h.his_coop=1 ";

			 $sql = 	" 	SELECT d.*,max(h.his_created_time) h,u.user_nick,u.user_id,u.user_small_ico
				  			FROM  {$g_table_prefix}user u,{$g_table_prefix}doc d ,{$g_table_prefix}his h
				  			WHERE u.user_id = d.doc_creator and d.doc_id=h.doc_id and h.his_coop=1
						  	AND d.state=1  and d.doc_pass=1 group by d.doc_id
						  	ORDER BY  h  desc ";
			 $navtitle = $lang['doclistNewCoopList'];
		}elseif($listtype=="2"){
			 $dSQL = " 	SELECT count(*)
				  			FROM  {$g_table_prefix}doc d ";

			 $sql = 	" 	SELECT  d.doc_id,d.doc_title,d.doc_summary,d.doc_creator,d.doc_created_time
				  			,d.doc_latest_edition_time  ,d.doc_tags  ,d.doc_click_count ,d.doc_topic_count
				  			,d.doc_reply_count  ,d.doc_his_count ,d.doc_attendee_count ,d.doc_vote_count ,d.doc_first_img
				  			,u.user_nick,u.user_id,u.user_small_ico
				  			FROM  {$g_table_prefix}doc d , {$g_table_prefix}user u
				  			where u.user_id = d.doc_creator
							AND d.state=1  and d.doc_pass=1
							ORDER BY d.doc_click_count   desc  ";
			 $navtitle = $lang['doclistHotDocList'];
		}else{
			$dSQL = 	" SELECT count(*)
				  		  FROM  {$g_table_prefix}doc d ";

			$sql = 	" SELECT d.doc_id,d.doc_title,d.doc_summary,d.doc_creator,d.doc_created_time
						  ,d.doc_latest_edition_time  ,d.doc_tags  ,d.doc_click_count ,d.doc_topic_count
						  ,d.doc_reply_count  ,d.doc_his_count ,d.doc_attendee_count ,d.doc_vote_count ,d.doc_first_img
						  ,u.user_nick,u.user_id,u.user_small_ico
						  FROM  {$g_table_prefix}doc d , {$g_table_prefix}user u
						  where u.user_id = d.doc_creator
						  AND d.state=1  and d.doc_pass=1
						  ORDER BY d.doc_created_time  desc ";
			$navtitle = $lang['doclistNewCreatedList'];
		}

		$rownum=$db->result($db->query($dSQL),0);
		$depart=new DepartPage(10,$pageNow,$rownum);
		$departstr=$depart->getDepartStr('doc.php?action=doclist&amp;listtype='.$listtype,'pagenow');
		$query=$db->query($sql.' limit '.$depart->getBeginIndex().','.$depart->getnumPerPage());
      while($doc=$db->fetch_array($query)){
    		$doc['doc_tags'] =spiltTags($doc['doc_tags']);
    		$doc['doc_created_time']=formatTime($doc['doc_created_time']);
			$doc['docview_url'] =getSEOType("doc.php?action=view&amp;docid=".$doc['doc_id'],$seo_type);
			$doc['space_url'] =getSEOType("space.php?userid=".$doc['user_id'],$seo_type);
			$doclist[]=$doc;
      }

		$tpl->assign('departstr',$departstr);
		$tpl->assign('doclist',$doclist);
		$tpl->assign('listtype',$listtype);

		doHelp();

	}

	$createdocurl=getSEOType("doc.php?action=doclist",$seo_type);
	$coopdocurl=getSEOType("doc.php?action=doclist&amp;listtype=1",$seo_type);
	$hotdocurl=getSEOType("doc.php?action=doclist&amp;listtype=2",$seo_type);


	$arr_seo_url=array("createdoclist"=>$createdocurl,	"coopdocurl"=>$coopdocurl, "hotdocurl" =>$hotdocurl);

	$query=$db->query("select * from {$g_table_prefix}categorie where state=1 and (cat_level=1 or cat_level=2) order by cat_order asc ");
	while($db_cat=$db->fetch_array($query)){
		$arr_cat[]=$db_cat;
	}
	$arr_navi=array();
	for($i=0;$i<count($arr_cat);$i++){
		$data=array();
		if($arr_cat[$i]['cat_level']==1){
			$arr_cat[$i]['order']=1;
			$data[]=$arr_cat[$i];
			for($j=0;$j<count($arr_cat);$j++){
				if($arr_cat[$j]['cat_level']==2&&$arr_cat[$j]['cat_parent']==$arr_cat[$i]['cat_id']){
					$data[]=$arr_cat[$j];
				}
			}
			$arr_navi[]=$data;
		}
	}

	$sql = " select t.topic_id, t.topic_title, t.doc_id from {$g_table_prefix}topic t where t.state=1 order by topic_id desc LIMIT 0,9";
	$query = $db->query($sql);

	while($topic = $db->fetch_array($query)){
		$topic['topic_short_title'] = strlen($topic['topic_title'])>12?subString($topic['topic_title'], 0, 12).'...':$topic['topic_title'];
		$topiclist[] = $topic;
	}


	$hottag_cache_file = './wikidata/cache/cache_index_hottag.php';

	if(!file_exists($hottag_cache_file)){
		$hottaglist = createHotTags();
	}else{
		require $hottag_cache_file;
		$hottaglist=$cache_hottag;
		unset($cache_hottag);
	}


	$tpl->assign('navtitle', $navtitle);
	$tpl->assign('hottaglist',$hottaglist);
	$tpl->assign('arr_navi',$arr_navi);
	$tpl->assign('topiclist',$topiclist);
	$tpl->assign($arr_seo_url);
	$tpl->display('doclist',$typeandpage);
	exit();
}
elseif ('docmanage'==$action)
{
	$tpl->assign('docid',$docid);
	$tpl->display("docmanage");
	exit();
}
elseif('docmanageshow'==$action)
{
	$doc=getDocById($docid);
	$pcid=$doc['cat_id'];
	$tpl->assign('opt', $opt);
	$tpl->assign($doc);
	$tpl->assign('catstr',getCatTree());
	$tpl->assign('user',$user);
	$tpl->display('docmanageshow');
	exit();

}
elseif('docmanagedo'==$action)
{
	$lock=$docstats=='lock'?1:0;
	$freeze=$docstats=='freeze'?2:1;
	$focus=$docstats=='focus'?1:0;
	$titleupper=hstrtoupper($doctitle);

	$sql=" update {$g_table_prefix}doc set doc_creator=doc_creator";
	if($user['rename_doc']){
		$sql=$sql.",doc_title='$doctitle',doc_title_upper='$titleupper'";
	}
	if($user['move_doc']){
		$sql=$sql.",cat_id='$catid'";
	}
	if($user['del_doc']){
		$sql=$sql.",state='$freeze'";
	}
	if($user['lock_doc']){
		$sql=$sql.",doc_lock='$lock'";
	}
	if($user['recommended_focus']){
		$focussql="select d.doc_id, d.doc_title, d.doc_tags, d.doc_summary,d.doc_created_time, d.doc_first_img, d.doc_focus,u.user_id, u.user_nick, u.user_small_ico from {$g_table_prefix}doc d,{$g_table_prefix}user u where d.doc_id=$docid and d.doc_creator=u.user_id and d.state=1 and d.doc_pass=1";
		$query=$db->query($focussql);
		$doc=$db->fetch_array($query);
		$hislist=array();
		$hissql="select distinct(u.user_id),u.user_nick,u.user_small_ico from {$g_table_prefix}his h,{$g_table_prefix}user u where h.doc_id=".$doc['doc_id']." and h.his_creator=u.user_id and his_creator <> ".$doc['user_id']." and u.state=1 and his_coop>0 order by h.his_created_time desc limit 0,4";
		$hisquery=$db->query($hissql);
		while($his=$db->fetch_array($hisquery)){
			$hislist[]=$his;
		}
		$focuscoop=serialize($hislist);
		$doc['doc_title']=preg_replace('/\'/i','',$doc['doc_title']);
		$doc['doc_summary']=preg_replace('/\'/i','',$doc['doc_summary']);
		if('1'==$doc['doc_focus']){
			$focussql="update {$g_table_prefix}focus set doc_title='".$doc['doc_title']."',focus_title='".$doc['doc_title']."',doc_summary='".$doc['doc_summary']."',doc_tags='".$doc['doc_tags']."',doc_imgurl='".$doc['doc_first_img']."',doc_created_time='".$doc['doc_created_time']."',user_id=".$doc['user_id'].",user_nick='".$doc['user_nick']."',user_small_ico='".$doc['user_small_ico']."',focus_coop='".$focuscoop."',focus_order=0 where doc_id=".$doc['doc_id'];
		}else{
			$focussql="insert into {$g_table_prefix}focus (doc_id,doc_title,focus_title,doc_tags,doc_summary,doc_imgurl,doc_created_time,user_id,user_nick,user_small_ico,focus_coop,focus_order) values (".$doc['doc_id'].",'".$doc['doc_title']."','".$doc['doc_title']."','".$doc['doc_tags']."','".$doc['doc_summary']."','".$doc['doc_imgurl']."','".$doc['doc_created_time']."','".$doc['user_id']."','".$doc['user_nick']."','".$doc['user_small_ico']."','".$focuscoop."',0)";
		}
		$db->query($focussql);
		removeCache('focus');
		$sql=$sql.",doc_focus='$focus'";
	}
	$query=$db->query("select * from  {$g_table_prefix}doc where doc_title_upper='$titleupper' and doc_id!='$docid' ");
	$doc=$db->fetch_array($query);
	if(!is_array($doc)&&$user['allow_manage']){
		$db->query($sql." where doc_id=$docid");
	}
	exit();
}
?>