<?php
ini_set('display_errors', 'off');

//language choose

$lang_name=$_COOKIE['lang_name'];

if(isset($_REQUEST['lang'])){
	$lang_name = $_REQUEST['lang'];
	setcookie('lang_name',$lang_name);
}

if(!$lang_name){
	$lang_name='zh';
}

require ('../lang/'.$lang_name.'/install.php');

@ require ("../version.php");
if (file_exists('../wikidata/install.lock')) {
	echo "<font color='red'>{$lang['tipAlreadyInstall']}</font>";
	exit();
}

$dbcharset = $lang['commonDBCharset'];
header("Content-Type: text/html; charset={$lang['commonCharset']}");
$step = (isset ($_GET['step'])) ? $_GET['step'] : $_POST['step'];
$php_self = $_SERVER['PHP_SELF'] ? $_SERVER['PHP_SELF'] : $_SERVER['SCRIPT_NAME'];
$configfile = '../config.inc.php';
$logofile = '../style/icon/logo.jpg';

$sqlfile = 'hdwiki.sql';
if (!is_readable($sqlfile)) {
	exit ($strDBNoExists);
}

@ require ("install_func.php");
if ($step == "")
	$step = 1;
$arrTitle = array (
	"",
	$lang['commonLicenseInfo'],
	$lang['commonSystemCheck'],
	$lang['commonDatabaseSetup'],
	$lang['commonAdministratorSetup'],
	$lang['commonInstallComplete']
);
$arrStep = array (
	"0",
	"1",
	"2",
	"3",
	"4",
	"5",
);

$nextStep = $step +1;
$prevStep = $step -1;
if($step==3){
	$nextStep=$step;
	$prevStep=$step;
}
$nextAccess = 1;

$uploadsDir = '../uploads';
$userfaceDir = '../uploads/userface';
$cacheDir = '../cache';
$templateDir = '../templates';
$templateCacheDir = '../templates_c';
$wikidataDir = '../wikidata';

$wiki_url_path = str_replace('\\', '/', dirname(__FILE__));
$countinstall = strlen('install');
$wiki_url_path = substr($wiki_url_path, 0, - ($countinstall +1));

$urlfile = basename(__FILE__);
$url = 'http://' . $_SERVER['SERVER_NAME'] . $_SERVER['PHP_SELF'];
$i = strlen('/install/' . $urlfile);
$siteurl = substr($url, 0, - $i);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo $lang['commonInstallTitle']?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $lang['commonCharset']?>">
<meta content="noindex, nofollow" name="robots">
<link rel="stylesheet" href="images/install.css" type="text/css" media="screen,projection" />
<script language="JavaScript" type="text/javascript">
	function selectlang(lang){
		var selectlang = document.getElementById(lang);
		var curstep = <?php echo $step?>;
		var langvalue = selectlang.options[selectlang.selectedIndex].value;
		window.location = "install.php?step="+curstep+"&lang="+langvalue;
	}
</script>
</head>
<body>
<div id="container">
<div id="header">
<div id="logo"></div>
<div id="topheader">
<p><strong>HDWiki V<?php echo HDWIKI_VERSION?> Release <?php echo HDWIKI_RELEASE?></strong></p>
<p><?php echo $lang['commonSetupLanguage'] ?>
<select id="lang" name="lang" onchange="selectlang('lang');">
	<option value="zh"<?php  if('zh' == $lang_name) { ?> selected="selected"<?php } ?>> <?php echo $lang['zh']?></option>
	<option value="tw"<?php  if('tw' == $lang_name) { ?> selected="selected"<?php } ?>> <?php echo $lang['tw']?></option>
	<option value="en" <?php if('en' ==$lang_name){ ?> selected="selected"<?php } ?>> <?php echo $lang['en']?></option>
</select>
</p>
</div>
</div>
<div id="content-wrap">
<div id="menu">
<ul class="sidemenu">
<li class="navtitle"><?php echo $lang['commonSetupNavigate']?></li>
<?php
$steptotal = count($arrTitle);
for ($i = 1; $i < $steptotal; $i++) {
	if ($step >= $arrStep[$i]) {
		if($step==$i) {
			$href1 = "<li class=\"sidemenubg\">";
			$href2 = "</li>";
		}else{
			$href1 = "<li><a href='$php_self?step=" . $arrStep[$i] . "'>";
			$href2 = "</a></li>";
		}

	} else {
		$href1 = "<li><a>";
		$href2 = "</a></li>";
	}
?>
                    <?php echo $href1.$i.". ".$arrTitle[$i].$href2?>
					<?php } ?>
					</ul>
					<p class="lbox"> <?php echo $lang['tipLeftHelp']?></p>
</div>
<div id="main">
       	<?php if($step!=5){?><form name="settingsform" method="post" action="<?php echo $php_self?>"><?php }?>
      	<?php switch ($step) {
		case 1 :
			if ($msg) {
				$str = "<p>" . $msg . "</p>";
			}
			if ($nextAccess == 1)
				$str = "<div id=\"tips\"><div class=\"log\">{$lang['step1ReadLicense']}</div><div class=\"mes\"><div align=\"center\"><textarea style=\"width: 94%; height: 300px;\">" . $lang['step1LicenseInfo'] . "</textarea></div><br /><div align=\"center\"><input type=\"submit\" value=\"{$lang['step1Agree']}\" class=\"inbut1\">    <input type=\"button\" value=\"{$lang['step1Disagree']}\" class=\"inbut\" onclick=\"javascript:window.close();\"></div></div>";
			break;
		case 2 :

			$fileConfigAccess = file_writeable($configfile);
			$filelogoAccess=file_writeable($configfile);
			$dirUploadsAccess = file_writeable($uploadsDir);
			$dirUserfaceAccess = file_writeable($userfaceDir);
			$dirCacheAccess = file_writeable($cacheDir);
			$dirTemplateAccess = file_writeable($templateDir);
			$dirTemplateCacheAccess = file_writeable($templateCacheDir);
			$dirWikidataAccess = file_writeable($wikidataDir);

			if(@ini_get("file_uploads")) {
				$max_size = @ini_get(upload_max_filesize);
				$curr_upload_status = "<font class=\"s4_color\">{$lang['step2AttachAllowSize']}: $max_size</font>";
			} else {
				$curr_upload_status = "<font color='red'>{$lang['step2AttachDisabled']}</font>";
				$msg .= "<span class='err'>{$lang['step2AttachDisabledTip']}</span><br>";
				$nextAccess=0;
			}

			$curr_php_version = PHP_VERSION;

			if ($curr_php_version < '4.0.6') {
				$curr_php_version = "$curr_php_version <font color='red'>{$$lang['step2PHPVersionTooLowTip']}</font>";
				$nextAccess = 0;
			}

			if (!function_exists('mysql_connect')) {
				$MySQLVersion = "<font color='s3_color'>{$lang['commonUnsupport']}</font>";
				$nextAccess = 0;
			} else {
				$MySQLVersion = "<font class='s2_color'>{$lang['commonSupport']}</font>";;
			}

			$curr_disk_space = intval(diskfreespace('.') / (1024 * 1024)).'M';

			$os = strtoupper(substr(PHP_OS, 0, 3));
			$curOs = PHP_OS;
			if ($fileConfigAccess) {
				$fileConfigAccessTip = "<font class='s1_color'>{$lang['commonWriteable']}</font>";
			}else{
				$fileConfigAccessTip = "<font class='s3_color'>{$lang['commonNotWriteable']}</font>";
				$nextAccess = 0;
			}
			if ($filelogoAccess) {
				$filelogoAccessTip = "<font class='s1_color'>{$lang['commonWriteable']}</font>";
			}else{
				$filelogoAccessTip = "<font class='s3_color'>{$lang['commonNotWriteable']}</font>";
				$nextAccess = 0;
			}
			if ($dirUploadsAccess) {
				$dirUploadsAccessTip = "<font class='s1_color'>{$lang['commonWriteable']}</font>";
			}else{
				$dirUploadsAccessTip = "<font class='s3_color'>{$lang['commonNotWriteable']}</font>";
				$nextAccess = 0;
			}
			if ($dirUserfaceAccess) {
				$dirUserfaceAccessTip = "<font class='s1_color'>{$lang['commonWriteable']}</font>";
			}else{
				$dirUserfaceAccessTip = "<font class='s3_color'>{$lang['commonNotWriteable']}</font>";
				$nextAccess = 0;
			}
			if ($dirCacheAccess ) {
				$dirCacheAccessTip = "<font class='s1_color'>{$lang['commonWriteable']}</font>";
			}else{
				$dirCacheAccessTip = "<font class='s3_color'>{$lang['commonNotWriteable']}</font>";
				$nextAccess = 0;
			}
			if ($dirTemplateAccess ) {
				$dirTemplateAccessTip = "<font class='s1_color'>{$lang['commonWriteable']}</font>";
			}else{
				$dirTemplateAccessTip = "<font class='s3_color'>{$lang['commonNotWriteable']}</font>";
				$nextAccess = 0;
			}
			if ($dirTemplateCacheAccess ) {
				$dirTemplateCacheAccessTip = "<font class='s1_color'>{$lang['commonWriteable']}</font>";
			}else{
				$dirTemplateCacheAccessTip = "<font class='s3_color'>{$lang['commonNotWriteable']}</font>";
				$nextAccess = 0;
			}
			if ($dirWikidataAccess ) {
				$dirWikidataAccessTip = "<font class='s1_color'>{$lang['commonWriteable']}</font>";
			}else{
				$dirWikidataAccessTip = "<font class='s3_color'>{$lang['commonNotWriteable']}</font>";
				$nextAccess = 0;
			}

			$str = $str."<div id=\"tips\">{$lang['step2Tip']}</div>";

			$str = $str."<div id=\"wrapper\">
  <table class=\"table_nav\">
    <tr class=\"nav_bar\">
      <td></td>
      <td>HDWiki {$lang['commonConfigRequire']}</td>
      <td>HDWiki {$lang['commonConfigOptimized']}</td>
      <td>{$lang['commonConfigCurrent']}</td>
    </tr>
    <tr>
      <td>{$lang['commonOS']}</td>
      <td>{$lang['commonUnlimited']}</td>
      <td class=\"s1_color\">UNIX/Linux/FreeBSD </td>
      <td class=\"s4_color\">$curOs</td>
    </tr>
    <tr>
      <td>PHP {$lang['commonVersion']}</td>
      <td>4.0.6+ </td>
      <td class=\"s1_color\">5.2.2+</td>
      <td class=\"s2_color\">$curr_php_version</td>
    </tr>
    <tr>
      <td>{$lang['commonAttachUpload']}</td>
      <td>{$lang['commonUnlimited']}</td>
      <td class=\"s1_color\">{$lang['commonAllow']}</td>
      <td >$curr_upload_status</td>
    </tr>
    <tr>
      <td>MySQL {$lang['commonSupport']}</td>
      <td>4.0+</td>
      <td class=\"s1_color\">{$lang['commonSupport']}</td>
      <td>$MySQLVersion</td>
    </tr>
    <tr>
      <td>{$lang['commonDiskSpace']}</td>
      <td>10M+</td>
      <td class=\"s1_color\">{{$lang['commonUnlimited']}}</td>
      <td class=\"s4_color\">$curr_disk_space</td>
    </tr>
  </table>
</div>";

$str = $str."<div id=\"wrapper1\">
						<table class=\"table_nav\">
    <tr class=\"nav_bar\">
      <td>{$lang['commonDirName']}</td>
      <td>{$lang['commonDirDescribe']}</td>
      <td>{$lang['commonStateOptimized']}</td>
      <td>{$lang['commonStateCurrent']}</td>
    </tr>
    <tr>
      <td>./uploads</td>
      <td>{$lang['commonDirAttach']}</td>
      <td class=\"s1_color\">{$lang['commonDirPower']} {$lang['commonWriteable']}</td>
      <td>$dirUploadsAccessTip</td>
    </tr>
    <tr>
      <td>./uploads/userface</td>
      <td>{$lang['commonDirUserface']}</td>
      <td class=\"s1_color\">{$lang['commonDirPower']} {$lang['commonWriteable']}</td>
      <td>$dirUserfaceAccessTip</td>
    </tr>
    <tr>
      <td>./cache</td>
      <td>{$lang['commonDirCache']}</td>
      <td class=\"s1_color\">{$lang['commonDirPower']} {$lang['commonWriteable']}</td>
      <td>$dirCacheAccessTip</td>
    </tr>
    <tr>
      <td>./templates</td>
      <td>{$lang['commonDirTemplate']}</td>
      <td class=\"s1_color\">{$lang['commonDirPower']} {$lang['commonWriteable']}</td>
      <td>$dirTemplateAccessTip</td>
    </tr>
    <tr>
      <td>./templates_c</td>
      <td>{$lang['commonDirTemplateCache']}</td>
      <td class=\"s1_color\">{$lang['commonDirPower']} {$lang['commonWriteable']}</td>
      <td>$dirTemplateCacheAccessTip</td>
    </tr>
    <tr>
      <td>./wikidata</td>
      <td>{$lang['commonDirSysData']}</td>
      <td class=\"s1_color\">{$lang['commonDirPower']} {$lang['commonWriteable']}</td>
      <td>$dirWikidataAccessTip</td>
    </tr>
    <tr>
      <td>./config.inc.php</td>
      <td>{$lang['commonFileConfig']}</td>
      <td class=\"s1_color\">{$lang['commonFilePower']} {$lang['commonWriteable']}</td>
      <td>$fileConfigAccessTip</td>
    </tr>
    <tr>
      <td>./style/icon/logo.jpg</td>
      <td>{$lang['commonFileLogo']}</td>
      <td class=\"s1_color\">{$lang['commonFilePower']} {$lang['commonWriteable']}</td>
      <td>$filelogoAccessTip</td>
    </tr>
  </table></div>";
			break;
		case 3 :
			$saveconfig=$_REQUEST['saveconfig'];
			if($saveconfig=='1'){
				//db parameter
				$dbhost = trim($_POST['dbhost']);
				$dbuser = trim($_POST['dbuser']);
				$dbpassword = trim($_POST['dbpassword']);
				$dbname = trim($_POST['dbname']);
				$table_prefix = trim($_POST['table_prefix']);

				if ($dbhost == "" or $dbuser == "" or $dbname == "" or $table_prefix == "") {
					$msg .= "<SPAN class=err>{$lang['step3IsNull']}</span><br />";
					$nextAccess = 0;
				}

				if (strstr($table_prefix, '.') and $nextAccess == 1) {
					$msg .= "<SPAN class=err>{$lang['step3DBPrefix']}</span><br />";
					$nextAccess = 0;
				}

				if ($nextAccess == 1) {
					if(!@mysql_connect($dbhost, $dbuser, $dbpassword)) {
						$msg .= '<SPAN class=err>'.$lang['step3NoConnDB'].'</span>';
						$nextAccess = 0;
					} else {
						if(mysql_get_server_info() > '4.1') {
							mysql_query("CREATE DATABASE IF NOT EXISTS `$dbname` DEFAULT CHARACTER SET $dbcharset");
						} else {
							mysql_query("CREATE DATABASE IF NOT EXISTS `$dbname`");
						}
						if(mysql_errno()) {
							$msg .= "<SPAN class=err>{$lang['step3DBNoPower']}</span><br />";
							$nextAccess = 0;
						}

						mysql_close();
					}
				}

				if ($nextAccess == 1) {
					if (is_writeable($configfile) || (!file_exists($configfile))) {
						$configcontent = "<?php
						\$g_db_host ='{$_POST['dbhost']}';
						\$g_db_user ='{$_POST['dbuser']}';
						\$g_db_pwd  ='{$_POST['dbpassword']}';
						\$g_db_name ='{$_POST['dbname']}';
						\$g_table_prefix='{$table_prefix}';
						\$g_db_charset='{$dbcharset}';
						?>";
						$fp1 = fopen($configfile, 'wbt');
						$bytes=fwrite($fp1, $configcontent);
						@ fclose($fp1);
					} else {
						if (!file_exists($configfile)) {
							$msg .= "<SPAN class=err>{$lang['step3DBConfigWriteErrorTip']}</span><br />";
							$nextAccess = 0;
						}else{
							$msg .= "<SPAN class=err>{$lang['step3DBConfigNotWriteTip']}</span><br />";
							$nextAccess = 0;
						}
					}
				}

				if ($nextAccess == 0) {
					$msg .= "<br /><SPAN class=err>{$lang['tipGenErrInfo']}</span><br /><br />";
					$msg .= "</p>\n";
				} else {
					echo   "<script>window.location=\"{$_SERVER['PHP_SELF']}?step=4\";</script>";
				}
				$str=$str.$msg;
			}else{
				if (PHP_VERSION < '4.0.6') {
					$msg .= "<SPAN class=err>{$lang['step2PHPVersionTooLowTip']}</span><br /><br />";
					$nextAccess = 0;

				}
				if (!function_exists('mysql_connect')) {
					$msg .= "<SPAN class=err>{$lang['step3MySQLExtErrorTip']}</span><br /><br />";
					$nextAccess = 0;
				}
				if ($msg) {
					$str = "<p>" . $msg . "</p>";
				}

				if ($nextAccess == 1) {
					$str = "<div id=\"tips\">{$lang['step3Tip']}</div>";

					$str .= "<div id=\"wrapper\">
	<div class=\"col\">
	<h3>{$lang['commonSetupOption']}        {$lang['commonSetupParameterValue']}        {$lang['commonSetupComment']}</h3>
	<p><span class=\"red\">{$lang['step3MySqlHost']}: </span> <input name=\"dbhost\" value=\"localhost\" type=\"text\" size=\"20\" />    {$lang['step3MySqlHostComment']}</p>
	<p>{$lang['step3MySqlUser']}: <input name=\"dbuser\" value=\"\" type=\"text\" size=\"20\" />    {$lang['step3MySqlUserComment']}</p>
	<p>{$lang['step3MySqlPass']}:&nbsp;&nbsp;&nbsp;&nbsp;<input name=\"dbpassword\" value=\"\" type=\"password\" size=\"20\" />    {$lang['step3MySqlPassComment']}</p>
	<p>{$lang['step3MySqlDBName']}:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input name=\"dbname\" value=\"wiki\" type=\"text\" size=\"20\" />    {$lang['step3MySqlDBNameComment']}</p>
	<p><span class=\"red\">{$lang['step3MySqlDBTablePrefix']}:</span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input name=\"table_prefix\" value=\"wiki_\" type=\"text\" size=\"20\" />    {$lang['step3MySqlDBTablePrefixComment']}</p>
	</div></div><input type='hidden' name='saveconfig' value='1'/>";
				}
				$prevStep=$prevStep-1;
			}

			break;
		case 4 :
			$sav2db=$_REQUEST['sav2db'];

			if($sav2db=='1'){

			}else{
				require_once "../config.inc.php";

				if(!@mysql_connect($g_db_host, $g_db_user, $g_db_pwd)) {
					$msg .= '<SPAN class=err>'.$lang['step3NoConnDB'].'</span><br/>';
					$nextAccess = 0;
				} else {
					$curr_mysql_version = mysql_get_server_info();
					if($curr_mysql_version < '3.23') {
						$msg .= '<SPAN class=err>'.$lang['step3MySqlVersionToLowTip'].'</span><br/>';
						$nextAccess = 0;
					}
					$islink=mysql_select_db($g_db_name);
					if($islink){
						$result = mysql_query("SELECT COUNT(*) FROM $g_table_prefix"."setting");
						if($result) {
							$msg .= '<SPAN class=err>'.$lang['step3DBAlreadyExist'].'</span><br/>';
							$alert = " onClick=\"return confirm('{$lang['step3DBDropTableConfirm']}');\"";
						}
					}
				}

				$str = "<div id=\"tips\">" .
							"<div class=\"log\">{$lang['commonInfotip']}</div><div class=\"mes\"><p>{$lang['step4Tip']}<br/>$msg</p></div>
							</div>";
				$str =$str."<div id=\"wrapper\"><div class=\"col\">" .
	"<h3>{$lang['commonSetupOption']}{$lang['commonSetupParameterValue']}{$lang['commonSetupComment']}</h3>
	<p><span class=\"red\">{$lang['step4AdministratorNick']}:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><input name=\"admin_master\" value=\"\" type=\"text\" size=\"20\" />{$lang['step4AdministratorNickComment']}</p>
	<p><span class=\"red\">{$lang['step4AdministratorEmail']}:&nbsp;</span><input name=\"admin_email\" value=\"\" type=\"text\" size=\"20\" />{$lang['step4AdministratorEmailComment']}</p>
	<p><span class=\"red\">{$lang['step4AdministratorPass']}:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><input name=\"admin_pw\" value=\"\" type=\"password\" size=\"20\" />{$lang['step4AdministratorPassComment']}</p>
	<p><span class=\"red\">{$lang['step4AdministratorRePass']}:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><input name=\"admin_pw2\" value=\"\" type=\"password\" size=\"20\" />{$lang['step4AdministratorRePassComment']}</p>
	</div></div>";
			}
			break;
		case 5 :
			$admin_url="http://".$_SERVER['HTTP_HOST'].substr($_SERVER['PHP_SELF'],0,strlen($_SERVER['PHP_SELF'])-20);
			$admin_pw = encode($_POST['admin_pw']);
			$admin_pw2 = encode($_POST['admin_pw2']);
			$admin_email = encode(trim($_POST['admin_email']));
			$site_url = $admin_url;
			$admin_master = encode(trim($_POST['admin_master']));
			$site_icp = "";

			if ($admin_pw == "" or $admin_pw2 == "" or $admin_email == "" or $admin_master == "") {
				$str = "<SPAN class=err>{$lang['step3IsNull']}</span>";
				$nextAccess = 0;
			}
			elseif (strlen($admin_pw) < 6) {
				$str = "<SPAN class=err>{$lang['step4AdministratorPassTooShortTip']}</span>";
				$nextAccess = 0;
			}
			elseif ($admin_pw != $admin_pw2) {
				$str = "<SPAN class=err>{$lang['step4AdministratorPassNotSame']}</span>";
				$nextAccess = 0;
			}
			elseif (check_email($admin_email) == 0) {
				$str = "<SPAN class=err>{$lang['step4AdministratorEmailInvalid']}</span>";
				$nextAccess = 0;
			} else {
				if ($nextAccess == 1) {

					require_once "../config.inc.php";
					require_once "../include/Db.class.php";

					$db = new Db($g_db_host, $g_db_user, $g_db_pwd, $g_db_name, $g_db_charset);

					$fp = fopen($sqlfile, 'rb');
					$sql = fread($fp, filesize($sqlfile));
					fclose($fp);
					$strcretip=runquery($sql);

					$msg .= str_replace("aaa",$tablenum,$strCreTabInfo)." <br />";
					if($nextAccess==1) $msg .= "{$lang['step4ImportDefaultData']} <br />";

					$admin_email = strtolower($admin_email);
					$adminnameupper = hstrtoupper($admin_master);
					$adminpwd = md5($admin_pw);

					$site_name = $lang['step4DefaultSiteName'];

					$arrsqls = array (
						"INSERT INTO `{$g_table_prefix}categorie`(cat_name,cat_navi,cat_doc_count) VALUES ('Default','a:1:{i:0;a:2:{s:6:\"cat_id\";s:1:\"1\";s:8:\"cat_name\";s:7:\"Default\";}}',2)",
						"INSERT INTO `{$g_table_prefix}usergroup`(usergroup_id,
						    allow_post,allow_reply,allow_create,allow_edit,allow_board,base_config,
						    upload_logo,bonus_config,del_user,add_cat,edit_cat,
						    del_cat,del_doc,verify_doc,lock_doc,unlock_doc,
							move_doc,rename_doc,del_topic,verify_topic,plugin_manage,
							plugin_position,task_manage,ip_banned,del_his,great_his,
							copy_his,momo_manage,allow_manage,discuz_config,seo_config,
							cache_config,add_link,del_link,
							edit_link,backup_database,optimize_database,recommended_focus) VALUES
							 (1,	0,0,0,0,0,0,	0,0,0,0,0,	0,0,0,0,0,	0,0,0,0,0,	0,0,0,0,0,	0,0,0,0,0,	0,0,0,	0,0,0,0),
							 (2,	1,1,1,1,1,0,	0,0,0,0,0,	0,0,0,0,0,	0,0,0,0,0,	0,0,0,0,0,	0,0,0,0,0,	0,0,0,	0,0,0,0),
							 (3,	1,1,1,1,1,0,	0,0,0,0,0,	0,0,0,0,0,	0,0,0,0,0,	0,0,0,0,0,	0,0,0,0,0,	0,0,0,	0,0,0,0),
							 (4,	1,1,1,1,1,1,	1,1,1,1,1,	1,1,1,1,1,	1,1,1,1,1,	1,1,1,1,1,	1,1,1,1,1,	1,1,1,	1,1,1,1)",
						"INSERT INTO `{$g_table_prefix}user`(user_email,user_nick,user_nick_upper,user_password,last_login_ip,usergroup_id,user_doc_count,user_reg_time,user_lang) VALUES ('anonymous@hoodong.com', '{$lang['step4AnonymityUser']}', '{$lang['step4AnonymityUser']}', '1', '{$_SERVER['REMOTE_ADDR']}',1,0,now(),'{$lang_name}'),('{$admin_email}', '{$admin_master}', '{$adminnameupper}', '$adminpwd', '{$_SERVER['REMOTE_ADDR']}',4,0,now(),'{$lang_name}')",
						"INSERT INTO `{$g_table_prefix}plugin`(plug_id ,plug_name ,plug_descripe ,plug_path ,plug_code ,plug_status ,plug_type ,plug_order ,plug_dateline ,state) VALUES (1, 'DocCreator', '{$lang['step4DocCreator']}', './plugins/DocCreator/DocCreator.php', '', 1, 'right', 0, 1176890338, 1),(2, 'DocLatestEdit', '{$lang['step4DocLatestEdit']}', './plugins/DocLatestEdit/DocLatestEdit.php', '', 1, 'right', 0, 1176890339, 1)",
						"INSERT INTO `{$g_table_prefix}task`(task_id,task_name,task_url,task_lastrun,task_nextrun,task_weekday,task_day,task_hour,task_minute,task_status,state) VALUES (1, '{$lang['step4SplitTags']}', 'manage.php?action=taskrun&f=task_splittags', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 8, 0, 12, 1, 0, 1)",
						"INSERT INTO `{$g_table_prefix}setting`(variable,value) VALUES ('g_site_name', '{$site_name}'),('g_site_url', '{$siteurl}'),('g_site_icp', '{$_POST['site_icp']}'),('g_verify_doc', '1'),('g_verify_topic', '1'),('g_verify_reply', '1'),('g_search_lucene', '0'),('DEFAULTBONUS', '100'),('CREATEDOCBONUS', '100'),('EDITDOCBONUS', '20'),('DOCTOPICBONUS', '20'),('DOCREPLYBONUS', '20'),('discuz_passport', '0'),('discuz_name', ''),('discuz_url', ''),('discuz_code', ''),('site_debug', 'off'),('index_cache_time', '300'),('list_cache_time', '300'),('doc_cache_time', '300'),('seo_type', '0'),('tpl_name', 'default'),('time_offset','8'),('time_diff','0'),('time_format',''),('date_format','m.d'),('style_user_select','1'),('lang_user_select','1'),('style_name','default'),('lang_name','$lang_name'),('editor_icon_select','1')",
						"INSERT INTO `{$g_table_prefix}style`(style_name,style_path,style_copyright) VALUES
										('{$lang['styleName1']}','default','HDWiki'),
										('{$lang['styleName2']}','green','HDWiki'),
										('{$lang['styleName3']}','red','HDWiki'),
										('{$lang['styleName4']}','orange','HDWiki'),
										('{$lang['styleName5']}','black','HDWiki'),
										('{$lang['styleName6']}','white','HDWiki'),
										('{$lang['styleName7']}','purple','HDWiki')",
						"INSERT INTO `{$g_table_prefix}lang`(lang_name,lang_filename) VALUES ('{$lang['langName1']}','zh'),('{$lang['langName2']}','tw'),('{$lang['langName3']}','en')"
					);

					for ($i = 0; $i < count($arrsqls); $i++) {
						if ($nextAccess == 0)
							break;
						$res = $db->query($arrsqls[$i]);
						if ($res == false) {
							$msg .= "<SPAN class=err>$strExecSQL {$arrsqls[$i]} {$lang['commonFailed']}</span><br />";
							$nextAccess = 0;
						}
					}

					if (mysql_error()) {
						$str = "<SPAN class=err>" . $lang['step4DBExecError'] . ' ' . mysql_error() . "</span>";
						$nextAccess = 0;
					}

					if($nextAccess==1){
						$str = "<div id=\"tips\">{$lang['stepSetupDelInstallDirTip']}</div>";
						 $str .="<div id=\"wrapper_1\"><div class=\"col\"><br />$strcretip $msg<br /></div></div>";

					}

					if ($nextAccess == 1) {
	                    @touch("../wikidata/install.lock");
	                    @cleardir("../templates_c");
	                    @cleardir("../cache");
	                    @cleardir("../wikidata/cache");
	                    @forceMkdir("../wikidata/sessions");
	                    @forceMkdir("../wikidata/cache");
	                    @forceMkdir("../wikidata/db_backup");
	                    @setcookie("cookie_stylename",'',0);
							  @setcookie("cookie_langname",'',0);
						$str .= "<div id=\"wrapper1\"><span style=\"color:red\">{$lang['stepSetupSuccessTip']}</span></div>";
						$str .= "<div id=\"wrapper2\"><input type=\"button\" onClick=\"window.location='../'\" value=\"{$lang['stepSetupGoTOIndex']}\" class=\"inbut1\"/></div>";
					}
				}
			}

			break;
	}

	if ($nextAccess == 0) {
		$str .= "<br /><br /><input class=\"inbut\" type=\"button\" value=\"{$lang['commonPrevStep']}\" onclick=\"javascript: window.location=('$php_self?step=$prevStep');\">\n";
	}elseif($step>1&&$nextAccess&&$step<5){
		$str .= "<div id=\"wrapper2\"><input onclick=\"window.location='install.php?step=$prevStep';\" type=\"button\" value=\"{$lang['commonPrevStep']}\" class=\"inbut\"/>  <input type=\"submit\" value=\"{$lang['commonNextStep']}\" class=\"inbut1\"/ $alert></div>";
	}

	echo $str;
?>
<?php if($step!=5){?>
<INPUT type=hidden value=<?php echo $nextStep?> name="step">
</form><?php }?>
</div>
</div>
<div class="clear"></div>
<div id="footer">
<p>Powered by <a class="footlink" href="http://kaiyuan.hoodong.com">HDWiki</a> V<?php echo HDWIKI_VERSION?>| &copy;2005-2007 <strong>Hoodong</strong></p>
</div>
</div>
</body>
</html>