<?php
/**
*
* English language file
*
*/

// common
$lang['commonCharset'] = 'UTF-8';
$lang['commonLang'] = 'Language';
$lang['commonStyle'] = 'Style';
$lang['commonSystemMenu'] = 'Settings';
$lang['commonLogout'] = 'Log Out';
$lang['commonMngCenter'] = 'My Account';
$lang['commonWelcome'] = 'Welcome,';
$lang['commonRencentChange'] = 'Most Recent';
$lang['commonLogin'] = 'Log In';
$lang['commonRegister'] = 'Sign Up';
$lang['commonHowToRegister'] = 'How to register';
$lang['commonHowToLogin'] = 'How to log in';
$lang['commonHowToSetUserdata'] = 'How to set up personal data';
$lang['commonHelp'] = 'Help';
$lang['commonClickCount'] = 'Hits';
$lang['commonCreator'] = 'Creator';
$lang['commonLatestCooperation'] = 'Latest Contributor';
$lang['commonTranscript'] = 'Full Text';
$lang['commonTitle'] = 'Title';
$lang['commonTags'] = 'Tag';
$lang['commonHotTags'] = 'Hottest Tags';
$lang['commonMore'] = 'More';
$lang['commonWikier'] = 'Wikier';
$lang['commonCreate'] = 'Create';
$lang['commonCoop'] = 'Collaboration';
$lang['commonReply'] = 'Reply';
$lang['commonTopic'] = 'Topic';
$lang['commonSummary'] = 'Abstract';
$lang['commonSiteNavi'] = 'Site Map';
$lang['commonCreateDoc'] = 'Create';
$lang['commonCoopDoc'] = 'Edit';
$lang['commonPublishTopic'] = 'New Topic';
$lang['commonPublishReply'] = 'Reply';
$lang['commonSandbox'] = 'Sandbox';
$lang['commonSearch'] = 'Search';
$lang['commonCopy'] = 'Copy';
$lang['commonSiteIndex'] = 'Home';
$lang['commonRSSSubscription'] = 'RSS';
$lang['commonAuthor'] = 'Author';
$lang['commonReadArticle'] = 'View';
$lang['commonCreatedTime'] = 'Created';
$lang['commonComment'] = 'Discussion';
$lang['commonViewCount'] = 'Hits';
$lang['commonView'] = 'View';
$lang['commonCreating'] = 'Created At';
$lang['commonUserIdError'] = 'User ID Parameter Error';
$lang['commonFirstPage'] = 'First';
$lang['commonLastPage'] = 'Last';
$lang['commonPrevPage'] = 'Previous';
$lang['commonNextPage'] = 'Next';
$lang['commonJumpPage'] = 'Jump To';
$lang['commonPage'] = ' Pages';
$lang['commonTotal'] = 'Total ';
$lang['commonOK'] = 'OK';
$lang['commonNow'] = 'Now';
$lang['commonHave'] = 'There is';
$lang['commonPerson'] = 'People';
$lang['commonGive'] = 'Send';
$lang['commonBoard'] = 'Messages';
$lang['commonNo'] = 'No';
$lang['commonPublishBoard'] = 'Send Message';
$lang['commonUserNick'] = 'User ID';
$lang['commonPublishAnony'] = 'Anonymous';
$lang['commonSecCode'] = 'Verification Code';
$lang['commonFontBold'] = 'Bold';
$lang['commonFontItalic'] = 'Italic';
$lang['commonFontUnderline'] = 'Underline';
$lang['commonSelectFontColor'] = 'Select Font Color';
$lang['commonBlack'] = 'Black';
$lang['commonRed'] = 'Red';
$lang['commonYellow'] = 'Yellow';
$lang['commonPink'] = 'Pink';
$lang['commonGreen'] = 'Green';
$lang['commonOrange'] = 'Orange';
$lang['commonPurple'] = 'Purple';
$lang['commonBlue'] = 'Blue';
$lang['commonBeige'] = 'Beige';
$lang['commonBrown'] = 'Brown';
$lang['commonTeal'] = 'Teal';
$lang['commonInsertLink'] = 'Insert Hyperlink';
$lang['commonInsertImage'] = 'Insert Image';
$lang['commonLeft'] = 'Remaining';
$lang['commonChar'] = 'Character';
$lang['commonSpaceManage'] = 'WikiSpace';
$lang['commonSecCodeError'] = 'Verification Code Error!';
$lang['commonCue'] = 'Tips:';
$lang['commonAutoJump'] = 'This page will be redirected automatically in Seconds!';
$lang['commonClickHere']='If your browser does not automatically redirected, please click here!';
$lang['commonGroupLackOfPower']='Sorry, your user group doesn\'t have access!';
$lang['commonCat'] = 'Categories';
$lang['commonClickAndTopic'] = 'Hits/Comments';
$lang['commonKeyword'] = 'Keyword';
$lang['commonAdvanceSearch'] = 'Advanced Search';
$lang['commonFocusDoc'] = 'Featured Items';
$lang['commonSubmit'] = 'Submit';

//calendar
$lang['calendarJanuary'] = 'January';
$lang['calendarFebruary'] = 'February';
$lang['calendarMarch'] = 'March';
$lang['calendarApril'] = 'April';
$lang['calendarMay'] = 'May';
$lang['calendarJnue'] = 'Jnue';
$lang['calendarJuly'] = 'July';
$lang['calendarAugust'] = 'August';
$lang['calendarSeptember'] = 'September';
$lang['calendarOctober'] = 'October';
$lang['calendarNovember'] = 'November';
$lang['calendarDecember'] = 'December';
$lang['calendarMonday'] = 'Monday';
$lang['calendarTuesday'] = 'Tuesday';
$lang['calendarWednesday'] = 'Wednesday';
$lang['calendarThursday'] = 'Thursday';
$lang['calendarFriday'] = 'Friday';
$lang['calendarSaturday'] = 'Saturday';
$lang['calendarSunday'] = 'Sunday';
$lang['calendarHour'] = 'Hour';
$lang['calendarMinute'] = 'Minute';

// index

$lang['indexClickRanks'] = 'Most Visited Items';
$lang['indexCharismaUser'] = 'Most Popular Contributors';
$lang['indexLatestTopic'] = 'Latest Topics';
$lang['indexActiveUser'] = 'Most Active Contributors';
$lang['indexLatestUser'] = 'Recent Sign Up';
$lang['indexFriendLink'] = 'Friend Links';
$lang['indexCreateTagMsg'] = 'Please generate hot TAGs in the Control Panel!';
$lang['indexNoTopicMsg'] = 'No new topics!';
$lang['indexNoFocusMsg'] = 'No Featured Items! Please setup in the Control Panel!';

// space
$lang['spaceWelcome'] = 'You are welcome,';
$lang['spaceExit'] = 'Exit';
$lang['spaceLeaveMessage'] = 'Send message';
$lang['spaceIndex'] = 'Wikispace Home';
$lang['spaceCreateDoc'] = 'Created Items';
$lang['spaceCoopDoc'] = 'Contributed Items';
$lang['spaceMyCoopedDoc'] = 'Who Contributed';
$lang['spaceMyComment'] = 'My Discussions';
$lang['spaceBoardBook'] = 'Messages';
$lang['spaceBonus'] = 'Points';
$lang['spaceClicks'] = 'Hits';
$lang['spacePersonalIntro'] = 'Personal Signature';
$lang['spaceMyBoard'] = 'My Messages';
$lang['spaceBoard1'] = '\'s Message';
$lang['spaceNoDocs'] = 'No Items';
$lang['spaceNoCreateDocs'] = 'No Created Items';
$lang['spaceNoCoopDocs'] = 'No Contributed Items';
$lang['spaceNoCoopedDocs'] = 'No one contributed yet';
$lang['spaceDocs'] = '\'s Items';
$lang['spaceIndexTitle'] = '\'s Wikispace';
$lang['spaceComment'] = '\'s Discussions';
$lang['spaceBoard'] = '\'s Messages';
$lang['spaceUserNotExist'] = 'Sorry, the user account has been deleted!';
$lang['spaceCoopedDoc'] = 'Who Contributed to s%\'s Items';
$lang['spaceReplyTime'] = 'Replied';
$lang['spaceNoReply'] = 'No Replies';
$lang['spaceNoTopic'] = 'No Topics';
$lang['spaceEmptyBoard'] = 'The message can not be empty!';
$lang['spaceLongBoard'] = 'The message contains too many words!';
$lang['spaceNotLoginPublishBoardStr1'] = 'You are not logged in, please';
$lang['spaceNotLoginPublishBoardStr2'] = 'before you send a message.';
$lang['spacePublishBoardTip'] = 'You can send a message with no more than 500 characters.';
$lang['spacePublishBoardUserIDInvalid'] = 'Illegal user ID!';
$lang['spacePublishBoardNoRiights'] = 'Sorry, the user group you belong to doesn\'t have the access to allow you to send messages!';
$lang['spaceNoteNo'] = 'No';
$lang['spaceNote'] = 'Message';


//login
$lang['loginAction'] = 'Log In';
$lang['loginTitle'] = 'Log In';
$lang['loginBtn'] = 'Log In';
$lang['loginRegister'] = 'Sing Up';
$lang['loginToReg'] = 'Don\'t have an account? Please Sign Up';
$lang['loginNick'] = 'User ID';
$lang['loginPassword'] = 'Password';
$lang['loginCookieSaveTime'] = 'Remember Me';
$lang['loginCookieSaveNow'] = 'Don\'t remember';
$lang['loginCookieSaveWeek'] = 'A week';
$lang['loginCookieSaveMonth'] = 'A month';
$lang['loginCookieSaveYear'] = 'A year';
$lang['loginCaptcha'] = 'Verification Code';
$lang['loginChangeCaptcha'] = 'Cannot see it clearly? Click the picture for another one';
$lang['loginEnterCaptcha'] = 'Please enter the characters shown in the picture';
$lang['loginErrorCaptcha'] = 'Code error, please re-enter!';
$lang['loginErrorLogin'] = 'Wrong User ID or password!';

//the right part of register and login
$lang['rightTitle'] = 'Sign Up';
$lang['rightLiA'] = 'Creating content together, Sharing knowledge';
$lang['rightLiB'] = 'Receiving information and knowledge generated by your folks.';
$lang['rightLiC'] = 'Get to know more friends, Collaborate on everything.';
$lang['rightLiD'] = 'Interactive Wikispace, Show your charm';

//register
$lang['regAction'] = 'Sign Up';
$lang['regTitle'] = 'Sign Up';
$lang['regBtn'] = 'Sign Up';
$lang['regToLogin'] = 'Plese Log In if you already have an account';
$lang['registerLogin'] = 'Log In';
$lang['regCaptcha'] = 'Verification Code';
$lang['regEnterCaptcha'] = 'Please enter the characters shown in the picture';
$lang['regErrorCaptcha'] = 'Code error, please re-enter!';
$lang['regNick'] = 'User ID';
$lang['regRepeatNick'] = 'This User ID has been taken, please try another one!';
$lang['regNullNick'] = 'User ID can not be empty!';
$lang['regNickLenth'] = 'User ID should be between 1 and 32 characters long!';
$lang['regNickIntro'] = 'User ID can be Chinese characters';
$lang['regPassword'] = 'Password';
$lang['regNullPassword'] = 'Password can not be empty';
$lang['regPasswordIntro'] = 'Password is 6~32 characters long and case sensitive.';
$lang['regRepeatPassword'] = 'Re-enter password';
$lang['regRepeatPassErr'] = 'The password does NOT match';
$lang['regEmail'] = 'E-mail';
$lang['regRepeatEmail'] = 'The E-mail has been taken! Please try another one!';
$lang['regEmailIntro'] = 'E-mail address';
$lang['regNullEmail'] = 'E-mail address can not be empty!';
$lang['regEmailLenth'] = 'The length of E-mail address should not exceed 256 characters!';
$lang['regEmailErr'] = 'E-mail address format error!';
$lang['regAgree'] = 'I have read and agreed upon';
$lang['regTerm'] = '"Terms Of Service "';
$lang['regSuc'] = ',Congratulations on your successful registration!';
$lang['regHelpTitle'] = 'Tips';
$lang['regHelpItemA'] = 'What is Wiki?';
$lang['regHelpItemB'] = 'What is Item?';
$lang['regHelpItemC'] = 'How to create a proper wiki title?';
$lang['regHelpItemD'] = 'How to create a wiki item?';
$lang['regSucItemA'] = 'Next, start your journey to Wiki!';
$lang['regSucItemB'] = 'Update Information';
$lang['regItemBCnt'] = 'With complete personal information, it makes easier for us to find interesting friends for you.';
$lang['regSucItemC'] = 'Create';
$lang['regItemCBCnt'] = 'You can create a wiki item NOW!';
$lang['regSucItemD'] = 'Return to homepage';
$lang['regHelpTitle'] = 'Tips';

//user
$lang['userLanguage'] = 'BIG5';
$lang['userTopColumn'] = 'Create';
$lang['userLowColumn'] = 'My Account';
$lang['userMenuIndex'] = 'Homepage';
$lang['userMenuSpace'] = 'Wikispace';
$lang['userColumnBase'] = 'Basic information';
$lang['userBaseId'] = 'User ID';
$lang['userBaseName'] = 'User name';
$lang['userBaseClick'] = 'Hits';
$lang['userBaseBonus'] = 'points';
$lang['userBaseCreate'] = 'Create';
$lang['userBaseCoop'] = 'Contribute';
$lang['userBaseTopic'] = 'New Topic';
$lang['userBaseReply'] = 'Reply';
$lang['userBaseUnderWrite'] = 'Personal signature';
$lang['userColumnCreate'] = 'Create new item';
$lang['userColumnManage'] = 'Manage Items';
$lang['userColumnSetting'] = 'Personal information settings';
$lang['userSexFemale'] = 'Female  ';
$lang['userSexMale'] = 'Male ';
$lang['userSettingSave']='Updates has been successfully saved';
$lang['userSettingNick']='Nickname';
$lang['userSettingSex']='Gender';
$lang['userSettingBirth']='Date of birth';
$lang['userSettingYear']='Year';
$lang['userSettingMonth']='Month';
$lang['userSettingDay']='Day';
$lang['userSettingSpaceName']='Wikispace Name';
$lang['userSettingSpaceIntro']='Wikispace Introduction';
$lang['userSettingCity']='City';
$lang['userColumnEditPassword'] = 'Change password';
$lang['userOldPassword'] = 'Old Password';
$lang['userNewPassword'] = 'New password';
$lang['userRepeatPassword'] = 'Confirm password';
$lang['userPasswordSave'] = 'The Password has been successfully changed!';
$lang['userNullOldPassword'] ='The old password can not be empty!';
$lang['userPasswordErr']='The Password doesn\'t match!';
$lang['userNullNewPassword']='The new password can not be empty';
$lang['userPasswordLenth'] = 'The length of Password should be 6~32 characters long and case sensitive!';
$lang['userRepeatPasswordErr'] = 'The password doesn\'t match';
$lang['userColumnEditIco'] = 'Change your Icon';
$lang['userIntroSave'] = 'Self-introduction has been successfully saved';
$lang['userIcoSave'] = 'Your photo has been successfully saved';
$lang['userIcoNotice'] = 'Please complete your profile: ';
$lang['userExNameErr'] = 'Incorrect file format';
$lang['userIcoErr'] = 'Failed to upload images';
$lang['userMyIco'] = 'My Icon';
$lang['userMyEditIco'] = 'Change my Icon: ( Note: Please upload images under 1M, in the format of .jpg, .gif, .jpeg)';
$lang['userUploadBtn'] = 'Upload';
$lang['userMyIntro'] = 'About me:( Note: less than 256 characters)';
$lang['userTimeOffSet'] = 'Change time zone';
$lang['userTrueName'] = 'Real name';
$lang['userAddress'] = 'Address';
$lang['userWordLimit'] = 'Maximum 40 characters';
$lang['userTimeOffSetSuc'] = 'Time zone changed successfully';
$lang['userTel'] = 'Phone #';
$lang['userNowTimeOffSet'] = 'Time zone';
$lang['userNowTimeOff'] = 'Time Difference';
$lang['userNowTimeOffIntro'] = '(Time Difference between Local time and GMT time)';
$lang['userTimeOffSetNote'] = 'Please select your time zone';
$lang['userSubmit'] = 'Submit';
$lang['userEmptyIntro'] = 'The guy is too lazy to get anything left:)';


//time offset
$lang['serverTime'] = 'Server time';
$lang['localtime'] = 'Local time';
$lang['timeoffset'] = array(
                        '-12'=>'(GMT-12:00) West on the line',
                        '-11'=>'(GMT-11:00) Midway, Samoa Islands',
                        '-10'=>'(GMT-10:00) Hawaii',
                        '-9'=>'(GMT-9:00) Alaska',
                        '-8'=>'(GMT-8:00) Pacific time(US & Canada)',
                        '-7'=>'(GMT-7:00) Arizona, Mountain Island(US & Canada)',
                        '-6'=>'(GMT-6:00) Central time(US & Canada),Mexico City, Saskatchewan',
                        '-5'=>'(GMT-5:00) Eastern Time(US & Canada),Indiana (East), Lima',
                        '-4'=>'(GMT-4:00) Antartic Time(Canada),Caracas, Lapaz',
                        '-3.5'=>'(GMT-3:30) Newfoundland',
                        '-3'=>'(GMT-3:00) Brazil, Buenos Aires, Georgetown, Falkland Is.',
                        '-2'=>'(GMT-2:00) Mid-Atlantic, Ascention Is., St Helena',
                        '-1'=>'(GMT-1:00) Azores, Cape Verde Islands',
                        '0'=>'(GMT) Casablanca, Dublin, Edinburgh, London, Lisbon, Monrovia',
                        '1'=>'(GMT+1:00) Berlin, Brussels, Kristiansund, Madrid, Paris, Rome, Warsaw',
                        '2'=>'(GMT+2:00) Kaliningrad, South Africa',
                        '3'=>'(GMT+3:00) Baghdad, Riyadh, Moscow, Nairobi',
                        '3.5'=>'(GMT+3:30) Tehran',
                        '4'=>'(GMT+4:00) Adu Dhabi, Baku, Muscat, Tbilisi',
                        '4.5'=>'(GMT+4:30) Kabul',
                        '5'=>'(GMT+5:00) Ekaterinburg, Islamabad, Karachi, Tashkent',
                        '5.5'=>'(GMT+5:30) Bombay, Calcutta, Madras, New Delhi',
                        '6'=>'(GMT+6:00) Almaty, Colomba, Dhakra',
                        '7'=>'(GMT+7:00) Bangkok, Hanoi, Jakarta',
                        '8'=>'(GMT+8:00) Beijing, Hong Kong, Perth, Singapore, Taipei',
                        '9'=>'(GMT+9:00) Osaka, Sapporo, Seoul, Tokyo, Yakutsk',
                        '9.5'=>'(GMT+9:30) Adelaide, Darwin',
                        '10'=>'(GMT+10:00) Melbourne, Papua New Guinea, Sydney, Vladivostok',
                        '11'=>'(GMT+11:00) Magadan, New Caledonia, Solomon Islands',
                        '12'=>'(GMT+12:00) Auckland, Wellington, Fiji, Marshall Island');

//show history Contrast 2007-9-5

$lang['hisVersion'] = 'Version';
$lang['hisTime'] = 'Creation time';
$lang['hisAuthor'] = 'Creator';
$lang['hisModify'] = 'Modify';
$lang['hisExcellent'] = 'Excellent';
$lang['hisWhy'] = 'Reason of editing';
$lang['hisContrast'] = 'Version Comparison';
$lang['hisDelete'] = 'Delete Version';
$lang['hisCopy'] = 'Copy Version';
$lang['hisName'] = 'Version history';
$lang['hisBig'] = 'Big';
$lang['hisSmall'] = 'Small';
$lang['hisCreat'] = 'Create';
$lang['hisDel'] = 'Deleted';
$lang['hisModifyTime'] = 'Edit Time';
$lang['hisNoticeContent'] = 'Content differences are shown in light green and dark green.';
$lang['hisNotice'] = 'Note:';
$lang['hisCloseWindow'] = 'Close this window';
$lang['hisAtLeastTwo'] = 'Note: You must chooese two history Versions to compare!';
$lang['hisChoseOne'] = 'Note: You have not chosen any version yet!';
$lang['hisOnlyTwo'] = 'Note: Only two Versions can be compared!';
$lang['hisAtMostTwo'] = 'Note: You have chosen too many versions!';
$lang['hisChoseOneHis'] = 'Note: No version for comparison!';
$lang['hisWrongBack'] = 'Wrong version, back to last step please!';
$lang['hisChoseDel'] = 'Please choose a version!';
$lang['hisDelete'] = 'The version deleting cannot roll back, continue?';
$lang['hisSelectHis'] = 'Choose a version, please!';
$lang['hisSetExcellent'] = 'Do you want to mark the version as Excellent?';
$lang['hisOnlyOne'] = 'Choose only one version,please!';
$lang['hisCopyHis'] = 'Do you want to copy the latest version?';

//show wikier
$lang['docTime'] = 'Hits';
$lang['docUpdate'] = 'Update';

//show topic
$lang['topicSelDel'] = 'Please choose the replies to delete';
$lang['topicDelask'] = 'The operation can NOT be restored, continue?';
$lang['topicTitleNone'] = 'The title can not be empty';
$lang['topicTitleOut'] = 'The title has too many words';
$lang['topicContentNon'] = 'Content can not be empty';
$lang['topicContentout'] = 'Content has too many words';
$lang['topicVerificationError'] = 'Code validation error';
$lang['topicSelAll'] = 'Select All';
$lang['topicClickNum'] = 'Click';
$lang['topicResume'] = 'Reply';
$lang['topicTitle'] = 'Title';
$lang['topicAuthor'] = 'Creator';
$lang['topicLastResume'] = 'The latest reply';
$lang['topicResumeTime'] = 'Reply time';
$lang['topicNonea'] = 'Hello, You are the 1st one arrives here,';
$lang['topicNoneb'] = 'wikibar has no topic!';
$lang['topicNonec'] = 'You are welcome to leave a message, publish your view on';
$lang['topicNoned'] = ',and share, exchange with the friends visit here later. ';
$lang['topicAdminDel'] = 'Delete';
$lang['resumesSaid'] = 'Said:';
$lang['resumesTo'] = 'Reply';
$lang['resumesDel'] = 'The reply has been deleted by administrator';
$lang['resumesAdminDel'] = 'Delete';
$lang['contentTitle'] = 'Title';
$lang['resumesTo'] = 'Reply';
$lang['contentBody'] = 'Content';
$lang['fontsBold'] = 'Bold';
$lang['fontsItalics'] = 'Italic';
$lang['fontsUnderlined'] = 'Underline';
$lang['SelFontsColor'] = 'Select font color';
$lang['fontsBlack'] = 'Black';
$lang['fontsRed'] = 'Red';
$lang['fontsYellow'] = 'Yellow';
$lang['fontsPink'] = 'Pink';
$lang['fontsGreen'] = 'Green';
$lang['fontsOrange'] = 'Orange';
$lang['fontsPurple'] = 'Purple';
$lang['fontsBlue'] = 'Blue';
$lang['fontsBeige'] = 'Beige';
$lang['fontsBrown'] = 'Brown';
$lang['fontsTeal'] = 'Teal';
$lang['fontsNavy'] = 'Navy';
$lang['fontsMaroon'] = 'Maroon';
$lang['fontsLimeGreen'] = 'Lime Green';
$lang['fontsHyperlinks'] = 'Insert Hyperlink';
$lang['fontsPicture'] = 'Insert Image';
$lang['resumesAnonymous'] = 'Anonymous';
$lang['resumesNotLogin'] = 'You are not logged in, please';
$lang['topicLogin'] = 'Log In';
$lang['topicrRegistration'] = 'Sign Up';
$lang['topicLoginIsOk'] = 'Before you leave a message.';
$lang['resumesVerification'] = 'Validation code';
$lang['topicSubmit'] = 'Submit';

//show docadmin
$lang['docadminCommon'] = 'Ordinary';
$lang['docadminRename'] = 'Rename';
$lang['docadminMove'] = 'Move Category';
$lang['docadminState'] = 'Status';
$lang['docadminLock'] = 'Lock';
$lang['docadminUnlock'] = 'Unlock';
$lang['docadminFreeze'] = 'Freeze';
$lang['docadminUnFreeze']='UnFreeze';
$lang['docadminFocus']='Recommend';

//search
$lang['searchCondisNull']='Search terms can not be empty!';
$lang['searchTitleAndSummary']='Title + Abstract';
$lang['searchKeywordDesc']='Keywords can be wildcards "*"
To match all of the keywords，you can use backspaces or "AND". e.g. win32 AND unix
To match part of the keywords，you can use "|" or "OR". e.g. win32 OR unix';
$lang['searchAuthorDesc']='Wildcards "*" can be used，e.g. *user*';
$lang['searchChoice']='Search Options';
$lang['searchType']='Search Type';
$lang['searchTime']='Search Time';
$lang['searchAllTime']='All Time';
$lang['searchOneDay']='1 Day';
$lang['searchTwoDays']='2 Days';
$lang['searchOneWeek']='1 Week';
$lang['searchOneMonth']='1 Month';
$lang['searchThreeMonths']='3 Months';
$lang['searchSixMonths']='6 Months';
$lang['searchOneYear']='1 Year';
$lang['searchTimeWithin']='Within';
$lang['searchTimeBefore']='Before';
$lang['searchOrderType']='Ordering by';
$lang['searchCreatedtime']='Created time';
$lang['searchTopicCount']='# of discussions';
$lang['searchClickCount']='# of visits';
$lang['searchOrderByAsc']='Ascending';
$lang['searchOrderByDesc']='Descending';
$lang['searchScope']='Scope of search';
$lang['searchAllCat']='Search all Categories';
$lang['searchResultisNull']='Sorry, No results are returned for the search!';
$lang['searchCreateDoc']='Would you like to create the item?';

//select doc

$lang['docCreate'] = 'Create Item';
$lang['docEdit'] = 'Edit Item';
$lang['docTitle'] = 'Item title';
$lang['docClass'] = 'Item category';
$lang['docNext'] = 'Next';
$lang['docShow'] = 'To create an item, you only need: 1. Input the item title Correctly 2.Choose a most suitable category';
$lang['docWrite'] = 'Please fill in the item title!';
$lang['docTitleNo'] = 'The title can not contains \'&\' symbols!';
$lang['docTitleSearch'] = 'Item title searching......';
$lang['docDoc'] = 'Item';
$lang['docFreeze'] = 'Has been frozen!';
$lang['docCanCreate'] = 'Can be created!';
$lang['docSearch'] = 'View the item';
$lang['docExist'] = 'Already existed!';

//createdoc

$lang['createDocNotice'] = 'please click "Save" after editing. If you want to do some test, please go to';
$lang['createDocTry'] = 'Sandbox';
$lang['createDocHot'] = 'to warm up.';
$lang['createDocAuto'] = 'If nothing is filled, the system will extract the first 100 words as abstract';
$lang['createDocAddTag'] = 'Add Tag';
$lang['createDocShow'] = 'Preview';
$lang['createDocSave'] = 'Save';
$lang['createDocCancel'] = 'Cancel';

//editdoc
$lang['editDoc'] = 'Edit';
$lang['editDocSmall'] = 'Minor change';
$lang['editDocDrop'] = 'Do you want to cancel the editing?';
$lang['editDocFull']= 'Edit Full-Text';
$lang['editDocNoRights'] = 'Sorry, you don\'t have access to edit the item';
$lang['editDocSection'] = 'Edit Section';

//viewdoc
$lang['viewDoc'] = 'View';
$lang['viewDocPublish'] = 'Submit';
$lang['viewDocNoRights'] = 'Sorry, you don\'t have access to create an item';
$lang['viewDocNotExist'] = 'Sorry, Item“<font color=\'red\'>{$t1}</font>”does not exist. You can <a href=\'doc.php?action=createdoc&title=".{$t2}."\'>click</a> to create。';
$lang['viewDocFreeze'] = 'Sorry，Item“<font color=\'red\'>{$title}</font>” has been locked';
$lang['viewDocVerify'] = 'Note: The item can only be published after administrator\'s approval. Please click<a href=\'index.php\'>here</a> to return to homepage';
$lang['viewDocUserList'] = 'List of Contributors';
$lang['viewDocHisList'] = 'List of Versions';
$lang['viewDocDelHisNoRights'] = 'Sorry, you don\'t have access to delete versions.';
$lang['viewDocDefaultContent'] = 'Current item does not have content, you are welcome to edit and share with others.<br><br>
					  >>Click to start<A title=\"\" href=\"doc.php?action=edit&amp;docid='.$docid.'\" target=\"\">editing</a><br><br>
					  An example of quality wiki item is：<br><br>
					  <a href=\"http://www.hoodong.com/wiki/%E4%BA%9A%E9%A9%AC%E9%80%8A%E6%B2%B3\" target="_blank">Amazon</a>';

$lang['viewDocDefaultSummary']='Current item does not have content, you are welcome to edit and share with others.';
$lang['viewDocDefaultTag']='No item, please edit.';
$lang['viewDocHisError']='The Version ID you submitted does not exist!';
$lang['viewDocHisGreatNoRights']='Sorry, you don\'t have access to mark the version as Excellent!';
$lang['viewDocHisCopyNoRights']='Sorry, you don\'t have access to copy the version!';
$lang['viewDocViewHis']='View Version';
$lang['viewDocViewHisNotExist']='Cannot view version that has been deleted!';
$lang['viewDocViewCompareHis']='Version Comparison';
$lang['viewDocViewHelp']='You are not allowed to edit this item. Please turn to HELP for more information.';
$lang['viewDocComment']='Wikibar Discussions';
$lang['viewDocCooper']='Contributors';
$lang['viewDocManage']='Admin. Options';
$lang['viewDocModify']='Edit Section';
$lang['viewDocTalk']='Say something';
$lang['viewDocText']='Font Size:';
$lang['viewDocMiddle']='Middle';
$lang['viewDocGe']='Item';
$lang['viewDocSpecial']='Only authorized user have access to edit this special item.!';
$lang['viewDocView']='View Item';
$lang['viewLatestEdit']='Recent Edits';
$lang['viewRenew']='Let me Edit';
$lang['viewCollect']='Favoriate';
$lang['viewSharedWithFrend']='Share';
$lang['viewPrint']='Print';
$lang['viewExportWord']='Export (word)';
$lang['viewCopyURL']='Copy URL';
$lang['viewDocDate']='Creation date';
$lang['viewDocTime']='Creation time';
$lang['viewDocUsers']='Contributors';
$lang['viewDocVersion']='Versions';
$lang['viewLatestEdit']='Recent Editor';
//show catdoc
$lang['catNavigation'] = 'Site Map';
$lang['noneCat'] = 'The Category has no subcategories';
$lang['articleList'] = 'List of Items';
$lang['articleAuthor'] = 'Contributors';
$lang['articleCreate'] = 'Create';
$lang['articleTag'] = 'Tag';
$lang['articleAbstract'] = 'Abstract';
$lang['articleTranscript'] = 'View full text';
$lang['resumeNum'] = 'Reply';
$lang['topicNum'] = 'Topic';
$lang['collaborationNum'] = 'Collaboration';
$lang['browseNum'] = 'View';
$lang['noneCatBeBack'] = 'Note: This Category has no items! Please return';
$lang['forward'] = 'Forward';
$lang['nextPage'] = 'Next';
$lang['fillthePage'] = 'To';
$lang['submit'] = 'OK';

//doclist
$lang['doclistNewCreatedList'] = 'Latest created';
$lang['doclistNewCoopList'] = 'Latest contributed';
$lang['doclistHotDocList'] = 'Most viewed Items';
$lang['doclistEmpty'] = 'No Item';
$lang['doclistWikibarNewTopicList'] = 'Latest wikibar topics';
$lang['doclistWikibarTopicEmpty'] = 'No topic';

//sandbox
$lang['sandboxTip'] = 'You can experiment on different function and editing skills in Sandbox';
$lang['sandboxWelcome'] = 'Welcome to use HDWiki!';

//notice
$lang['notice'] = 'Tips';
$lang['noticeWhatIsWiki'] = 'What is Wiki?';
$lang['noticeWhatIsDoc'] = 'What is Item?';
$lang['noticeHowCreateGoodTitle'] = 'How to create a good item title';
$lang['noticeHowCreateDoc'] = 'How to create a quality wiki item?';

//common.func
$lang['comParaWrong'] = 'Site parameter file written failure: Fail to write to the configuration file, please make sure the folder wikidata/cache is Writable!';
$lang['comInstall'] = 'Failed to install or upgrade, please check Table "setting" to see whether it has data or not!';
$lang['comUploadWrong'] = 'failed to Upload!';
$lang['comDocWrong'] = 'The file exceeds size limit or file format is not correct, failed to upload!';
$lang['comDocLong'] = 'The file exceeds size limit, failed to upload!';
$lang['comMistake'] = 'Unexpected error,Please try again!';
$lang['comImaCompWrong'] = 'Failed to compress image!';
$lang['comDocFirst'] = 'Original file';
$lang['comDocUnexist'] = 'Does not exist!';
$lang['comImaWrong'] = 'The format of image is not .gif or .jpg!';
//rss
$lang['rssLeastRefresh'] = 'Most Recent Updated Items';
$lang['rssUser'] = 'User';
//doc func
$lang['docFuncDefault'] = 'Failed, not until';
$lang['docFuncTimes'] = 'seconds you can again';
$lang['docFuncGan'] = '!';

//ip
$lang['ipFobidden']='sorry,Your IP address is not allowed to visit the website!';

//plugin fun
$lang['pluginName']='Please input the name of the plug-in you\'d like to add in!<a href=\"javascript:history.go(-1)\">Click here to return</a>';
$lang['pluginInstall']='The plug-in has been Installed! Please click<a href=\'javascript:history.go(-1)\'> to return</a>';
$lang['pluginParaWrong']='Parameters error! Please click<a href=\'javascript:history.go(-1)\'>to return</a>';
$lang['frientLinkNo']='Failed, no enough access rights!';
$lang['frientLinkOrderRight']='Successfully update the order of display';
$lang['frientLinkDeleteOrder']='The links have been deleted';
$lang['frientLinkUpdateSuc']='Successfully update the links';
$lang['frientLinkUpdateFail']='Failed to update the links';
?>