<?php
/**
*
* Chinese (simplified) language file
*
*/

// common
$lang['commonCharset'] = 'UTF-8';
$lang['commonLang'] = '語言';
$lang['commonStyle'] = '風格';
$lang['commonSystemMenu'] = '系統設置';
$lang['commonLogout'] = '退出';
$lang['commonMngCenter'] = '管理中心';
$lang['commonWelcome'] = '歡迎你，';
$lang['commonRencentChange'] = '最近更改';
$lang['commonLogin'] = '登錄';
$lang['commonRegister'] = '註冊';
$lang['commonHelp'] = '幫助';
$lang['commonHowToRegister'] = '如何註冊';
$lang['commonHowToLogin'] = '如何登錄';
$lang['commonHowToSetUserdata'] = '如何設置個人資料';
$lang['commonClickCount'] = '人氣';
$lang['commonCreator'] = '創建者';
$lang['commonLatestCooperation'] = '最新協作者';
$lang['commonTranscript'] = '全文';
$lang['commonTitle'] = '標題';
$lang['commonTags'] = '標籤';
$lang['commonHotTags'] = '熱門標籤';
$lang['commonMore'] = '更多';
$lang['commonWikier'] = '維客';
$lang['commonCreate'] = '創建';
$lang['commonCoop'] = '協作';
$lang['commonReply'] = '回復';
$lang['commonTopic'] = '主題';
$lang['commonSummary'] = '摘要';
$lang['commonSiteNavi'] = '網站導航';
$lang['commonCreateDoc'] = '創建條目';
$lang['commonCoopDoc'] = '協作條目';
$lang['commonPublishTopic'] = '發表話題';
$lang['commonPublishReply'] = '發表回復';
$lang['commonSandbox'] = '編輯實驗';
$lang['commonSearch'] = '搜索';
$lang['commonCopy'] = '複製';
$lang['commonSiteIndex'] = '網站首頁';
$lang['commonRSSSubscription'] = 'RSS訂閱';
$lang['commonAuthor'] = '作者';
$lang['commonReadArticle'] = '閱讀全文';
$lang['commonCreatedTime'] = '創建時間';
$lang['commonComment'] = '評論';
$lang['commonViewCount'] = '瀏覽次數';
$lang['commonView'] = '瀏覽';
$lang['commonCreating'] = '創建於';
$lang['commonUserIdError'] = '用戶id參數錯誤';
$lang['commonFirstPage'] = '第一頁';
$lang['commonLastPage'] = '最後一頁';
$lang['commonPrevPage'] = '上一頁';
$lang['commonNextPage'] = '下一頁';
$lang['commonJumpPage'] = '跳到';
$lang['commonPage'] = '頁';
$lang['commonTotal'] = '共';
$lang['commonOK'] = '確定';
$lang['commonNow'] = '現在';
$lang['commonHave'] = '有';
$lang['commonPerson'] = '人';
$lang['commonGive'] = '給';
$lang['commonBoard'] = '留言';
$lang['commonNo'] = '暫無';
$lang['commonPublishBoard'] = '發表留言';
$lang['commonUserNick'] = '暱稱';
$lang['commonPublishAnony'] = '匿名發表';
$lang['commonSecCode'] = '驗證碼';
$lang['commonFontBold'] = '粗體';
$lang['commonFontItalic'] = '斜體';
$lang['commonFontUnderline'] = '下劃線';
$lang['commonSelectFontColor'] = '選擇字體顏色';
$lang['commonBlack'] = '黑色';
$lang['commonRed'] = '紅色';
$lang['commonYellow'] = '黃色';
$lang['commonPink'] = '粉色';
$lang['commonGreen'] = '綠色';
$lang['commonOrange'] = '橙色';
$lang['commonPurple'] = '紫色';
$lang['commonBlue'] = '藍色';
$lang['commonBeige'] = '米色';
$lang['commonBrown'] = '棕色';
$lang['commonTeal'] = '茶色';
$lang['commonInsertLink'] = '插入超鏈接';
$lang['commonInsertImage'] = '插入圖片';
$lang['commonLeft'] = '剩餘';
$lang['commonChar'] = '字符';
$lang['commonSpaceManage'] = '空間管理';
$lang['commonSecCodeError'] = '驗證碼錯誤!';
$lang['commonCue'] = '提示：';
$lang['commonAutoJump'] = '秒後頁面將自動跳轉！';
$lang['commonClickHere']='如果您的瀏覽器沒有自動跳轉，請點擊這裡 ';
$lang['commonGroupLackOfPower']='對不起,您所在的用戶組沒有此權限！';
$lang['commonCat'] = '分類';
$lang['commonClickAndTopic'] = '點擊/評論';
$lang['commonKeyword'] = '關鍵字';
$lang['commonAdvanceSearch'] = '高級搜索';
$lang['commonFocusDoc'] = '焦點條目';
$lang['commonSubmit'] = '提交';

//calendar
$lang['calendarJanuary'] = '一月';
$lang['calendarFebruary'] = '二月';
$lang['calendarMarch'] = '三月';
$lang['calendarApril'] = '四月';
$lang['calendarMay'] = '五月';
$lang['calendarJnue'] = '六月';
$lang['calendarJuly'] = '七月';
$lang['calendarAugust'] = '八月';
$lang['calendarSeptember'] = '九月';
$lang['calendarOctober'] = '十月';
$lang['calendarNovember'] = '十一月';
$lang['calendarDecember'] = '十二月';
$lang['calendarMonday'] = '一';
$lang['calendarTuesday'] = '二';
$lang['calendarWednesday'] = '三';
$lang['calendarThursday'] = '四';
$lang['calendarFriday'] = '五';
$lang['calendarSaturday'] = '六';
$lang['calendarSunday'] = '日';
$lang['calendarHour'] = '時';
$lang['calendarMinute'] = '分';

// index

$lang['indexClickRanks'] = '點擊排行榜';
$lang['indexCharismaUser'] = '最有魅力作者';
$lang['indexLatestTopic'] = '維客最新話題';
$lang['indexActiveUser'] = '最活躍維客';
$lang['indexLatestUser'] = '最新會員';
$lang['indexFriendLink'] = '友情鏈接';
$lang['indexCreateTagMsg'] = '請到後台生成熱門TAG！';
$lang['indexNoTopicMsg'] = '暫無新話題！';
$lang['indexNoFocusMsg'] = '暫無焦點條目！請到後台設置';

// space
$lang['spaceWelcome'] = '歡迎您，';
$lang['spaceExit'] = '退 出';
$lang['spaceLeaveMessage'] = '給他(她)留言';
$lang['spaceIndex'] = '個人首頁';
$lang['spaceCreateDoc'] = '創建的條目';
$lang['spaceCoopDoc'] = '協作的條目';
$lang['spaceMyCoopedDoc'] = '誰動了我的條目';
$lang['spaceMyComment'] = '我的發言';
$lang['spaceBoardBook'] = '留言本';
$lang['spaceBonus'] = '積　　分';
$lang['spaceClicks'] = '人氣指數';
$lang['spacePersonalIntro'] = '個性簽名';
$lang['spaceMyBoard'] = '我的留言';
$lang['spaceBoard1'] = '的留言';
$lang['spaceNoDocs'] = '暫無條目';
$lang['spaceNoCreateDocs'] = '暫無創建的條目';
$lang['spaceNoCoopDocs'] = '暫無協作的條目';
$lang['spaceNoCoopedDocs'] = '沒有人動過';
$lang['spaceDocs'] = '的條目';
$lang['spaceIndexTitle'] = '的個人空間';
$lang['spaceComment'] = '的發言';
$lang['spaceBoard'] = '的留言本';
$lang['spaceUserNotExist'] = '對不起,您查看的用戶已被刪除!';
$lang['spaceCoopedDoc'] = '誰動了s%的條目';
$lang['spaceReplyTime'] = '回復時間';
$lang['spaceNoReply'] = '暫無發表回復';
$lang['spaceNoTopic'] = '暫無發表主題';
$lang['spaceEmptyBoard'] = '留言內容不能為空!';
$lang['spaceLongBoard'] = '留言內容過長!';
$lang['spaceNotLoginPublishBoardStr1'] = '您目前尚未登錄，請';
$lang['spaceNotLoginPublishBoardStr2'] = '後再發表留言';
$lang['spacePublishBoardTip'] = '你可發表500字符的留言';
$lang['spacePublishBoardUserIDInvalid'] = '留言的用戶ID非法!';
$lang['spacePublishBoardNoRiights'] = '對不起,您所在的用戶組沒有此權限,不能發表留言!';
$lang['spaceNoteNo'] = '暫無給';
$lang['spaceNote'] = '的留言';

//login
$lang['loginTitle'] = '用戶登錄';
$lang['loginBtn'] = '立 刻 登 錄';
$lang['loginToReg'] = '您尚未註冊賬號？請';
$lang['loginNick'] = '暱 稱';
$lang['loginPassword'] = '密 碼';
$lang['loginCookieSaveTime'] = 'Cookie有效期';
$lang['loginCookieSaveNow'] = '不保存';
$lang['loginCookieSaveWeek'] = '保存一周';
$lang['loginCookieSaveMonth'] = '保存一月';
$lang['loginCookieSaveYear'] = '保存一年';
$lang['loginCaptcha'] = '驗證碼';
$lang['loginChangeCaptcha'] = '看不清楚，點擊圖片換一張';
$lang['loginEnterCaptcha'] = '請輸入上圖中數字';
$lang['loginErrorCaptcha'] = '驗證碼錯誤，請重新輸入！';
$lang['loginErrorLogin'] = '暱稱或密碼錯誤！';

//the right part of register and login
$lang['rightTitle'] = '註冊互動會員';
$lang['rightLiA'] = '共創內容，分享知識，你我就是學術權威，百科專家。';
$lang['rightLiB'] = '每天都有收穫，得到可靠準確的信息或資源。';
$lang['rightLiC'] = '每天都能結識志趣相投的新朋友，與你協同打天下。';
$lang['rightLiD'] = '維客互動空間，盡顯個人魅力。';

//register
$lang['regAction'] = '用戶註冊';
$lang['regTitle'] = '新用戶註冊';
$lang['regBtn'] = '註 冊 帳 號';
$lang['regToLogin'] = '如果您已經註冊請';
$lang['registerLogin'] = '登陸';
$lang['regCaptcha'] = '驗證碼';
$lang['regEnterCaptcha'] = '請輸入上圖中數字';
$lang['regErrorCaptcha'] = '驗證碼錯誤，請重新輸入!';
$lang['regNick'] = '暱 稱';
$lang['regRepeatNick'] = '此暱稱已被註冊！請換個暱稱！';
$lang['regNullNick'] = '暱稱不能為空！';
$lang['regNickLenth'] = '暱稱長度不能小於1，高於32字節!';
$lang['regNickIntro'] = '暱稱也叫做名號，中、英文均可使用。';
$lang['regPassword'] = '密 碼';
$lang['regNullPassword'] = '密碼不能為空';
$lang['regPasswordIntro'] = '密碼長度6-32位,區分大小寫字母。';
$lang['regRepeatPassword'] = '重複密碼';
$lang['regRepeatPassErr'] = '您兩次輸入的登錄密碼不一致！';
$lang['regEmail'] = '保密郵箱';
$lang['regRepeatEmail'] = '此郵箱已被註冊！請重新填寫！';
$lang['regEmailIntro'] = '填寫、驗證保密郵箱，通行安全有保障。';
$lang['regNullEmail'] = '郵箱不能為空！';
$lang['regEmailLenth'] = 'email長度不能超過256字節！';
$lang['regEmailErr'] = '郵箱格式錯誤！';
$lang['regAgree'] = '我已看過並同意';
$lang['regTerm'] = '《本站服務條款》';
$lang['regSuc'] = '，恭喜您註冊成功！';
$lang['regHelpTitle'] = '小貼士';
$lang['regHelpItemA'] = '什麼是Wiki(維客)?';
$lang['regHelpItemB'] = '什麼是條目?';
$lang['regHelpItemC'] = '如何創建好的條目標題?';
$lang['regHelpItemD'] = '如何創建百科條目?';
$lang['regSuc'] = '，恭喜您註冊成功！';
$lang['regSucItemA'] = '接下來，開始您的Wiki之旅吧!';
$lang['regSucItemB'] = '補充資料';
$lang['regItemBCnt'] = '完整而豐富的個人資料，將使您更容易找到志趣相投的人';
$lang['regSucItemC'] = '創建條目';
$lang['regItemCBCnt'] = '您也可以立刻創建條目';
$lang['regSucItemD'] = '返回首頁';


//user
$lang['userLanguage'] = '繁體轉換';
$lang['userTopColumn'] = '創建條目';
$lang['userLowColumn'] = '個人資料';
$lang['userMenuIndex'] = '網站首頁';
$lang['userMenuSpace'] = '個人空間首頁';
$lang['userColumnBase'] = '基本信息';
$lang['userBaseId'] = '用戶ID';
$lang['userBaseName'] = '用戶名';
$lang['userBaseClick'] = '人氣指數';
$lang['userBaseBonus'] = '積分';
$lang['userBaseCreate'] = '創建條目';
$lang['userBaseCoop'] = '協作條目';
$lang['userBaseTopic'] = '發表話題';
$lang['userBaseReply'] = '回復話題';
$lang['userBaseUnderWrite'] = '個性簽名';
$lang['userColumnCreate'] = '撰寫新條目';
$lang['userColumnManage'] = '條目管理';
$lang['userColumnSetting'] = '個人資料設置';
$lang['userSexFemale'] = '女  ';
$lang['userSexMale'] = '男  (默認為男)';
$lang['userSettingSave']='√資料已經成功保存';
$lang['userSettingNick']='暱　稱';
$lang['userSettingSex']='性　別';
$lang['userSettingBirth']='出生日期';
$lang['userSettingYear']='年';
$lang['userSettingMonth']='月';
$lang['userSettingDay']='日';
$lang['userSettingSpaceName']='空間名稱';
$lang['userSettingSpaceIntro']='空間簡介';
$lang['userSettingCity']='居住城市';
$lang['userColumnEditPassword'] = '修改密碼';
$lang['userOldPassword'] = '舊 密 碼';
$lang['userNewPassword'] = '新 密 碼';
$lang['userRepeatPassword'] = '確認密碼';
$lang['userPasswordSave'] = '√密碼修改成功!';
$lang['userNullOldPassword'] ='舊密碼不能為空!';
$lang['userPasswordErr']='密碼驗證失敗!';
$lang['userNullNewPassword']='新密碼不能為空';
$lang['userPasswordLenth'] = '密碼長度應在6-32位，區分大小寫字母!';
$lang['userRepeatPasswordErr'] = '兩次密碼輸入不一致';
$lang['userColumnEditIco'] = '修改頭像';
$lang['userIntroSave'] = '√自我介紹已經成功保存';
$lang['userIcoSave'] = '√頭像已經成功保存';
$lang['userIcoNotice'] = '請填寫您的檔案信息：（您的圖片和檔案將顯示在您的首頁）';
$lang['userExNameErr'] = '上傳文件格式錯誤';
$lang['userIcoErr'] = '頭像上傳失敗';
$lang['userMyIco'] = '我的頭像';
$lang['userMyEditIco'] = '修改頭像：(註：請上傳1M以下的Jpg、Gif、Jpeg圖片)';
$lang['userUploadBtn'] = '上 傳';
$lang['userMyIntro'] = '自我介紹：(註：不超過256個字符)';
$lang['userTimeOffSet'] = '修改時區';
$lang['userTrueName'] = '真實姓名';
$lang['userAddress'] = '通訊地址';
$lang['userWordLimit'] = '最多40個字符';
$lang['userTimeOffSetSuc'] = '√時區修改成功';
$lang['userTel'] = '聯繫電話';
$lang['userNowTimeOffSet'] = '時 區';
$lang['userNowTimeOff'] = '時 差';
$lang['userNowTimeOffIntro'] = '（當地時間與 GMT 的時差）';
$lang['userTimeOffSetNote'] = '請選擇您的時區';
$lang['userSubmit'] = '提  交';

//time offset
$lang['serverTime'] = '服務器時間';
$lang['localtime'] = '本地時間';
$lang['timeoffset'] = array(
						'-12'=>'(標準時-12:00) 日界線西',
						'-11'=>'(標準時-11:00) 中途島、薩摩亞群島',
						'-10'=>'(標準時-10:00) 夏威夷',
						'-9'=>'(標準時-9:00) 阿拉斯加',
						'-8'=>'(標準時-8:00) 太平洋時間(美國和加拿大)',
						'-7'=>'(標準時-7:00) 山地時間(美國和加拿大)',
						'-6'=>'(標準時-6:00) 中部時間(美國和加拿大)、墨西哥城',
						'-5'=>'(標準時-5:00) 東部時間(美國和加拿大)、波哥大',
						'-4'=>'(標準時-4:00) 大西洋時間(加拿大)、加拉加斯',
						'-3.5'=>'(標準時-3:30) 紐芬蘭',
						'-3'=>'(標準時-3:00) 巴西、布宜諾斯艾利斯、喬治敦',
						'-2'=>'(標準時-2:00) 中大西洋',
						'-1'=>'(標準時-1:00) 亞速爾群島、佛得角群島',
						'0'=>'(格林尼治標準時) 西歐時間、倫敦、卡薩布蘭卡',
						'1'=>'(標準時+1:00) 中歐時間、安哥拉、利比亞',
						'2'=>'(標準時+2:00) 東歐時間、開羅，雅典',
						'3'=>'(標準時+3:00) 巴格達、科威特、莫斯科',
						'3.5'=>'(標準時+3:30) 德黑蘭',
						'4'=>'(標準時+4:00) 阿布扎比、馬斯喀特、巴庫',
						'4.5'=>'(標準時+4:30) 喀布爾',
						'5'=>'(標準時+5:00) 葉卡捷琳堡、伊斯蘭堡、卡拉奇',
						'5.5'=>'(標準時+5:30) 孟買、加爾各答、新德里',
						'6'=>'(標準時+6:00) 阿拉木圖、 達卡、新亞伯利亞',
						'7'=>'(標準時+7:00) 曼谷、河內、雅加達',
						'8'=>'(標準時+8:00)北京、重慶、香港、新加坡',
						'9'=>'(標準時+9:00) 東京、漢城、大阪、雅庫茨克',
						'9.5'=>'(標準時+9:30) 阿德萊德、達爾文',
						'10'=>'(標準時+10:00) 悉尼、關島',
						'11'=>'(標準時+11:00) 馬加丹、索羅門群島',
						'12'=>'(標準時+12:00) 奧克蘭、惠靈頓、堪察加半島');

//show history Contrast 2007-9-5

$lang['hisVersion'] = '版本';
$lang['hisTime'] = '創建日期';
$lang['hisAuthor'] = '作者';
$lang['hisModify'] = '版本改動';
$lang['hisExcellent'] = '優秀版本';
$lang['hisWhy'] = '修改原因';
$lang['hisContrast'] = '對比版本';
$lang['hisDelete'] = '刪除版本';
$lang['hisCopy'] = '複製版本';
$lang['hisName'] = '歷史版本';
$lang['hisBig'] = '大';
$lang['hisSmall'] = '小';
$lang['hisCreat'] = '創建';
$lang['hisDel'] = '已刪除';
$lang['hisModifyTime'] = '編輯時間';
$lang['hisNoticeContent'] = '1、淺綠色 表示一個範圍，2、深綠色 不同點';
$lang['hisNotice'] = '註:';
$lang['hisCloseWindow'] = '關閉本窗口';
$lang['hisAtLeastTwo'] = '提示:至少選擇兩個版本才能進行比較!';
$lang['hisChoseOne'] = '提示:您還沒有選擇任何版本!';
$lang['hisOnlyTwo'] = '提示:只能選擇兩個版本才能進行比較!';
$lang['hisAtMostTwo'] = '提示:您選擇的版本太多,請選擇兩個版本!';
$lang['hisChoseOneHis'] = '提示:沒有歷史版本，不能比較!';
$lang['hisWrongBack'] = '版本錯誤,請返回!';
$lang['hisChoseDel'] = '請先選擇要刪除的版本!';
$lang['hisDelete'] = '刪除版本不可恢復,是否繼續?';
$lang['hisSelectHis'] = '請先選擇要設置的版本!';
$lang['hisSetExcellent'] = '設置優秀版本,是否繼續?';
$lang['hisOnlyOne'] = '請只選擇一條要設置的版本!';
$lang['hisCopyHis'] = '複製最新版本版本,是否繼續?';

//show wikier
$lang['docTime'] = '次';
$lang['docUpdate'] = '更新';

//show topic
$lang['topicSelDel'] = '請選擇要刪除的回復';
$lang['topicDelask'] = '刪除回復不可恢復，是否繼續？';
$lang['topicTitleNone'] = '標題不能為空';
$lang['topicTitleOut'] = '標題過長';
$lang['topicContentNon'] = '內容不能為空';
$lang['topicContentout'] = '內容過長';
$lang['topicVerificationError'] = '驗證碼錯誤';
$lang['topicSelAll'] = '全選';
$lang['topicClickNum'] = '點擊';
$lang['topicResume'] = '回復';
$lang['topicTitle'] = '標題';
$lang['topicAuthor'] = '作者';
$lang['topicLastResume'] = '最後回復';
$lang['topicResumeTime'] = '回復時間';
$lang['topicNonea'] = '您好，您是第一個到達這裡的人，';
$lang['topicNoneb'] = '吧尚沒有話題！';
$lang['topicNonec'] = '歡迎您在此留言，發表對';
$lang['topicNoned'] = '的看法，並與今後來到這裡的朋友們分享交流。 ';
$lang['topicAdminDel'] = '刪除';
$lang['resumesSaid'] = '說:';
$lang['resumesTo'] = '回復';
$lang['resumesDel'] = '該回復已被管理員刪除';
$lang['resumesAdminDel'] = '刪除';
$lang['contentTitle'] = '標題';
$lang['resumesTo'] = '回復';
$lang['contentBody'] = '內容';
$lang['fontsBold'] = '粗體';
$lang['fontsItalics'] = '斜體';
$lang['fontsUnderlined'] = '下劃線';
$lang['SelFontsColor'] = '選擇字體顏色';
$lang['fontsBlack'] = '黑色';
$lang['fontsRed'] = '紅色';
$lang['fontsYellow'] = '黃色';
$lang['fontsPink'] = '粉色';
$lang['fontsGreen'] = '綠色';
$lang['fontsOrange'] = '桔黃色';
$lang['fontsPurple'] = '紫色';
$lang['fontsBlue'] = '藍色';
$lang['fontsBeige'] = '米色';
$lang['fontsBrown'] = '棕色';
$lang['fontsTeal'] = '茶色';
$lang['fontsNavy'] = 'Navy';
$lang['fontsMaroon'] = 'Maroon';
$lang['fontsLimeGreen'] = 'LimeGreen';
$lang['fontsHyperlinks'] = '插入超鏈接';
$lang['fontsPicture'] = '插入圖片';
$lang['resumesAnonymous'] = '匿名發表';
$lang['resumesNotLogin'] = '您目前尚未登錄，請';
$lang['topicLogin'] = '登錄';
$lang['topicrRegistration'] = '註冊';
$lang['topicLoginIsOk'] = '後再發表留言';
$lang['resumesVerification'] = '驗證碼';
$lang['topicSubmit'] = '提交留言';

//show docadmin
$lang['docadminCommon'] = '普通';
$lang['docadminRename'] = '重命名';
$lang['docadminMove'] = '移動分類';
$lang['docadminState'] = '狀態';
$lang['docadminLock'] = '鎖定';
$lang['docadminUnlock'] = '解鎖';
$lang['docadminFreeze'] = '凍結';
$lang['docadminUnFreeze']='解凍';
$lang['docadminFocus']='推薦';
//search
$lang['searchCondisNull']='搜索條件不能為空！';
$lang['searchTitleAndSummary']='標題+摘要';
$lang['searchKeywordDesc']='關鍵字中可使用通配符 "*"<br/>匹配多個關鍵字全部，可用空格或 "AND" 連接。如 win32 AND unix<br/>匹配多個關鍵字其中部分，可用 "|" 或 "OR" 連接。如 win32 OR unix';
$lang['searchAuthorDesc']='用戶名中可使用通配符 "*"，如 *user*';
$lang['searchChoice']='搜索選項';
$lang['searchType']='搜索方式';
$lang['searchTime']='搜索時間';
$lang['searchAllTime']='全部時間';
$lang['searchOneDay']='1 天';
$lang['searchTwoDays']='2天';
$lang['searchOneWeek']='1周';
$lang['searchOneMonth']='1個月';
$lang['searchThreeMonths']='3個月';
$lang['searchSixMonths']='6個月';
$lang['searchOneYear']='1年';
$lang['searchTimeWithin']='以內';
$lang['searchTimeBefore']='以前';
$lang['searchOrderType']='排序類型';
$lang['searchCreatedtime']='發佈時間';
$lang['searchTopicCount']='評論數量';
$lang['searchClickCount']='瀏覽次數';
$lang['searchOrderByAsc']='按升序排列';
$lang['searchOrderByDesc']='按降序排列';
$lang['searchScope']='搜索範圍';
$lang['searchAllCat']='搜索所有的分類';
$lang['searchResultisNull']='抱歉，未搜索到符合條件的結果！';
$lang['searchCreateDoc']='您要創建這個條目嗎？';
//select doc

$lang['docCreate'] = '創建條目';
$lang['docEdit'] = '編輯條目';
$lang['docTitle'] = '條目標題';
$lang['docClass'] = '條目類別';
$lang['docNext'] = '下一步';
$lang['docShow'] = '創建一個條目，首先需要：1、正確的輸入條目標題 2、選擇一個合適的分類';
$lang['docWrite'] = '請填寫標題!';
$lang['docTitleNo'] = '標題不能包含\'&\'符號！';
$lang['docTitleSearch'] = '條目名稱檢測中......';
$lang['docDoc'] = '條目';
$lang['docFreeze'] = '已經凍結！';
$lang['docCanCreate'] = '可以創建！';
$lang['docSearch'] = '查看該條目';
$lang['docExist'] = '已經存在！';

//createdoc

$lang['createDocNotice'] = '編輯本頁後請點擊「保存」。只有在您能<strong> 改進 </strong>該頁面的前提下才編輯它。如果您想嘗試一些東西，請先到';
$lang['createDocTry'] = '編輯試驗';
$lang['createDocHot'] = '熱身.';
$lang['createDocAuto'] = '您可以不填寫，我們將提取您撰寫的正文前100字作為摘要';
$lang['createDocAddTag'] = '添加標籤';
$lang['createDocShow'] = '預覽';
$lang['createDocSave'] = '保存';
$lang['createDocCancel'] = '取消';

//editdoc
$lang['editDoc'] = '編輯段落:';
$lang['editDocSmall'] = '輕微修改';
$lang['editDocDrop'] = '是否放棄對該條目的編輯?';
$lang['editDocFull']= '全文編輯條目';
$lang['editDocNoRights'] = '對不起,您所在的用戶組沒有此權限,不能編輯條目！';
$lang['editDocSection'] = '分段編輯條目';

//viewdoc
$lang['viewDoc'] = '瀏覽條目';
$lang['viewDocPublish'] = '發佈條目';
$lang['viewDocNoRights'] = '對不起,您所在的用戶組沒有此權限,不能創建條目！';
$lang['viewDocNotExist'] = '抱歉，條目“<font color=\'red\'>{$t1}</font>”不存在，您可以<a href=\'doc.php?action=createdoc&title=".{$t2}."\'>點擊</a>創建該條目。';
$lang['viewDocFreeze'] = '抱歉，條目“<font color=\'red\'>{$title}</font>”已經凍結。';
$lang['viewDocVerify'] = '提示:您發表的條目需要管理員審核後才能發佈,點擊<a href=\'index.php\'>此處</a>返回首頁';
$lang['viewDocUserList'] = '貢獻者列表';
$lang['viewDocHisList'] = '歷史版本列表';
$lang['viewDocDelHisNoRights'] = '對不起,您所在的用戶組沒有此權限,不能刪除歷史版本！';
$lang['viewDocDefaultContent'] = '此條目暫無內容，歡迎您參與編輯，享受分享知識的樂趣。<br><br>
					  >>立即點擊開始<A title=\"\" href=\"doc.php?action=edit&amp;docid='.$docid.'\" target=\"\">編輯條目</a><br><br>
					  優秀百科條目示範：<br><br>
					  <a href=\"http://www.hoodong.com/wiki/%E4%BA%9A%E9%A9%AC%E9%80%8A%E6%B2%B3\" target="_blank">亞馬遜河</a>';

$lang['viewDocDefaultSummary']='此條目暫無內容，歡迎您參與編輯，享受分享知識的樂趣';
$lang['viewDocDefaultTag']='無條目;請編輯;';
$lang['viewDocHisError']='您提交的條目歷史版本ID非法！';
$lang['viewDocHisGreatNoRights']='對不起,您所在的用戶組沒有此權限,不能設置優秀歷史版本！';
$lang['viewDocHisCopyNoRights']='對不起,您所在的用戶組沒有此權限,不能複製最新歷史版本！';
$lang['viewDocViewHis']='查看歷史版本';
$lang['viewDocViewHisNotExist']='不能瀏覽已經刪除的歷史版本！';
$lang['viewDocViewCompareHis']='對比歷史版本';
$lang['viewDocViewHelp']='這是一個編輯受限的條目，您沒有編輯該條目的權限，請查看幫助！';
$lang['viewDocComment']='维吧評論';
$lang['viewDocCooper']='貢獻者';
$lang['viewDocManage']='管理選項';
$lang['viewDocModify']='編輯本段';
$lang['viewDocTalk']='我來說兩句';
$lang['viewDocText']='字 號:';
$lang['viewDocMiddle']='中';
$lang['viewDocGe']='個';
$lang['viewDocSpecial']='該條目是一個特殊條目，只有管理員授權的用戶才可以編輯此條目!';
$lang['viewDocView']='查看條目';
$lang['viewDocDate']='創建日期';
$lang['viewDocTime']='創建時間';
$lang['viewDocUsers']='協作人數';
$lang['viewDocVersion']='版本數';
$lang['viewLatestEdit']='最近編輯';

//show catdoc
$lang['catNavigation'] = '網站導航';
$lang['noneCat'] = '此分類無子分類';
$lang['articleList'] = '文章列表';
$lang['articleAuthor'] = '維客';
$lang['articleCreate'] = '創建';
$lang['articleTag'] = '標籤';
$lang['articleAbstract'] = '摘要';
$lang['articleTranscript'] = '閱讀全文';
$lang['resumeNum'] = '回復';
$lang['topicNum'] = '話題';
$lang['collaborationNum'] = '協作';
$lang['browseNum'] = '瀏覽';
$lang['noneCatBeBack'] = '提示：此分類暫無條目！請返回';
$lang['forward'] = '向 前';
$lang['nextPage'] = '下一頁';
$lang['fillthePage'] = '到第';
$lang['submit'] = '確定';

//doclist
$lang['doclistNewCreatedList'] = '最新創建列表';
$lang['doclistNewCoopList'] = '最新協作列表';
$lang['doclistHotDocList'] = '最熱條目列表';
$lang['doclistEmpty'] = '暫無條目';
$lang['doclistWikibarNewTopicList'] = '維吧最新話題';
$lang['doclistWikibarTopicEmpty'] = '暫無話題';

//sandbox
$lang['sandboxTip'] = '您可以在這裏盡情嘗試Wiki的各項功能，試驗各種Wiki的編輯技巧。';
$lang['sandboxWelcome'] = '歡迎使用HDWiki！';

//notice
$lang['notice'] = '小貼士';
$lang['noticeWhatIsWiki'] = '什麼是Wiki(維客)?';
$lang['noticeWhatIsDoc'] = '什麼是條目?';
$lang['noticeHowCreateGoodTitle'] = '如何創建好的條目標題?';
$lang['noticeHowCreateDoc'] = '如何創建百科條目?';

//common.func
$lang['comParaWrong'] = '站點參數文件寫入失敗: 寫配置文件失敗,請檢查wikidata/cache文件夾是否可寫！';
$lang['comInstall'] = '安裝失敗或者升級沒有成功,請檢查setting表是否存在數據！';
$lang['comUploadWrong'] = '上傳失敗！';
$lang['comDocWrong'] = '文件超過指定大小或者格式不正確，上傳失敗！';
$lang['comDocLong'] = '文件超過指定大小，上傳失敗！';
$lang['comMistake'] = '意外錯誤，請重試！';
$lang['comImaCompWrong'] = '壓縮圖片失敗！';
$lang['comDocFirst'] = '原始文件';
$lang['comDocUnexist'] = '不存在！';
$lang['comImaWrong'] = '圖片格式不是gif或者jpg！';
//rss
$lang['rssLeastRefresh'] = '最近更新的條目';
$lang['rssUser'] = '用戶';
//doc func
$lang['docFuncDefault'] = '失敗，你';
$lang['docFuncTimes'] = '秒後才能再次';
$lang['docFuncGan'] = '！';

//ip
$lang['ipFobidden']='對不起，您的 IP 地址不在被允許的範圍內，無法訪問本網頁！';

//plugin fun
$lang['pluginName']='請先在您要添加的插件文件中填寫插件名稱!<a href=\"javascript:history.go(-1)\">點此返回上一步</a>';
$lang['pluginInstall']='該插件已安裝!請點擊<a href=\'javascript:history.go(-1)\'>返回</a>';
$lang['pluginParaWrong']='參數錯誤!請點擊<a href=\'javascript:history.go(-1)\'>返回</a>';
$lang['frientLinkNo']='操作失敗，權限不足!';
$lang['frientLinkOrderRight']='顯示順序更新成功';
$lang['frientLinkDeleteOrder']='鏈接已刪除';
$lang['frientLinkUpdateSuc']='鏈接更新成功';
$lang['frientLinkUpdateFail']='鏈接更新失敗';
?>