<?PHP
/**
 * common
 */
$lang['zh'] = '简体中文';
$lang['en'] = 'English';
$lang['tw'] = '繁體中文';
$lang['commonInstallTitle'] = 'HDWiki安裝程式';
$lang['commonDBCharset'] = 'utf8';
$lang['commonCharset'] = 'UTF-8';
$lang['commonSetupLanguage'] = '安裝語言';
$lang['commonSetupNavigate'] = '安裝導航';
$lang['commonPrevStep'] = '上一步';
$lang['commonNextStep'] = '下一步';
$lang['commonHelp'] = '幫助';
$lang['commonOS'] = '作業系統';
$lang['commonVersion'] = '版本';
$lang['commonAttachUpload'] = '附件上傳';
$lang['commonDiskSpace'] = '硬碟空間';
$lang['commonConfigRequire'] = '所需配置';
$lang['commonConfigOptimized'] = '最佳配置';
$lang['commonConfigCurrent'] = '當前伺服器';
$lang['commonDirName'] = '目錄名稱';
$lang['commonDirDescribe'] = '目錄描述';
$lang['commonStateOptimized'] = '最佳狀態';
$lang['commonStateCurrent'] = '當前狀態';
$lang['commonDirAttach'] = '附件目錄';
$lang['commonDirUserface'] = '用戶頭像存放目錄';
$lang['commonDirCache'] = '緩存目錄';
$lang['commonDirTemplate'] = '模板目錄';
$lang['commonDirTemplateCache'] = '模板緩存目錄';
$lang['commonDirSysData'] = '系統數據目錄';
$lang['commonFileConfig'] = '配置文件';
$lang['commonFileLogo'] = 'LOGO文件';
$lang['commonUnsupport'] = '不支持';
$lang['commonSupport'] = '支持';
$lang['commonWriteable'] = '可寫';
$lang['commonNotWriteable'] = '不可寫';
$lang['commonUnlimited'] = '不限';
$lang['commonAllow'] = '允許';
$lang['commonDirPower'] = '目錄權限';
$lang['commonFilePower'] = '文件權限';
$lang['commonSetupOption'] = '設置選項';
$lang['commonSetupParameterValue'] = '參數值';
$lang['commonSetupComment'] = '注釋';
$lang['commonInfotip'] = '提示信息';
$lang['commonFailed'] = '失敗';
$lang['commonSuccess'] = '成功';


//Setup Step Title
$lang['commonLicenseInfo'] ='版權信息';
$lang['commonSystemCheck'] = '檢查安裝配置';
$lang['commonDatabaseSetup'] = '設置數據庫';
$lang['commonAdministratorSetup'] = '設置管理員';
$lang['commonInstallComplete'] = '安裝完成';

//Setup Common Tip
$lang['tipAlreadyInstall'] = '您已經安裝過HDWiki系統，<a href="../">點擊進入首頁</a>';
$lang['tipLeftHelp'] = '<strong>技術支持：</strong><br />安裝中遇到任何問題請到<span class="red"><a href="http://kaiyuan.hoodong.com/bbs">HDWiki BBS</a></span>提問，您的問題將在第一時間得到解答。';
$lang['tipGenErrInfo'] = '由于您目錄屬性或服務器配置原因, 無法繼續安裝HDWiki, 請仔細閱讀安裝須知！';

/**
 * step1
 */

//Setup Step 1
$lang['step1ReadLicense'] = '閱讀許可協議';
$lang['step1LicenseInfo'] = '在開始安裝和使用 HDWiki 之前，請務必仔細閱讀本授權文檔，在確定您理解和同意以下全部條款后， 方可繼續安裝和使用。

互動在線（北京）科技有限公司為互動維客產品的開發商，依法獨立擁有互動維客產品著作權。互動在線（北京）科技有限公司網址為 http://www.hoodong.com。

互動維客著作權已在中華人民共和國國家版權局注冊，著作權受到法律和國際公約保護。使用者無論個人或組織、盈利與否、用途如何（包括以學習和研究為目的），均需仔細閱讀本協議，在理解、同意、并遵守本協議的全部條款后，方可開始使用互動維客軟件。

本授權協議適用且僅適用于不同版本的互動維客產品，互動在線（北京）科技有限公司擁有對本授權協議的最終解釋權。

I. 協議許可的權利

1. 您可以在完全遵守本最終用戶授權協議的基礎上應用本軟件，而不必支付軟件版權授權費用。

2. 您可以在本協議規定的約束和限制范圍內修改互動維客源代碼（如果被提供的話）或界面風格以適應您的網站要求。

3. 您可以在協議規定的約束和限制范圍內為互動維客提供相關的插件，插件版權歸作者所有。您可以將擁有版權的插件無償提供給互動在線（北京）科技有限公司，但沒有一定被采納的承諾或保證。如若在新版本里采用了您開發的插件，插件源代碼部分將標注作者的名字。

4. 您若需要本協議授權外的技術支持，可以和互動在線（北京）科技有限公司簽訂有償技術支持的協議，并且享有反映和提出意見的權力，相關意見將被作為首要考慮，但沒有一定被采納的承諾或保證。 自協議簽訂時刻起，您可以在技術支持期限內擁有通過指定的方式獲得指定范圍內的技術支持服務。

5. 您若是沒有和互動在線（北京）科技有限公司簽訂有償技術支持協議的授權用戶，您也同樣享有反映和提出意見的權力，但沒有一定被采納的承諾或保證。

II. 協議規定的約束和限制

1. 不得對本軟件或與之關聯的授權進行出租、出售、抵押或發放子許可證。

2. 無論如何，即無論用途如何、是否經過修改或美化、修改程度如何，只要使用互動維客的整體或任何部分，未經書面許可，系統頁面頁腳處的互動維客名稱和互動在線（北京）科技有限公司下屬網站（http://www.hoodong.com） 的鏈接都必須保留，而不能清除或修改。

3. 禁止在互動維客的整體或任何部分基礎上以發展任何派生版本、修改版本或第三方版本用于重新分發。

4. 如果您未能遵守本協議的條款，您的授權將被終止，所被許可的權利將被收回，并承擔相應法律責任。

III. 有限擔保和免責聲明

1. 本軟件及所附帶的文件是作為不提供任何明確的或隱含的賠償或擔保的形式提供的。

2. 用戶出于自愿而使用本軟件，您必須了解使用本軟件的風險，在尚未購買產品技術服務之前，我們不承諾提供任何形式的技術支持、使用擔保，也不承擔任何因使用本軟件而產生問題的相關責任。

3. 互動在線（北京）科技有限公司不對使用本軟件構建的系統中的文章或信息承擔任何責任。

有關互動維客最終用戶授權協議、授權與技術服務的詳細內容，均由互動維客官方網站獨家提供。互動在線（北京）科技有限公司擁有在不事先通知的情況下，修改授權協議和技術服務價目表的權力，修改后的協議或價目表對自改變之日起的新授權用戶生效。

電子文本形式的授權協議如同雙方書面簽署的協議一樣，具有完全的和等同的法律效力。您一旦開始安裝互動維客，即被視為完全理解并接受本協議的各項條款，在享有上述條款授予的權力的同時，受到相關的約束和限制。協議許可范圍以外的行為，將直接違反本授權協議并構成侵權，我們有權隨時終止授權，責令停止損害，并保留追究相關責任的權力。';
$lang['step1Agree'] = '我同意';
$lang['step1Disagree'] = '我不同意';


/**
 * step2
 */
$lang['step2Tip'] = '<div class="log">提示信息</div><div class="mes"><p><ul><li>將壓縮包中 HDWiki 目錄下全部文件和目錄上傳到服務器。</li>
					<li>如果您使用非 Windows 系統請修改以下屬性：</li>
					</ul>
					<ol><li>./uploads 附件目錄權限為 0777 </li>
					<li>./uploads/userface 用戶頭像存放目錄權限為 0777</li>
					<li>./cache 緩存目錄權限為 0777</li>
					<li>./templates 模板目錄權限為 0777</li>
					<li>./templates_c 模板緩存目錄權限為 0777</li>
					<li>./templates/default/images/hdwikilogo.gif 網站LOGO文件權限為 0777</li>
					<li>./config.inc.php 系統配置文件權限為 0777</li>
					</ol></p></div>';
$lang['step2AttachAllowSize'] = '允許/最大尺寸';
$lang['step2AttachDisabled'] = '不允許上傳附件';
$lang['step2AttachDisabledTip'] = '附件上傳或相關操作被服務器禁止。';
$lang['step2PHPVersionTooLowTip'] = '您的PHP版本低于4.0.6, 無法使用HDWiki';

/**
 * step3
 */
$lang['step3IsNull'] = '請返回并輸入所有選項。';
$lang['step3DBPrefix'] = '數據表前綴';
$lang['step3NoConnDB'] = '無法連接到數據庫，請確認MySQL地址、用戶名、密碼和數據庫名都正確無誤。';
$lang['step3DBNoPower'] = '您無權建立數據庫！';
$lang['step3DBConfigWriteErrorTip'] = '安裝程序無法寫入系統核心配置文件, 請修改配置文件./config/config.inc.php權限！';
$lang['step3DBConfigNotWriteTip'] = './config.inc.php文件不可寫，請修改為可寫！';
$lang['step3MySQLExtErrorTip'] = '不支持MySQL擴展！';
$lang['step3Tip'] = '<div class="log">提示信息</div><div class="mes"><p>請在下面填寫您的數據庫賬號信息, 通常情況下不需要修改紅色選項內容。</p></div>';
$lang['step3MySqlHost'] = '數據庫服務器';
$lang['step3MySqlHostComment'] = 'MySQL數據庫服務器地址, 一般為 localhost';
$lang['step3MySqlUser'] = '數據庫用戶名';
$lang['step3MySqlUserComment'] = 'MySQL數據庫用戶名';
$lang['step3MySqlPass'] = '數據庫密碼';
$lang['step3MySqlPassComment'] = 'MySQL數據庫密碼';
$lang['step3MySqlDBName'] = '數據庫名';
$lang['step3MySqlDBNameComment'] = '數據庫名稱 (如果數據庫不存在，則建立！)';
$lang['step3MySqlDBTablePrefix'] = '表名前綴';
$lang['step3MySqlDBTablePrefixComment'] = '同一數據庫安裝多個HDWiki時可改變默認前綴';
$lang['step3MySqlVersionToLowTip'] = '您的MySQL版本低于3.23, 由于程序沒有經過此平臺的測試, 建議您換 MySQL4或MySQL5 的數據庫服務器！';
$lang['step3DBAlreadyExist'] = '數據庫中已經安裝過 HDWiki, 繼續安裝會清空原有數據。';
$lang['step3DBDropTableConfirm'] = '繼續安裝會清空全部原有數據，您確定要繼續嗎？';

/**
 * step4
 */
$lang['step4Tip'] = '設置管理員帳號。';
$lang['step4AdministratorNick'] = '管理員昵稱';
$lang['step4AdministratorNickComment'] = '中、英文均可使用。';
$lang['step4AdministratorEmail'] = '管理員Email地址';
$lang['step4AdministratorEmailComment'] = 'E-mail請一定填寫正確有效的地址。';
$lang['step4AdministratorPass'] = '管理員密碼';
$lang['step4AdministratorPassComment'] = '密碼長度不能小于6位，并且區分大小寫。';
$lang['step4AdministratorRePass'] = '確認密碼';
$lang['step4AdministratorRePassComment'] = '請重復輸入一次密碼，確認。';
$lang['step4AdministratorPassTooShortTip'] = '管理員密碼至少是6個字符，建議使用英文和符號混合。';
$lang['step4AdministratorPassNotSame'] = '兩次輸入的密碼不相同';
$lang['step4AdministratorEmailInvalid'] = '管理員Email地址不合法！';
$lang['step4ImportDefaultData'] = '導入默認數據';
$lang['step4DefaultSiteName'] = '我的HDWiki';
$lang['step4DefaultCategory'] = '默認分類';
$lang['step4Index'] = '首頁';
$lang['step4Wikier'] = '維客';
$lang['step4Help'] = '幫助';
$lang['step4AnonymityUser'] = '匿名用戶';
$lang['step4DocBaseInfo'] = '條目基本信息';
$lang['step4DocCatalog'] = '條目目錄';
$lang['step4DocCreator'] = '條目創建者';
$lang['step4DocLatestEdit'] = '條目最后編輯';
$lang['step4SplitTags'] = '拆分Tag';
$lang['step4UpdateIndex'] = '更新首頁';
$lang['step4DBExecError'] = '數據庫執行錯誤:';


$lang['styleName1']='默認風格';
$lang['styleName2']='綠色心情';
$lang['styleName3']='血色浪漫';
$lang['styleName4']='金色年華';
$lang['styleName5']='黑色幽默';
$lang['styleName6']='白璧無瑕';
$lang['styleName7']='紫微高照';



$lang['langName1']='簡體中文';
$lang['langName2']='繁體中文';
$lang['langName3']='English';

$lang['stepSetupDelInstallDirTip'] = '<div class="log">提示信息</div><div class="mes"><p>請盡快刪除整個 install 目錄或把install.php改名，以免被他人惡意利用。</p></div>';
$lang['stepSetupSuccessTip'] = '祝賀您安裝成功HDWiki！';
$lang['stepSetupGoTOIndex'] = '去首頁看看先！';
?>