<?php

require_once HDWIKI_ROOT."./smarty/Smarty.class.php";

class MySmarty extends Smarty {


	function MySmarty($tpl_name='default') {
		$this->template_dir = HDWIKI_ROOT."./templates/{$tpl_name}";
		$this->compile_dir = HDWIKI_ROOT."./templates_c";
		$this->cache_dir = HDWIKI_ROOT."./cache";
		$this->cache_lifetime = 0;
		$this->caching =0;
		$this->left_delimiter = '{';
		$this->right_delimiter = '}';
	}

	 function is_cached($tpl_file, $cache_id = null, $compile_id = null)
	 {
	     parent ::is_cached($tpl_file.'.tpl', $cache_id, $compile_id);
	 }


/*
  function assign($tpl_var, $value = null) {

		parent ::assign($tpl_var, $value);

	}
*/
	function display($resource_name, $cache_id = null, $compile_id = null) {

         global $g_site_icp,$g_site_url,$g_site_name,$style_name;

		 parent ::assign('site_icp',$g_site_icp);
		 parent ::assign('site_url',$g_site_url);
		 parent ::assign('site_name',$g_site_name);

		 parent ::assign('HDWIKI_VERSION',HDWIKI_VERSION);
		 parent ::assign('HDWIKI_RELEASE',HDWIKI_RELEASE);


		 global $db,$hdwiki_starttime;

		 $mtime = explode(' ', microtime());
		 parent ::assign('queryNum',$db->mQueryNum);
		 parent ::assign('runTime', number_format(( $mtime[1] + $mtime[0]- $hdwiki_starttime), 6));
		 parent ::display($resource_name.'.tpl', $cache_id, $compile_id);
	}

}


?>