<?php

function updateUserState($arr_userid,$state){
	global $g_table_prefix,$db;
	$struids=implode(",",$arr_userid);
	$db->query("UPDATE {$g_table_prefix}user SET state={$state} WHERE user_id in($struids)");
}



function changeUserGroup($arr_userid,$usergroup_id){
	global $g_table_prefix,$db;
	$struids=implode(",",$arr_userid);
	$db->query("UPDATE {$g_table_prefix}user SET usergroup_id={$usergroup_id} WHERE user_id in($struids)");
}



function updateDocState($arr_docid,$state){
	global $g_table_prefix,$db;
	$strdids=implode(",",$arr_docid);
	$db->query("UPDATE {$g_table_prefix}doc SET state=2 WHERE doc_id in($strdids)");
}



function updateDocLockState($arr_docid,$state){
	global $g_table_prefix,$db;
	$strdids=implode(",",$arr_docid);
	$db->query("UPDATE {$g_table_prefix}doc SET doc_lock=$state WHERE doc_id in($strdids)");
}

function updateDocFreezeState($arr_docid,$state){
	global $g_table_prefix,$db;
	$strdids=implode(",",$arr_docid);
	$db->query("UPDATE {$g_table_prefix}doc SET state=$state WHERE doc_id in($strdids)");
}



function updateTopicState($arr_topicid,$state){
	global $g_table_prefix,$db;
	$strtids=implode(",",$arr_topicid);
	$db->query("UPDATE {$g_table_prefix}topic SET state=2 WHERE topic_id in($strtids)");
}


function updateReplyState($arr_replyid,$state){
	global $g_table_prefix,$db;
	$strrids=implode(",",$arr_replyid);
	$db->query("UPDATE {$g_table_prefix}reply SET state=2 WHERE reply_id in($strrids)");
}


function updateUserInfo($opttype,$arr_ids){
	global $CREATEDOCBONUS,$DOCTOPICBONUS,$DOCREPLYBONUS;
	if($opttype!='doc' && $opttype!='topic' && $opttype!='reply') {
		return false;
	}
	global $g_table_prefix,$db;
	switch($opttype){
		case 'doc':
			$query=$db->query("SELECT * FROM {$g_table_prefix}doc WHERE doc_id in(".implode(",",$arr_ids).")");
			while($doc=$db->fetch_array($query)){
				if($doc['state']!=2 && $doc['doc_creator']!=1){
					$db->query("UPDATE {$g_table_prefix}user SET user_doc_count = user_doc_count - 1,user_bonus = user_bonus - ".$CREATEDOCBONUS." WHERE user_id = ".$doc['doc_creator']);
				}
			}
			break;

		case 'topic':
			$query=$db->query("SELECT * FROM {$g_table_prefix}topic WHERE topic_id in(".implode(",",$arr_ids).")");
			while($topic=$db->fetch_array($query)){
				if($topic['state']!=2 && $topic[$opttype.'_anony']!=1 && $topic[$opttype.'_creator']!=1){
					$db->query("UPDATE {$g_table_prefix}topic SET user_topic_count = user_topic_count - 1,user_bonus = user_bonus - ".$DOCTOPICBONUS." WHERE user_id = ".$topic['topic_creator']);
				}
			}
			break;

		case 'reply':
			$query=$db->query("SELECT * FROM {$g_table_prefix}reply WHERE reply_id in(".implode(",",$arr_ids).")");
			while($reply=$db->fetch_array($query)){
				if($reply['state']!=2 && $reply[$opttype.'_anony']!=1 && $reply[$opttype.'_creator']!=1){
					$db->query("UPDATE {$g_table_prefix}user SET user_reply_count = user_reply_count - 1,user_bonus = user_bonus - ".$DOCREPLYBONUS." WHERE user_id = ".$reply['reply_creator']);
				}
			}
			break;
	}
}


function updateDocCount($id,$upcount,$colname){
	global $g_table_prefix,$db;
	$db->query("UPDATE {$g_table_prefix}doc SET $colname=$colname - $upcount WHERE doc_id=$id AND state=1 ");
}



function updateTopicReplyCount($id,$upcount){
	global $g_table_prefix,$db;
	$db->query("UPDATE {$g_table_prefix}topic SET topic_reply_count=topic_reply_count - $upcount WHERE topic_id =$id AND state=1 ");
}


function isPowerMoreThan($user_id,$arr_user_id){
	$userids=implode(",",$arr_user_id);
	global $g_table_prefix,$db;
	$sql="select count(u1.user_id) from {$g_table_prefix}user u1,{$g_table_prefix}user u2 where u1.state=1 and u1.user_id={$user_id} and u2.state=1 and u2.user_id in ($userids) and u1.usergroup_id<u2.usergroup_id";
	$query=$db->query($sql);
	return $db->result($query,0);
}

function isAdminLogin(){
	$flag=false;
	if(!empty($_SESSION['login_type'])){
		if($_SESSION['login_type']==2){
			$flag=true;
		}
	}
	return  $flag;
}

function adminInfotip($tpl,$msg,$forward_url="",$forward_type){
	if($forward_url=="") {
		$forward_url="javascript:history.go(-1);";
	}
	$arrInfotip=array();
	$arrInfotip['info_msg']=$msg;
	$arrInfotip['info_forward_url']=$forward_url;
	$arrInfotip['info_forward_type']=$forward_type;
	$tpl->assign('hdwiki_infotip',$arrInfotip);
	$tpl->display('_message');
	exit();
}
?>