<?php
/**
*
* Chinese (simplified) language file
*
*/

// common
$lang['commonCharset'] = 'UTF-8';
$lang['commonLang'] = '语言';
$lang['commonStyle'] = '风格';
$lang['commonSystemMenu'] = '系统设置';
$lang['commonLogout'] = '退出';
$lang['commonMngCenter'] = '管理中心';
$lang['commonWelcome'] = '欢迎你，';
$lang['commonRencentChange'] = '最近更改';
$lang['commonLogin'] = '登录';
$lang['commonRegister'] = '注册';
$lang['commonHowToRegister'] = '如何注册';
$lang['commonHowToLogin'] = '如何登录';
$lang['commonHowToSetUserdata'] = '如何设置个人资料';
$lang['commonHelp'] = '帮助';
$lang['commonClickCount'] = '人气';
$lang['commonCreator'] = '创建者';
$lang['commonLatestCooperation'] = '最新协作者';
$lang['commonTranscript'] = '全文';
$lang['commonTitle'] = '标题';
$lang['commonTags'] = '标签';
$lang['commonHotTags'] = '热门标签';
$lang['commonMore'] = '更多';
$lang['commonWikier'] = '维客';
$lang['commonCreate'] = '创建';
$lang['commonCoop'] = '协作';
$lang['commonReply'] = '回复';
$lang['commonTopic'] = '主题';
$lang['commonSummary'] = '摘要';
$lang['commonSiteNavi'] = '分类导航';
$lang['commonCreateDoc'] = '创建条目';
$lang['commonCoopDoc'] = '协作条目';
$lang['commonPublishTopic'] = '发表话题';
$lang['commonPublishReply'] = '发表回复';
$lang['commonSandbox'] = '编辑实验';
$lang['commonSearch'] = '搜索';
$lang['commonCopy'] = '复制';
$lang['commonSiteIndex'] = '网站首页';
$lang['commonRSSSubscription'] = 'RSS订阅';
$lang['commonAuthor'] = '作者';
$lang['commonReadArticle'] = '阅读全文';
$lang['commonCreatedTime'] = '创建时间';
$lang['commonComment'] = '评论';
$lang['commonViewCount'] = '浏览次数';
$lang['commonView'] = '浏览';
$lang['commonCreating'] = '创建于';
$lang['commonUserIdError'] = '用户id参数错误';
$lang['commonFirstPage'] = '第一页';
$lang['commonLastPage'] = '最后一页';
$lang['commonPrevPage'] = '上一页';
$lang['commonNextPage'] = '下一页';
$lang['commonJumpPage'] = '跳到';
$lang['commonPage'] = '页';
$lang['commonTotal'] = '共';
$lang['commonOK'] = '确定';
$lang['commonNow'] = '现在';
$lang['commonHave'] = '有';
$lang['commonPerson'] = '人';
$lang['commonGive'] = '给';
$lang['commonBoard'] = '留言';
$lang['commonNo'] = '暂无';
$lang['commonPublishBoard'] = '发表留言';
$lang['commonUserNick'] = '昵称';
$lang['commonPublishAnony'] = '匿名发表';
$lang['commonSecCode'] = '验证码';
$lang['commonFontBold'] = '粗体';
$lang['commonFontItalic'] = '斜体';
$lang['commonFontUnderline'] = '下划线';
$lang['commonSelectFontColor'] = '选择字体颜色';
$lang['commonBlack'] = '黑色';
$lang['commonRed'] = '红色';
$lang['commonYellow'] = '黄色';
$lang['commonPink'] = '粉色';
$lang['commonGreen'] = '绿色';
$lang['commonOrange'] = '橙色';
$lang['commonPurple'] = '紫色';
$lang['commonBlue'] = '蓝色';
$lang['commonBeige'] = '米色';
$lang['commonBrown'] = '棕色';
$lang['commonTeal'] = '茶色';
$lang['commonInsertLink'] = '插入超链接';
$lang['commonInsertImage'] = '插入图片';
$lang['commonLeft'] = '剩余';
$lang['commonChar'] = '字符';
$lang['commonSpaceManage'] = '空间管理';
$lang['commonSecCodeError'] = '验证码错误!';
$lang['commonCue'] = '提示：';
$lang['commonAutoJump'] = '秒后页面将自动跳转！';
$lang['commonClickHere']='如果您的浏览器没有自动跳转，请点击这里 ';
$lang['commonGroupLackOfPower']='对不起,您所在的用户组没有此权限！';
$lang['commonCat'] = '分类';
$lang['commonClickAndTopic'] = '点击/评论';
$lang['commonKeyword'] = '关键字';
$lang['commonAdvanceSearch'] = '高级搜索';
$lang['commonFocusDoc'] = '焦点条目';
$lang['commonSubmit'] = '提交';

//calendar
$lang['calendarJanuary'] = '一月';
$lang['calendarFebruary'] = '二月';
$lang['calendarMarch'] = '三月';
$lang['calendarApril'] = '四月';
$lang['calendarMay'] = '五月';
$lang['calendarJnue'] = '六月';
$lang['calendarJuly'] = '七月';
$lang['calendarAugust'] = '八月';
$lang['calendarSeptember'] = '九月';
$lang['calendarOctober'] = '十月';
$lang['calendarNovember'] = '十一月';
$lang['calendarDecember'] = '十二月';
$lang['calendarMonday'] = '一';
$lang['calendarTuesday'] = '二';
$lang['calendarWednesday'] = '三';
$lang['calendarThursday'] = '四';
$lang['calendarFriday'] = '五';
$lang['calendarSaturday'] = '六';
$lang['calendarSunday'] = '日';
$lang['calendarHour'] = '时';
$lang['calendarMinute'] = '分';

// index

$lang['indexClickRanks'] = '点击排行榜';
$lang['indexCharismaUser'] = '最有魅力作者';
$lang['indexLatestTopic'] = '维客最新话题';
$lang['indexActiveUser'] = '最活跃维客';
$lang['indexLatestUser'] = '最新会员';
$lang['indexFriendLink'] = '友情链接';
$lang['indexCreateTagMsg'] = '请到后台生成热门TAG！';
$lang['indexNoTopicMsg'] = '暂无新话题！';
$lang['indexNoFocusMsg'] = '暂无焦点条目！请到后台设置';

// space
$lang['spaceWelcome'] = '欢迎您，';
$lang['spaceExit'] = '退 出';
$lang['spaceLeaveMessage'] = '给他(她)留言';
$lang['spaceIndex'] = '个人首页';
$lang['spaceCreateDoc'] = '创建的条目';
$lang['spaceCoopDoc'] = '协作的条目';
$lang['spaceMyCoopedDoc'] = '谁动了我的条目';
$lang['spaceMyComment'] = '我的发言';
$lang['spaceBoardBook'] = '留言本';
$lang['spaceBonus'] = '积　　分';
$lang['spaceClicks'] = '人气数';
$lang['spacePersonalIntro'] = '个性签名';
$lang['spaceMyBoard'] = '我的留言';
$lang['spaceBoard1'] = '的留言';
$lang['spaceNoDocs'] = '暂无条目';
$lang['spaceNoCreateDocs'] = '暂无创建的条目';
$lang['spaceNoCoopDocs'] = '暂无协作的条目';
$lang['spaceNoCoopedDocs'] = '没有人动过';
$lang['spaceDocs'] = '的条目';
$lang['spaceIndexTitle'] = '的个人空间';
$lang['spaceComment'] = '的发言';
$lang['spaceBoard'] = '的留言本';
$lang['spaceUserNotExist'] = '对不起,您查看的用户已被删除!';
$lang['spaceCoopedDoc'] = '谁动了s%的条目';
$lang['spaceReplyTime'] = '回复时间';
$lang['spaceNoReply'] = '暂无发表回复';
$lang['spaceNoTopic'] = '暂无发表主题';
$lang['spaceEmptyBoard'] = '留言内容不能为空!';
$lang['spaceLongBoard'] = '留言内容过长!';
$lang['spaceNotLoginPublishBoardStr1'] = '您目前尚未登录，请';
$lang['spaceNotLoginPublishBoardStr2'] = '后再发表留言';
$lang['spacePublishBoardTip'] = '你可发表500字符的留言';
$lang['spacePublishBoardUserIDInvalid'] = '留言的用户ID非法!';
$lang['spacePublishBoardNoRights'] = '对不起,您所在的用户组没有此权限,不能发表留言!';
$lang['spaceNoteNo'] = '暂无给';
$lang['spaceNote'] = '的留言';

//login
$lang['loginTitle'] = '用户登录';
$lang['loginBtn'] = '立 刻 登 录';
$lang['loginToReg'] = '您尚未注册账号？请';
$lang['loginNick'] = '昵 称';
$lang['loginPassword'] = '密 码';
$lang['loginCookieSaveTime'] = 'Cookie有效期';
$lang['loginCookieSaveNow'] = '不保存';
$lang['loginCookieSaveWeek'] = '保存一周';
$lang['loginCookieSaveMonth'] = '保存一月';
$lang['loginCookieSaveYear'] = '保存一年';
$lang['loginCaptcha'] = '验证码';
$lang['loginChangeCaptcha'] = '看不清楚，点击图片换一张';
$lang['loginEnterCaptcha'] = '请输入上图中数字';
$lang['loginErrorCaptcha'] = '验证码错误，请重新输入！';
$lang['loginErrorLogin'] = '昵称或密码错误！';

//the right part of register and login
$lang['rightTitle'] = '注册互动会员';
$lang['rightLiA'] = '共创内容，分享知识，你我就是学术权威，百科专家。';
$lang['rightLiB'] = '每天都有收获，得到可靠准确的信息或资源。';
$lang['rightLiC'] = '每天都能结识志趣相投的新朋友，与你协同打天下。';
$lang['rightLiD'] = '维客互动空间，尽显个人魅力。';

//register
$lang['regAction'] = '用户注册';
$lang['regTitle'] = '新用户注册';
$lang['regBtn'] = '注 册 帐 号';
$lang['regToLogin'] = '如果您已经注册请';
$lang['registerLogin'] = '登陆';
$lang['regCaptcha'] = '验证码';
$lang['regEnterCaptcha'] = '请输入上图中数字';
$lang['regErrorCaptcha'] = '验证码错误，请重新输入!';
$lang['regNick'] = '昵 称';
$lang['regRepeatNick'] = '此昵称已被注册！请换个昵称！';
$lang['regNullNick'] = '昵称不能为空！';
$lang['regNickLenth'] = '昵称长度不能小于1，高于32字节!';
$lang['regNickIntro'] = '昵称也叫做名号，中、英文均可使用。';
$lang['regPassword'] = '密 码';
$lang['regNullPassword'] = '密码不能为空';
$lang['regPasswordIntro'] = '密码长度6-32位,区分大小写字母。';
$lang['regRepeatPassword'] = '重复密码';
$lang['regRepeatPassErr'] = '您两次输入的登录密码不一致！';
$lang['regEmail'] = '保密邮箱';
$lang['regRepeatEmail'] = '此邮箱已被注册！请重新填写！';
$lang['regEmailIntro'] = '填写保密邮箱，通行安全有保障。';
$lang['regNullEmail'] = '邮箱不能为空！';
$lang['regEmailLenth'] = 'email长度不能超过256字节！';
$lang['regEmailErr'] = '邮箱格式错误！';
$lang['regAgree'] = '我已看过并同意';
$lang['regTerm'] = '《本站服务条款》';
$lang['regSuc'] = '，恭喜您注册成功！';
$lang['regHelpTitle'] = '小贴士';
$lang['regHelpItemA'] = '什么是Wiki(维客)?';
$lang['regHelpItemB'] = '什么是条目?';
$lang['regHelpItemC'] = '如何创建好的条目标题?';
$lang['regHelpItemD'] = '如何创建百科条目?';
$lang['regSuc'] = '，恭喜您注册成功！';
$lang['regSucItemA'] = '接下来，开始您的Wiki之旅吧!';
$lang['regSucItemB'] = '补充资料';
$lang['regItemBCnt'] = '完整而丰富的个人资料，将使您更容易找到志趣相投的人';
$lang['regSucItemC'] = '创建条目';
$lang['regItemCBCnt'] = '您也可以立刻创建条目';
$lang['regSucItemD'] = '返回首页';

//user
$lang['userLanguage'] = '繁体转换';
$lang['userTopColumn'] = '创建条目';
$lang['userLowColumn'] = '个人资料';
$lang['userMenuIndex'] = '网站首页';
$lang['userMenuSpace'] = '个人空间首页';
$lang['userColumnBase'] = '基本信息';
$lang['userBaseId'] = '用户ID';
$lang['userBaseName'] = '用户名';
$lang['userBaseBonus'] = '积分';
$lang['userBaseCreate'] = '创建条目';
$lang['userBaseCoop'] = '协作条目';
$lang['userBaseTopic'] = '发表话题';
$lang['userBaseReply'] = '回复话题';
$lang['userBaseUnderWrite'] = '个性签名';
$lang['userColumnCreate'] = '撰写新条目';
$lang['userColumnManage'] = '条目管理';
$lang['userColumnSetting'] = '个人资料设置';
$lang['userSexFemale'] = '女  ';
$lang['userSexMale'] = '男  (默认为男)';
$lang['userSettingSave']='√资料已经成功保存';
$lang['userSettingNick']='昵　称';
$lang['userSettingSex']='性　别';
$lang['userSettingBirth']='出生日期';
$lang['userSettingYear']='年';
$lang['userSettingMonth']='月';
$lang['userSettingDay']='日';
$lang['userSettingSpaceName']='空间名称';
$lang['userSettingSpaceIntro']='空间简介';
$lang['userSettingCity']='居住城市';
$lang['userColumnEditPassword'] = '修改密码';
$lang['userOldPassword'] = '旧 密 码';
$lang['userNewPassword'] = '新 密 码';
$lang['userRepeatPassword'] = '确认密码';
$lang['userPasswordSave'] = '√密码修改成功!';
$lang['userNullOldPassword'] ='旧密码不能为空!';
$lang['userPasswordErr']='密码验证失败!';
$lang['userNullNewPassword']='新密码不能为空';
$lang['userPasswordLenth'] = '密码长度应在6-32位，区分大小写字母!';
$lang['userRepeatPasswordErr'] = '两次密码输入不一致';
$lang['userColumnEditIco'] = '修改头像';
$lang['userIntroSave'] = '√自我介绍已经成功保存';
$lang['userIcoSave'] = '√头像已经成功保存';
$lang['userIcoNotice'] = '请填写您的档案信息：（您的图片和档案将显示在您的首页）';
$lang['userExNameErr'] = '上传文件格式错误';
$lang['userIcoErr'] = '头像上传失败';
$lang['userMyIco'] = '我的头像';
$lang['userMyEditIco'] = '修改头像：(注：请上传1M以下的Jpg、Gif、Jpeg图片)';
$lang['userUploadBtn'] = '上 传';
$lang['userMyIntro'] = '自我介绍：(注：不超过256个字符)';
$lang['userTimeOffSet'] = '修改时区';
$lang['userTrueName'] = '真实姓名';
$lang['userAddress'] = '通讯地址';
$lang['userWordLimit'] = '最多40个字符';
$lang['userTimeOffSetSuc'] = '√时区修改成功';
$lang['userTel'] = '联系电话';
$lang['userNowTimeOffSet'] = '时 区';
$lang['userNowTimeOff'] = '时 差';
$lang['userNowTimeOffIntro'] = '（当地时间与 GMT 的时差）';
$lang['userTimeOffSetNote'] = '请选择您的时区';
$lang['userSubmit'] = '提  交';

//time offset
$lang['serverTime'] = '服务器时间';
$lang['localtime'] = '本地时间';
$lang['timeoffset'] = array(
						'-12'=>'(标准时-12:00) 日界线西',
						'-11'=>'(标准时-11:00) 中途岛、萨摩亚群岛',
						'-10'=>'(标准时-10:00) 夏威夷',
						'-9'=>'(标准时-9:00) 阿拉斯加',
						'-8'=>'(标准时-8:00) 太平洋时间(美国和加拿大)',
						'-7'=>'(标准时-7:00) 山地时间(美国和加拿大)',
						'-6'=>'(标准时-6:00) 中部时间(美国和加拿大)、墨西哥城',
						'-5'=>'(标准时-5:00) 东部时间(美国和加拿大)、波哥大',
						'-4'=>'(标准时-4:00) 大西洋时间(加拿大)、加拉加斯',
						'-3.5'=>'(标准时-3:30) 纽芬兰',
						'-3'=>'(标准时-3:00) 巴西、布宜诺斯艾利斯、乔治敦',
						'-2'=>'(标准时-2:00) 中大西洋',
						'-1'=>'(标准时-1:00) 亚速尔群岛、佛得角群岛',
						'0'=>'(格林尼治标准时) 西欧时间、伦敦、卡萨布兰卡',
						'1'=>'(标准时+1:00) 中欧时间、安哥拉、利比亚',
						'2'=>'(标准时+2:00) 东欧时间、开罗，雅典',
						'3'=>'(标准时+3:00) 巴格达、科威特、莫斯科',
						'3.5'=>'(标准时+3:30) 德黑兰',
						'4'=>'(标准时+4:00) 阿布扎比、马斯喀特、巴库',
						'4.5'=>'(标准时+4:30) 喀布尔',
						'5'=>'(标准时+5:00) 叶卡捷琳堡、伊斯兰堡、卡拉奇',
						'5.5'=>'(标准时+5:30) 孟买、加尔各答、新德里',
						'6'=>'(标准时+6:00) 阿拉木图、 达卡、新亚伯利亚',
						'7'=>'(标准时+7:00) 曼谷、河内、雅加达',
						'8'=>'(标准时+8:00)北京、重庆、香港、新加坡',
						'9'=>'(标准时+9:00) 东京、汉城、大阪、雅库茨克',
						'9.5'=>'(标准时+9:30) 阿德莱德、达尔文',
						'10'=>'(标准时+10:00) 悉尼、关岛',
						'11'=>'(标准时+11:00) 马加丹、索罗门群岛',
						'12'=>'(标准时+12:00) 奥克兰、惠灵顿、堪察加半岛');

//show history Contrast 2007-9-5

$lang['hisVersion'] = '版本';
$lang['hisTime'] = '创建日期';
$lang['hisAuthor'] = '作者';
$lang['hisModify'] = '版本改动';
$lang['hisExcellent'] = '优秀版本';
$lang['hisWhy'] = '修改原因';
$lang['hisContrast'] = '对比版本';
$lang['hisDelete'] = '删除版本';
$lang['hisCopy'] = '复制版本';
$lang['hisName'] = '历史版本';
$lang['hisBig'] = '大';
$lang['hisSmall'] = '小';
$lang['hisCreat'] = '创建';
$lang['hisDel'] = '已删除';
$lang['hisModifyTime'] = '编辑时间';
$lang['hisNoticeContent'] = '1、浅绿色 表示一个范围，2、深绿色 不同点';
$lang['hisNotice'] = '注:';
$lang['hisCloseWindow'] = '关闭本窗口';
$lang['hisAtLeastTwo'] = '提示:至少选择两个版本才能进行比较!';
$lang['hisChoseOne'] = '提示:您还没有选择任何版本!';
$lang['hisOnlyTwo'] = '提示:只能选择两个版本才能进行比较!';
$lang['hisAtMostTwo'] = '提示:您选择的版本太多,请选择两个版本!';
$lang['hisChoseOneHis'] = '提示:没有历史版本，不能比较!';
$lang['hisWrongBack'] = '版本错误,请返回!';
$lang['hisChoseDel'] = '请先选择要删除的版本!';
$lang['hisDelete'] = '删除版本不可恢复,是否继续?';
$lang['hisSelectHis'] = '请先选择要设置的版本!';
$lang['hisSetExcellent'] = '设置优秀版本,是否继续?';
$lang['hisOnlyOne'] = '请只选择一条要设置的版本!';
$lang['hisCopyHis'] = '复制最新版本版本,是否继续?';


//show wikier
$lang['docTime'] = '次';
$lang['docUpdate'] = '更新';

//show topic
$lang['topicSelDel'] = '请选择要删除的回复';
$lang['topicDelask'] = '删除回复不可恢复，是否继续？';
$lang['topicTitleNone'] = '标题不能为空';
$lang['topicTitleOut'] = '标题过长';
$lang['topicContentNon'] = '内容不能为空';
$lang['topicContentout'] = '内容过长';
$lang['topicVerificationError'] = '验证码错误';
$lang['topicSelAll'] = '全选';
$lang['topicClickNum'] = '点击';
$lang['topicResume'] = '回复';
$lang['topicTitle'] = '标题';
$lang['topicAuthor'] = '作者';
$lang['topicLastResume'] = '最后回复';
$lang['topicResumeTime'] = '回复时间';
$lang['topicNonea'] = '您好，您是第一个到达这里的人，';
$lang['topicNoneb'] = '吧尚没有话题！';
$lang['topicNonec'] = '欢迎您在此留言，发表对';
$lang['topicNoned'] = '的看法，并与今后来到这里的朋友们分享交流。 ';
$lang['topicAdminDel'] = '删除';
$lang['resumesSaid'] = '说:';
$lang['resumesTo'] = '回复';
$lang['resumesDel'] = '该回复已被管理员删除';
$lang['resumesAdminDel'] = '删除';
$lang['contentTitle'] = '标题';
$lang['resumesTo'] = '回复';
$lang['contentBody'] = '内容';
$lang['fontsBold'] = '粗体';
$lang['fontsItalics'] = '斜体';
$lang['fontsUnderlined'] = '下划线';
$lang['SelFontsColor'] = '选择字体颜色';
$lang['fontsBlack'] = '黑色';
$lang['fontsRed'] = '红色';
$lang['fontsYellow'] = '黄色';
$lang['fontsPink'] = '粉色';
$lang['fontsGreen'] = '绿色';
$lang['fontsOrange'] = '桔黄色';
$lang['fontsPurple'] = '紫色';
$lang['fontsBlue'] = '蓝色';
$lang['fontsBeige'] = '米色';
$lang['fontsBrown'] = '棕色';
$lang['fontsTeal'] = '茶色';
$lang['fontsNavy'] = 'Navy';
$lang['fontsMaroon'] = 'Maroon';
$lang['fontsLimeGreen'] = 'LimeGreen';
$lang['fontsHyperlinks'] = '插入超链接';
$lang['fontsPicture'] = '插入图片';
$lang['resumesAnonymous'] = '匿名发表';
$lang['resumesNotLogin'] = '您目前尚未登录，请';
$lang['topicLogin'] = '登录';
$lang['topicrRegistration'] = '注册';
$lang['topicLoginIsOk'] = '后再发表留言';
$lang['resumesVerification'] = '验证码';
$lang['topicSubmit'] = '提交留言';

//show docadmin
$lang['docadminCommon'] = '普通';
$lang['docadminRename'] = '重命名';
$lang['docadminMove'] = '移动分类';
$lang['docadminState'] = '状态';
$lang['docadminLock'] = '锁定';
$lang['docadminUnlock'] = '解锁';
$lang['docadminFreeze'] = '冻结';
$lang['docadminUnFreeze']='解冻';
$lang['docadminFocus']='推荐';

//search
$lang['searchCondisNull']='搜索条件不能为空！';
$lang['searchTitleAndSummary']='标题+摘要';
$lang['searchKeywordDesc']='关键字中可使用通配符 "*"<br/>匹配多个关键字全部，可用空格或 "AND" 连接。如 win32 AND unix<br/>匹配多个关键字其中部分，可用 "|" 或 "OR" 连接。如 win32 OR unix';
$lang['searchAuthorDesc']='用户名中可使用通配符 "*"，如 *user*';
$lang['searchChoice']='搜索选项';
$lang['searchType']='搜索方式';
$lang['searchTime']='搜索时间';
$lang['searchAllTime']='全部时间';
$lang['searchOneDay']='1 天';
$lang['searchTwoDays']='2天';
$lang['searchOneWeek']='1周';
$lang['searchOneMonth']='1个月';
$lang['searchThreeMonths']='3个月';
$lang['searchSixMonths']='6个月';
$lang['searchOneYear']='1年';
$lang['searchTimeWithin']='以内';
$lang['searchTimeBefore']='以前';
$lang['searchOrderType']='排序类型';
$lang['searchCreatedtime']='发布时间';
$lang['searchTopicCount']='评论数量';
$lang['searchClickCount']='浏览次数';
$lang['searchOrderByAsc']='按升序排列';
$lang['searchOrderByDesc']='按降序排列';
$lang['searchScope']='搜索范围';
$lang['searchAllCat']='搜索所有的分类';
$lang['searchResultisNull']='抱歉，未搜索到符合条件的结果！';
$lang['searchCreateDoc']='您要创建这个条目吗？';
//select doc

$lang['docCreate'] = '创建条目';
$lang['docEdit'] = '编辑条目';
$lang['docTitle'] = '条目标题';
$lang['docClass'] = '条目类别';
$lang['docNext'] = '下一步';
$lang['docShow'] = '创建一个条目，首先需要：1、正确的输入条目标题 2、选择一个合适的分类';
$lang['docWrite'] = '请填写标题!';
$lang['docTitleNo'] = '标题不能包含\'&\'符号！';
$lang['docTitleSearch'] = '条目名称检测中......';
$lang['docDoc'] = '条目';
$lang['docFreeze'] = '已经冻结！';
$lang['docCanCreate'] = '可以创建！';
$lang['docSearch'] = '查看该条目';
$lang['docExist'] = '已经存在！';

//createdoc

$lang['createDocNotice'] = '编辑本页后请点击“保存”。只有在您能<strong> 改进 </strong>该页面的前提下才编辑它。如果您想尝试一些东西，请先到';
$lang['createDocTry'] = '编辑试验';
$lang['createDocHot'] = '热身.';
$lang['createDocAuto'] = '您可以不填写，我们将提取您撰写的正文前100字作为摘要';
$lang['createDocAddTag'] = '添加标签';
$lang['createDocShow'] = '预览';
$lang['createDocSave'] = '保存';
$lang['createDocCancel'] = '取消';

//editdoc
$lang['editDoc'] = '编辑条目';
$lang['editDocFull']= '全文编辑条目';
$lang['editDocSmall'] = '轻微修改';
$lang['editDocNoRights'] = '对不起,您所在的用户组没有此权限,不能编辑条目！';
$lang['editDocDrop'] = '是否放弃对该条目的编辑?';
$lang['editDocSection'] = '分段编辑条目';

//viewdoc
$lang['viewDoc'] = '浏览条目';
$lang['viewDocPublish'] = '发布条目';
$lang['viewDocNoRights'] = '对不起,您所在的用户组没有此权限,不能创建条目！';
$lang['viewDocNotExist'] = '抱歉，条目“<font color=\'red\'>{$t1}</font>”不存在，您可以<a href=\'doc.php?action=createdoc&title=".{$t2}."\'>点击</a>创建该条目。';
$lang['viewDocFreeze'] = '抱歉，条目“<font color=\'red\'>{$title}</font>”已经冻结。';
$lang['viewDocVerify'] = '提示:您发表的条目需要管理员审核后才能发布,点击<a href=\'index.php\'>此处</a>返回首页';
$lang['viewDocUserList'] = '贡献者列表';
$lang['viewDocHisList'] = '历史版本列表';
$lang['viewDocDelHisNoRights'] = '对不起,您所在的用户组没有此权限,不能删除历史版本！';
$lang['viewDocDefaultContent'] = '此条目暂无内容，欢迎您参与编辑，享受分享知识的乐趣。<br><br>
					  >>立即点击开始<A title=\"\" href=\"doc.php?action=edit&amp;docid='.$docid.'\" target=\"\">编辑条目</a><br><br>
					  优秀百科条目示范：<br><br>
					  <a href=\"http://www.hoodong.com/wiki/%E4%BA%9A%E9%A9%AC%E9%80%8A%E6%B2%B3\" target="_blank">亚马逊河</a>';

$lang['viewDocDefaultSummary']='此条目暂无内容，欢迎您参与编辑，享受分享知识的乐趣';
$lang['viewDocDefaultTag']='无条目;请编辑;';
$lang['viewDocHisError']='您提交的条目历史版本ID非法！';
$lang['viewDocHisGreatNoRights']='对不起,您所在的用户组没有此权限,不能设置优秀历史版本！';
$lang['viewDocHisCopyNoRights']='对不起,您所在的用户组没有此权限,不能复制最新历史版本！';
$lang['viewDocViewHis']='查看历史版本';
$lang['viewDocViewHisNotExist']='不能浏览已经删除的历史版本！';
$lang['viewDocViewCompareHis']='对比历史版本';
$lang['viewDocViewHelp']='这是一个编辑受限的条目，您没有编辑该条目的权限，请查看帮助！';
$lang['viewDocComment']='维吧评论';
$lang['viewDocCooper']='贡献者';
$lang['viewDocManage']='管理选项';
$lang['viewDocModify']='编辑本段';
$lang['viewDocTalk']='我来说两句';
$lang['viewDocText']='字 号:';
$lang['viewDocMiddle']='中';
$lang['viewDocGe']='个';
$lang['viewDocSpecial']='该条目是一个特殊条目，只有管理员授权的用户才可以编辑此条目!';
$lang['viewDocView']='查看条目';
$lang['viewDocDate']='创建日期';
$lang['viewDocTime']='创建时间';
$lang['viewDocUsers']='协作人数';
$lang['viewDocVersion']='版本数';
$lang['viewLatestEdit']='最近编辑';
//show catdoc
$lang['catNavigation'] = '网站导航';
$lang['noneCat'] = '此分类无子分类';
$lang['articleList'] = '文章列表';
$lang['articleAuthor'] = '维客';
$lang['articleCreate'] = '创建';
$lang['articleTag'] = '标签';
$lang['articleAbstract'] = '摘要';
$lang['articleTranscript'] = '阅读全文';
$lang['resumeNum'] = '回复';
$lang['topicNum'] = '话题';
$lang['collaborationNum'] = '协作';
$lang['browseNum'] = '浏览';
$lang['noneCatBeBack'] = '提示：此分类暂无条目！请返回';
$lang['forward'] = '向 前';
$lang['nextPage'] = '下一页';
$lang['fillthePage'] = '到第';
$lang['submit'] = '确定';

//doclist
$lang['doclistNewCreatedList'] = '最新创建列表';
$lang['doclistNewCoopList'] = '最新协作列表';
$lang['doclistHotDocList'] = '最热条目列表';
$lang['doclistEmpty'] = '暂无条目';
$lang['doclistWikibarNewTopicList'] = '维吧最新话题';
$lang['doclistWikibarTopicEmpty'] = '暂无话题';

//sandbox
$lang['sandboxTip'] = '您可以在这里尽情尝试Wiki的各项功能，试验各种Wiki的编辑技巧。';
$lang['sandboxWelcome'] = '欢迎使用HDWiki！';

//notice
$lang['notice'] = '小贴士';
$lang['noticeWhatIsWiki'] = '什么是Wiki(维客)?';
$lang['noticeWhatIsDoc'] = '什么是条目?';
$lang['noticeHowCreateGoodTitle'] = '如何创建好的条目标题?';
$lang['noticeHowCreateDoc'] = '如何创建百科条目?';

//common.func
$lang['comParaWrong'] = '站点参数文件写入失败: 写配置文件失败,请检查wikidata/cache文件夹是否可写！';
$lang['comInstall'] = '安装失败或者升级没有成功,请检查setting表是否存在数据！';
$lang['comUploadWrong'] = '上传失败！';
$lang['comDocWrong'] = '文件超过指定大小或者格式不正确，上传失败！';
$lang['comDocLong'] = '文件超过指定大小，上传失败！';
$lang['comMistake'] = '意外错误，请重试！';
$lang['comImaCompWrong'] = '压缩图片失败！';
$lang['comDocFirst'] = '原始文件';
$lang['comDocUnexist'] = '不存在！';
$lang['comImaWrong'] = '图片格式不是gif或者jpg！';
//rss
$lang['rssLeastRefresh'] = '最近更新的条目';
$lang['rssUser'] = '用户';
//doc func
$lang['docFuncDefault'] = '失败，你';
$lang['docFuncTimes'] = '秒后才能再次';
$lang['docFuncGan'] = '！';

//ip
$lang['ipFobidden']='对不起，您的 IP 地址不在被允许的范围内，无法访问本网页！';

//plugin fun
$lang['pluginName']='请先在您要添加的插件文件中填写插件名称!<a href=\"javascript:history.go(-1)\">点此返回上一步</a>';
$lang['pluginInstall']='该插件已安装!请点击<a href=\'javascript:history.go(-1)\'>返回</a>';
$lang['pluginParaWrong']='参数错误!请点击<a href=\'javascript:history.go(-1)\'>返回</a>';
$lang['frientLinkNo']='操作失败，权限不足!';
$lang['frientLinkOrderRight']='显示顺序更新成功';
$lang['frientLinkDeleteOrder']='链接已删除';
$lang['frientLinkUpdateSuc']='链接更新成功';
$lang['frientLinkUpdateFail']='链接更新失败';
?>