<?php
require_once "./version.php";
@set_time_limit(0);

if($user['backup_database']){
	if($opt == "import")
	{
		$sqlFile = HDWIKI_ROOT."./wikidata/db_backup/" . $sqlfile;
	    if (!is_readable($sqlFile))
	    {
	    	adminInfotip($tpl,$lang['dbBackupNoSQLFileTip'],'manage.php?action=dbbackup','error');
	    }
	    if (filesize($sqlFile)/1024/1024>5)
	    {
	    	adminInfotip($tpl,$lang['dbBackupSQLFileTooBigTip'],'manage.php?action=dbbackup','error');
	    }
	    if(substr($sqlfile,-3)=='zip')
	    {
	    	$sql='';
	    	$zd = gzopen($sqlFile, "r");
	    	while($buffer = gzgets($zd))
	    	{
	    		$sql .=$buffer;
	    	}
			gzclose($zd);
	    }
	    elseif(substr($sqlfile,-3)=='sql')
	    {
	    	$fp = fopen($sqlFile, 'r');
		    $sql = fread($fp, filesize($sqlFile));
		    fclose($fp);
	    }



		$queriesArray = explode(";\n", trim($sql));
	    foreach ($queriesArray as $query)
	    {
	        $sql = "";
	        $queries = explode("\n", trim($query));
	        foreach ($queries as $query)
	        {
	            $sql .= $query{0}.$query{1} == "--" ? null : $query;
	        }

	        if (!$db->query($sql))
	        {
	           $err=1;
	        }
	    }
	    if ($err==1)
	    {
	        adminInfotip($tpl,$lang['dbBackupImportFailedTip'],'manage.php?action=dbbackup','error');
	        exit;
	    }
	    adminInfotip($tpl,$lang['dbBackupImportSuccessTip'],'manage.php?action=dbbackup','info');
	    exit;
	}
	elseif($opt=="del")
	{
		$filename="wikidata/db_backup/".$sqlfile;
		if(file_exists($filename)) unlink($filename);
		adminInfotip($tpl,$_REQUEST['sqlfile'].$lang['dbBackupSQLDeleteTip'],'manage.php?action=dbbackup','info');
		exit();
	}
	else{
		if(!$backupsubmit)
		{
			$sqlFileName=createServerTime('','Y-m-d-')."bak-".getRadomStr(8).".sql";
			$tables_list=array();
			$query=$db->query("show tables");
			while($tables=$db->fetch_array($query))
			{
				$tables_list[]=$tables;
			}
			$filename=array();
			$basedir=HDWIKI_ROOT."./wikidata/db_backup";
			forceMkdir($basedir);
			$handle=opendir($basedir);
		    while ($file = readdir($handle)){
				if (!is_dir($basedir."/".$file) && $file!="." && $file!=".."&&(substr($file,-4)==".sql"||substr($file,-8)==".sql.zip") ){
					$tem_arr['filename']=$file;
					$filesize=(filesize($basedir."/".$file)/1024);
					$arr=explode(".",$filesize);
					$tem_arr['filesize']=$arr[0]." KB";
					$tem_arr['filectime']=date("Y-m-d H:i:s",filectime($basedir."/".$file));
					$filename[]=$tem_arr;
				}
		    }
		    closedir($handle);
		    $tpl->assign('dbname','Tables_in_'.$g_db_name);
		    $tpl->assign('sqlFileName',$sqlFileName);
		    $tpl->assign('filenamelist',$filename);
			$tpl->assign('tables_list',$tables_list);
			$tpl->display('_dbbackup');
			exit();
		}
		else
		{
			$backinfo=$_REQUEST;
			$arr_tables=array();
			switch($backinfo['type']){
				case "full":
					$query=$db->query("show tables");
					$tem_name='Tables_in_'.$g_db_name;
					while($tables=$db->fetch_array($query))
					{
						$arr_tables[]=$tables[$tem_name];
					}
					break;
				case "stand":
					$arr_tables=array($g_table_prefix."categorie",$g_table_prefix."doc",$g_table_prefix."his",$g_table_prefix."reply",$g_table_prefix."topic",$g_table_prefix."user");
					break;
				case "min":
					$arr_tables=array($g_table_prefix."doc",$g_table_prefix."reply",$g_table_prefix."topic",$g_table_prefix."user");
					break;
				case "custom":
					$arr_tables=$backinfo['tables'];
					break;
			}
			if(count($arr_tables)==0)
			{adminInfotip($tpl,$lang['dbBackupSelectTableTip'],'manage.php?action=dbbackup','error');}

			if(!file_exists(HDWIKI_ROOT."./wikidata/db_backup")) forceMkdir(HDWIKI_ROOT."./wikidata/db_backup");
			if(!dir_writeable(HDWIKI_ROOT."./wikidata/db_backup")){
				adminInfotip($tpl,$lang['dbBackupDirNotWriteTip'],'manage.php?action=dbbackup','error');
			}

			$nowdate=createServerTime();
			$backinfo['sqlFileName']=empty($backinfo['sqlFileName'])?createServerTime('',"Y-m-d-").$backinfo['type']."-".getRadomStr(8).".sql":$backinfo['sqlFileName'];
			$filename=substr($backinfo['sqlFileName'],-4)=='.sql'?$backinfo['sqlFileName']:$backinfo['sqlFileName'].'.sql';

			if(file_exists(HDWIKI_ROOT."./wikidata/db_backup/".$filename)) unlink(HDWIKI_ROOT."./wikidata/db_backup/".$filename);
			$dump = "-- HDWiki SQL Dump \n";
			$dump .= "-- version ".HDWIKI_VERSION."  \n";
			$dump .= "-- http://kaiyuan.hoodong.com \n";
			$dump .= "-- \n";
			$dump .= "-- Created by: $nowdate \n";
			$dump .= "-- \n\n";


			if($filetype=="gzip") {
				$gzfilename=HDWIKI_ROOT."./wikidata/db_backup/".$filename.'.zip';
				$gzfp=gzopen($gzfilename,'ab9');
			}
			else
			{$fp=fopen(HDWIKI_ROOT."./wikidata/db_backup/".$filename,"ab");}
			for ($i=0;$i<count($arr_tables);$i++){
				$dump .= "DROP TABLE IF EXISTS `".$arr_tables[$i]."`;\n";

		        $query = $db->query("SHOW CREATE TABLE ".$arr_tables[$i]);
		        $createtable = $db->fetch_row($query);
		        $dump .= $createtable[1] . ";\n\n";
		        $query = $db->query("SELECT * FROM ".$arr_tables[$i]);
		        $numfields = $db->num_fields($query);
		        $numrows   = $db->num_rows($query);
		        while ($rs = $db->fetch_row($query))
		        {
		            $comma = '';
		            $dump .= "INSERT INTO ".$arr_tables[$i]." VALUES (";
		            for ($j = 0; $j < $numfields; $j++)
		            {
		                $dump .= $comma . '\''.mysql_escape_string($rs[$j]).'\'';
		                $comma = ',';
		            }
		            $dump .= ");\n";
		        }
				if($filetype=="gzip") {
					$byte=gzwrite($gzfp, $dump);
				}
				else{
					fputs($fp,$dump);
				}
				$dump="";
			}
			if($filetype=="gzip") {gzclose($gzfp);}else{fclose($fp);}
			adminInfotip($tpl,$lang['dbBackupSuccess'],'manage.php?action=dbbackup','info');
		}
	}
}
else{
		adminInfotip($tpl,$lang['commonNoRightsTip'],'','error');
}
?>
