<?php

require "include/common.func.php";

if($g_db_charset == 'utf8')$g_db_charset="utf-8";
header("Content-type: text/xml;charset={$g_db_charset}");
if(!$t)$t=1;

if($t=="1"){
	$sql = 	" select doc_id, doc_title,doc_content,doc_first_img from  {$g_table_prefix}doc where  state=1 and doc_pass=1  order by doc_latest_edition_time desc limit 0,20";
	$rsstitle=$g_site_name.' '.$lang['rssLeastRefresh'];
	$rsslink=$g_site_url.'/doc.php?action=doclist';
}elseif($t=="2" && ereg("^[1-9][0-9]*$",$u)){
	$sql = 	" select doc_id, doc_title,doc_content,doc_first_img from  {$g_table_prefix}doc where  state=1 and doc_creator={$u} and doc_pass=1  order by doc_latest_edition_time desc limit 0,20";
	$user=getUserInfo($u);
	$rsstitle=$lang['rssUser'].$user['user_nick'].' '.$lang['rssLeastRefresh'];
	$rsslink=$g_site_url.'/space.php?userid='.$u;
}elseif($t=="3"){
	switch ($lt) {
    	case 0:
        	$sql = "SELECT d.doc_id,d.doc_title,d.doc_summary,d.doc_creator,d.doc_created_time
						  ,d.doc_latest_edition_time  ,d.doc_tags  ,d.doc_click_count ,d.doc_topic_count
						  ,d.doc_reply_count  ,d.doc_his_count ,d.doc_attendee_count ,d.doc_vote_count ,d.doc_first_img
						  ,u.user_nick,u.user_id,u.user_small_ico
						  FROM  {$g_table_prefix}doc d , {$g_table_prefix}user u
						  where u.user_id = d.doc_creator
						  AND d.state=1  and d.doc_pass=1
						  ORDER BY d.doc_created_time  desc limit 0,20";
			$rsstitle=$lang['doclistNewCreatedList'];
			$rsslink=$g_site_url.'/doc.php?action=doclist';
        break;
    	case 1:
        	$sql = "SELECT d.*,max(h.his_created_time) h,u.user_nick,u.user_id,u.user_small_ico
				  			FROM  {$g_table_prefix}user u,{$g_table_prefix}doc d ,{$g_table_prefix}his h
				  			WHERE u.user_id = d.doc_creator and d.doc_id=h.doc_id and h.his_coop=1
						  	AND d.state=1  and d.doc_pass=1 group by d.doc_id
						  	ORDER BY  h  desc limit 0,20";
        	$rsstitle=$lang['doclistNewCoopList'];
			$rsslink=$g_site_url.'/doc.php?action=doclist';
        	break;
    	case 2:
        	$sql = "SELECT  d.doc_id,d.doc_title,d.doc_summary,d.doc_creator,d.doc_created_time
				  			,d.doc_latest_edition_time  ,d.doc_tags  ,d.doc_click_count ,d.doc_topic_count
				  			,d.doc_reply_count  ,d.doc_his_count ,d.doc_attendee_count ,d.doc_vote_count ,d.doc_first_img
				  			,u.user_nick,u.user_id,u.user_small_ico
				  			FROM  {$g_table_prefix}doc d , {$g_table_prefix}user u
				  			where u.user_id = d.doc_creator
							AND d.state=1  and d.doc_pass=1
							ORDER BY d.doc_click_count desc limit 0,20";
        	$rsstitle=$lang['doclistNewCoopList'];
			$rsslink=$g_site_url.'/doc.php?action=doclist';
        	break;
		}
}elseif($t=="4"){
	$query=$db->query("select * from {$g_table_prefix}categorie where state=1 order by cat_order asc");
	while($dbcat=$db->fetch_array($query)){
		if($cid==$dbcat['cat_id']){
			$navidblist=unserialize($dbcat['cat_navi']);
			$navistr='';
			for($i=0;$i<count($navidblist)-1;$i++){
				$navistr .="<a href=\"catnavi.php?action=catinfo&cid=".$navidblist[$i]['cat_id']."\">".$navidblist[$i]['cat_name']."</a> &raquo; ";
			}
			$navistr .=$navidblist[$i]['cat_name'];
			$dbcat['str_navi']=$navistr;
			$cat=$dbcat;
		}elseif($cid==$dbcat['cat_parent']){
			$catlist[]=$dbcat;
		}
		$catinfolist[]=$dbcat;
	}
	$childcat=getCatReordering($catinfolist,$cat);
	$tem_cat=explode(",",substr($childcat,0,-1));
	for($i=0;$i<count($tem_cat);$i++){
		$tem=explode("+",$tem_cat[$i]);
		$temcid=$tem[0];
		$catidlist .=empty($temcid)?$temcid:$temcid.",";
	}

	$childcat="(".$catidlist.$cid.")";

	$sql = 	" SELECT d.doc_id,d.doc_title,d.doc_summary,d.doc_creator,d.doc_created_time
		  ,d.doc_latest_edition_time  ,d.doc_tags  ,d.doc_click_count ,d.doc_topic_count
		  ,d.doc_reply_count  ,d.doc_his_count ,d.doc_attendee_count ,d.doc_vote_count ,d.doc_first_img
		  ,u.user_nick,u.user_id,u.user_small_ico,c.cat_navi
		  FROM  {$g_table_prefix}doc d , {$g_table_prefix}user u , {$g_table_prefix}categorie c
		  where d.cat_id in $childcat and u.user_id = d.doc_creator
		  AND d.state=1  and d.doc_pass=1 and d.cat_id=c.cat_id
		  ORDER BY d.doc_created_time  desc ";
	$rsstitle=$lang['articleList'];
	$rsslink=$g_site_url.'/catnavi.php?action=catinfo';
}else{
	exit();
}

$output = "";
$now = createServerTime();
$output = "<?xml version=\"1.0\" encoding=\"{$g_db_charset}\" ?>
            <rss version=\"2.0\">
                <channel>
                    <title>$rsstitle</title>
                    <link>$rsslink</link>
                    <description>$g_site_name</description>
                    <language>zh-cn</language>
                    <pubDate>$now</pubDate>
                    <lastBuildDate>$now</lastBuildDate>
            ";

$query=$db->query($sql);
while($line=$db->fetch_array($query)){
	$linkurl="/doc.php?action=view&docid=".urlencode($line['doc_id']);
	$summary=str_replace("&"," ",strip_tags($line['doc_content']));
	$summary=subString($summary,0,100);
	if(!empty($line['doc_first_img'])){
		  $summary="<img src=$g_site_url/".$line['doc_first_img']." >".$summary;
	}
	$output .= "<item>
    				<title><![CDATA[".$line['doc_title']."]]></title>
                    <link>".$g_site_url.htmlentities($linkurl)."</link>
					<description><![CDATA[".$summary."]]></description>
                </item>";
}
$output .= "</channel></rss>";
echo $output;
?>