<?php
require "include/common.func.php";
@$userinfo = reloadUser();

if(!("viewtopic" == $action||"submittopic" == $action||"deltopic" == $action||"resumesview" == $action||"submitresumes" == $action||"delresumes" == $action)){
	doHelp();
	$tpl->assign('errorhtml',error);
	$tpl->display('errors');
	exit();
}

if("viewtopic" == $action){
	$query=$db->query("SELECT * FROM {$g_table_prefix}doc WHERE doc_id={$docid} AND state = 1");
	$docflag = $db->fetch_array($query);
	if($docflag==""){
		doHelp();
		$tpl->assign('errorhtml',$lang['topicNoneDoc']);
		$tpl->display('errors');
		exit();
	}else{

@$strPageNow=$pagenow;
$pageNow=1;
if (is_numeric($strPageNow) && (int)$strPageNow>0) {
	$pageNow=(int)$strPageNow;
}
$dSQL = "SELECT count(*) FROM {$g_table_prefix}topic where doc_id = ".$docid." AND state=1";
$rownum=$db->result($db->query($dSQL),0);
$depart=new DepartPage(30,$pageNow,$rownum);
$departstr=$depart->getDepartStr('topic.php?action=viewtopic&docid='.$docid,'pagenow');
$sql = "SELECT t.*, u.user_id, u.user_nick AS creator_user_nick,u.user_nick AS reply_user_nick FROM {$g_table_prefix}topic t, {$g_table_prefix}user u, {$g_table_prefix}user u1 WHERE t.doc_id={$docid} AND u.user_id = t.topic_creator AND u1.user_id = t.last_reply_creator AND t.state=1 order by t.topic_id DESC";
$query=$db->query($sql.' limit '.$depart->getBeginIndex().','.$depart->getnumPerPage());

		while($topic = $db->fetch_array($query)){
			$topic['topic_ip']=convertIP($topic['topic_ip']);
			$topic['last_reply_ip']=convertIP($topic['last_reply_ip']);
			$topic['last_reply_time']=formatTime($topic['last_reply_time']);
			$topiclist[]=$topic;
		}

		$doc = getDocById($docid);

		showPlugins('right');
		$tpl->assign('departstr',$departstr);
		$tpl->assign($doc);
	   $tpl->assign('topic',$topiclist);
	   $tpl->assign('topicinfo',$topiclist);
	   $tpl->assign('docid',$docid);
	   $tpl->assign('doctitle',$doc['doc_title']);
	   $tpl->assign('doc_created_date',formatTime($doc['doc_created_time'],'date'));
		$tpl->assign('doc_created_time',formatTime($doc['doc_created_time'],'time'));
	   $tpl->assign('del_topic',$userinfo['del_topic']);
	   $tpl->assign('user_id',$userinfo['user_id']);
	   $tpl->assign('user_nick',$userinfo['user_nick']);
 		$tpl->assign('yourerror',$yourerror);
 		$tpl->assign('catnav',getCatNav($doc['cat_id']));

	   $tpl->display('topiclist');
	}
   exit();
}

if("submittopic" == $action){
	if(!$userinfo['allow_reply']){
		$tpl->assign('errorhtml',$lang['commonGroupLackOfPower']);
		doHelp();
		$tpl->display('errors');
		exit();
	}else{
		$error = checkVerification($check_code,'1');
		if(($error==1)||($check_code=='')){
			header('Location:topic.php?action=viewtopic&docid='.$docid.'&yourerror=1');
			exit();
		}
		$topic_content = ubb($_POST['topic_content']);
	 	$doc_id = $docid;
	 	$topic_title = stripSpecialCharacter($_POST['topic_title']);
	 	$topic_creator = $userinfo['user_id'];
	 	$topic_ip = $_SERVER['REMOTE_ADDR'];
	 	$topic_created_time = createServerTime();
	 	$last_reply_creator = $userinfo['user_id'];
	  	$last_reply_time = createServerTime();
	  	$last_reply_ip = $_SERVER['REMOTE_ADDR'];
	  	$last_reply_anony = $topic_anony_state;
	  	$topic_anony = $topic_anony_state;
	  	$topic_view_count = 0;
	  	$topic_reply_count = 0;
	  	$topic_pass = $g_verify_topic;
	  	$state = 1;

		$sql = "INSERT INTO {$g_table_prefix}topic( `doc_id` , `topic_title` , `topic_content` , `topic_creator` , `topic_ip` , `topic_created_time` , `last_reply_creator` , `last_reply_time` , `last_reply_ip` , `last_reply_anony` , `topic_anony` , `topic_view_count` , `topic_reply_count` , `topic_pass` , `state` )
					VALUES ('{$doc_id}', '{$topic_title}', '{$topic_content}', '{$topic_creator}', '{$topic_ip}', '{$topic_created_time}', '{$last_reply_creator}', '{$last_reply_time}', '{$last_reply_ip}', '{$last_reply_anony}', '{$topic_anony}', '{$topic_view_count}', '{$topic_reply_count}', '{$topic_pass}', '{$state}') ";
		$db->query($sql);

		if($g_verify_topic!='1'){
			$tpl->assign('infotip',$lang['topicSave']."<a href='javascript:history.go(-1)'>".$lang['topicUndo']."</a>");
			doHelp();
			$tpl->display('infotip');
			exit();
		}else{
			$db->query("UPDATE ".$g_table_prefix."doc SET doc_topic_count = doc_topic_count+1 WHERE doc_id = ".$doc_id);
			if($topic_anony_state==0){
				$db->query("UPDATE ".$g_table_prefix."user SET user_topic_count = user_topic_count + 1,user_bonus = user_bonus + ".$DOCTOPICBONUS." WHERE user_id = ".$arr_doc_info['user_id']);
			}
			header('Location:topic.php?action=viewtopic&docid='.$docid);
		}
	}
	exit();
}

if("deltopic" == $action){
	if(!$userinfo['del_topic']){
		$tpl->assign('errorhtml',$lang['commonGroupLackOfPower']);
		doHelp();
		$tpl->display('errors');
		exit();
	}else{
		$topicchklist = $_POST['chktid'];
		foreach ($topicchklist as $topicid){
			$query=$db->query("update {$g_table_prefix}topic set state = 0 where topic_id = {$topicid}");
			$db->query("UPDATE ".$g_table_prefix."doc SET doc_topic_count = doc_topic_count-1 WHERE doc_id = ".$doc_id);
			if($topic_anony_state==0){
				$db->query("UPDATE ".$g_table_prefix."user SET user_topic_count = user_topic_count - 1,user_bonus = user_bonus - ".$DOCTOPICBONUS." WHERE user_id = ".$arr_doc_info['user_id']);
			}
			if($query){
				header('Location:topic.php?action=viewtopic&docid='.$docid);
			}else{
				$tpl->assign('errorhtml','error2');
				doHelp();
				$tpl->display('errors');
			}
		}
	}
	exit();
}

if("resumesview" == $action){
	$topicquery = $db->query("SELECT t.*,u.user_id, u.user_nick AS user_nick FROM {$g_table_prefix}topic t, {$g_table_prefix}user u WHERE u.user_id = t.topic_creator AND t.state = 1 AND t.topic_id=".$topicid);
	$topicinfo = $db->fetch_array($topicquery);
	$topicinfo['topic_ip']=convertIP($topicinfo['topic_ip']);
	$tpl->assign('topicinfo',$topicinfo);
	if($topicinfo==""){
		$tpl->assign('errorhtml',$lang['topicReadError']);
		doHelp();
		$tpl->display('errors');
		exit();
	}

@$strPageNow=$pagenow;
$pageNow=1;
if (is_numeric($strPageNow) && (int)$strPageNow>0) {
	$pageNow=(int)$strPageNow;
}
$dSQL = "SELECT count(*) FROM {$g_table_prefix}reply where topic_id = ".$topicid;
$rownum=$db->result($db->query($dSQL),0);
$depart=new DepartPage(10,$pageNow,$rownum);
$departstr=$depart->getDepartStr('topic.php?action=resumesview&topicid='.$topicid,'pagenow');
$sql = "SELECT r.*,u.user_id, u.user_nick AS user_nick FROM {$g_table_prefix}reply r, {$g_table_prefix}user u WHERE u.user_id = r.reply_creator AND r.topic_id=".$topicid;
$resumesquery=$db->query($sql.' limit '.$depart->getBeginIndex().','.$depart->getnumPerPage());

	while($resumeslist = $db->fetch_array($resumesquery)){
		$resumeslist['reply_ip']=convertIP($resumeslist['reply_ip']);
		$resumesinfo[]=$resumeslist;
	}

	$doc = getDocById($topicinfo['doc_id']);
	showPlugins('right');

	$tpl->assign($doc);
	$tpl->assign('departstr',$departstr);
	$tpl->assign('replytitle',($lang['commonReply'].$topicinfo['topic_title']));
	$tpl->assign('resumesinfo',$resumesinfo);
	$tpl->assign('resumes',$resumesinfo);
   $tpl->assign('user_id',$userinfo['user_id']);
   $tpl->assign('user_nick',$userinfo['user_nick']);
	$tpl->assign('del_topic',$userinfo['del_topic']);
	$tpl->assign('yourerror',$yourerror);
	$tpl->assign('catnav',getCatNav($doc['cat_id']));
	$tpl->display('topicview');
	exit();
}

if("submitresumes" == $action){
	$doc_id = $db->fetch_row($db->query("SELECT doc_id,topic_title FROM {$g_table_prefix}topic WHERE topic_id=".$topicid));
	$docid = $doc_id[0];
	if(!$userinfo['allow_reply']){
		$tpl->assign('errorhtml',$lang['commonGroupLackOfPower']);
		doHelp();
		$tpl->display('errors');
		exit();
	}else{
		$error = checkVerification($check_code,'1');
		if(($error==1)||($check_code=='')){
			header('Location:topic.php?action=resumesview&topicid='.$topicid.'&yourerror=1');
			exit();
		}

		$reply_content = ubb($_POST['topic_content']);
		$topic_id = $topicid;
		$reply_title = stripSpecialCharacter($topic_title);
		$reply_creator = $userinfo['user_id'];
		$reply_anony = (int)$_POST['topic_anony_state'];;
		$reply_ip = $_SERVER[REMOTE_ADDR];
		$reply_time = createServerTime();
		$reply_pass = $g_verify_reply;
		$state = 1;

		$sql = "INSERT INTO {$g_table_prefix}reply( `topic_id` , `reply_title` , `reply_content` , `reply_creator` , `reply_anony` , `reply_ip` , `reply_time` , `reply_pass` , `state`)
					VALUES ('{$topic_id}', '{$reply_title}', '{$reply_content}', '{$reply_creator}', '{$reply_anony}', '{$reply_ip}', '{$reply_time}', '{$reply_pass}', '{$state}') ";
		if($db->query($sql)){
			if($g_verify_reply!='1'){
				$tpl->assign('infotip',$lang['topicSave']."<a href='javascript:history.go(-1)'>".$lang['topicUndo']."</a>");
				doHelp();
				$tpl->display('infotip');
				exit();
			}else{
				$db->query("UPDATE ".$g_table_prefix."topic SET topic_reply_count = topic_reply_count+1,last_reply_time = '".date('Y-m-d H:i:s')."',last_reply_creator = ".$userinfo['user_id'].",last_reply_anony = ".$reply_anony.",last_reply_ip = '".$_SERVER['REMOTE_ADDR']."' WHERE topic_id = ".$topicid);
				$db->query("UPDATE ".$g_table_prefix."doc SET doc_reply_count = doc_reply_count+1 WHERE doc_id = ".$docid);
				if($reply_anony_state==0){
					$db->query("UPDATE ".$g_table_prefix."user SET user_reply_count = user_reply_count + 1,user_bonus = user_bonus + ".$DOCREPLYBONUS." WHERE user_id = ".$userinfo['user_id']);
				}
			}
			header('Location:topic.php?action=resumesview&topicid='.$topicid);
		}else{
			$tpl->assign('errorhtml','error');
			doHelp();
			$tpl->display('errors');
			exit();
		}
	}
	exit();
}

if("delresumes" == $action){
	if(!$userinfo['del_topic']){
		doHelp();
		$tpl->assign('errorhtml',$lang['commonGroupLackOfPower']);
		$tpl->display('errors');
		exit();
	}else{
		$resumeschklist = $_POST['chktid'];
		foreach ($resumeschklist as $resumesid){
			$query = $db->query("UPDATE {$g_table_prefix}reply SET state=2 WHERE reply_id = {$resumesid}");
			if($query){
				echo "<meta HTTP-equiv=\"refresh\" content=\"0;url=topic.php?action=resumesview&topicid=".$topicid."\">";
			}else{
				$tpl->assign('errorhtml','error');
				doHelp();
				$tpl->display('errors');
			}
		}
	}
	exit();
}

?>